﻿<% @Import Namespace="Seven.Front.Settings" %>
<% @Import Namespace="Seven.Front.Settings.Globals" %>
<% @Import Namespace="Seven.Front.Settings.Objects" %>
<%@ Page Language="C#" MasterPageFile="Model.Master" AutoEventWireup="true" CodeBehind="DefinicionHabitaciones.aspx.cs" Inherits="Seven.Front.Settings.DefinicionHabitaciones" %>

<asp:Content ID="Content1" ContentPlaceHolderID="cpHeader" runat="server">

    <% try{ %>

    <title><%=L.TIT("DefinicionHabitaciones")%> [4.4]</title>
    
    <script type="text/javascript">

        var ListFindN    =  ['eq','bw','ne','lt','le','gt','ge','ew','cn'];
        var ListFindT    =  ['cn','eq','bw','bn','nc','ew','en'];

        <% /******************************************** Código del Grid #1 - Habitaciones ********************************************************/ %>

        <% /* Función para cargar los datos del Web Service. */ %>

        function GetData() {
            $.ajax({
                url: 'Servicio.svc/GetHabitaciones',
                data: { "Eliminado": $('#cbEliminado:checked').val()
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                success: function (json) {
                    $("#TablaGrid").jqGrid("setGridParam", {datatype: "json", loadonce: true});
                    var thegrid = $("#TablaGrid")[0];
                    thegrid.addJSONData(JSON.parse(json.d));
                    $("#TablaGrid").jqGrid("setGridParam", {datatype: "local", loadonce: true});
                }
            });
        }

        <% /* Función para crear, editar o eliminar los datos hacia el Web Service. */ %>

        function PutData(id, habi, thab, grupo, ctgt, eli) {
            $.ajax({
                url: 'Servicio.svc/PutHabitaciones',
                data: { "IdHabi": id, "Habitacion": habi, "IdThab": thab, "Grupo": grupo, "IdCtgt": ctgt, "Eliminado": eli
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function() {
                    $('#dlgCargando').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando').dialog('close');
                    var res = json.d;
                    if(res > 0 || res < 0)
                    {
                        if (eli == 1) {
                            $('#IdSubElement').val(0);
                            $('#TitSubElement').html('');
                            RefreshGrid2();

                            BotonDefault();
                            RefreshGrid();
                        }
                        else if (id > 0 || id < 0) {
                            BotonDefault();
                            RefreshGrid();
                        }
                        else
                        {
                            $('#IdSubElement').val(res);
                            BotonDefault();
                            RefreshGrid();
                        }
                    }
                    else
                    {
                        $('#dlgInformation').html(json.d); 
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función principal que inicia la carga del jqGrid. Se llama de primero. */ %>

        function LoadGrid() {
        
            var lastsel2;
            var colMap = {};
            $("#TablaGrid").jqGrid({
                datatype: 'local',
                height: 150,
                width: 700,
                colNames: ['Index', '<%=L.LBL("LblGENRoom") %>', '<%=L.LBL("LblGENRoomType") %>', '<%=L.LBL("LblGENGroup") %>', '<%=L.LBL("LblGENCentroCosto") %>', '<%=L.LBL("LblGENActiveAbbr") %>'],
                colModel: [
                            { name: 'Id', index: 'Id', width: 1, sorttype: 'int', hidden: true },
   		                    { name: 'Habi', index: 'Habi', width: 10, editable: true, searchoptions:{sopt:ListFindT} },
   		                    { name: 'IdThab', index: 'IdThab', width: 30, editable: true, search:false, edittype: 'select', editoptions: {<%=ComboTipoHabi %>}, formatter: 'select' },
                            { name: 'Grupo', index: 'Grupo', width: 5, editable: true, searchoptions:{sopt:ListFindT} },
                            { name: 'IdCtgt', index: 'IdCtgt', width: 10, editable: true, edittype: 'select', editoptions: {<%=ComboCentroCosto %>}, search:false, formatter: 'select' },
                            { name: 'Eli', index: 'Eli', width: 3, search:false, hidden: true }
   	                    ],
                onSelectRow: function (id) {
                    if (id /*&& id !== lastsel2*/) {

                        if (isNaN(lastsel2) && !isNaN(id)) {
                            $("#TablaGrid").jqGrid('delRowData', lastsel2);
                            //$('#TablaGrid').jqGrid('resetSelection');
                        }

                        if (!isNaN(id)) {
                            $('#TablaGrid').jqGrid('restoreRow', lastsel2);

                            var ret = jQuery("#TablaGrid").jqGrid('getRowData', id);

                            $('#IdSubElement').val(id);
                            $('#TitSubElement').html(ret.Habi);
                            RefreshGrid2();
                        }
                        else {
                            BotonNuevo();
                        }

                        $('#TablaGrid').jqGrid('editRow', id, true, Events);

                        lastsel2 = id;
                    }
                },
                afterInsertRow: function (id) {
                    if (id /*&& id !== lastsel2*/) {
                        if (isNaN(lastsel2)) {
                            $("#TablaGrid").jqGrid('delRowData', lastsel2);
                            $('#TablaGrid').jqGrid('resetSelection');
                        }
                        else {
                            $('#TablaGrid').jqGrid('saveRow', lastsel2);
                        }
                    }
                },
                onCellSelect: function (id) {
                    if (id /*&& id !== lastsel2*/) {
                        if (!isNaN(id)) {
                            $('#TablaGrid').jqGrid('restoreRow', id);
                        }

                        var ret = jQuery("#TablaGrid").jqGrid('getRowData', id);
                        var status = ret.Eli;

                        if (status == "True") {
                            $('#btnEliminarText').html("<%=L.LBL("LblGENRecover") %>");
                            $('#btnEliminarIcon').attr("src", "img/recuperar.png");
                        }
                        else {
                            $('#btnEliminarText').html("<%=L.LBL("LblGENDelete") %>");
                            $('#btnEliminarIcon').attr("src", "img/cross-script.png");
                        }

                        $('#TablaGrid').jqGrid('setSelection', id);

                        BotonSelect();
                    }
                },
                gridComplete: function()
                {  
                    var rows = $("#TablaGrid").getDataIDs(); 
                    for (var i = 0; i < rows.length; i++)
                    {
                        if (i == 0 && parseInt($('#IdSubElement').val()) == 0) {
                            $('#IdSubElement').val($("#TablaGrid").getCell(rows[i], "Id"));
                        }

                        var status  = $("#TablaGrid").getCell(rows[i],"Eli");

                        if(status == "True")
                        {
                            $("#TablaGrid").jqGrid('setRowData',rows[i],false, 
                            //{color:'black',background:'rgb(230,230,250)',font:'italic' });
                            {color:'red',font:'italic' });
                        }
                    }
                    $('#TablaGrid').jqGrid('setSelection', $('#IdSubElement').val());
                    if (parseInt($('#IdSubElement').val()) != 0) {
                        BotonSelect();
                    }
                }, 
                rowNum: 99999999,
                rowTotal: 99999999,
                loadonce: true,
                mtype: "GET",
                rownumbers: false,
                rownumWidth: 40,
                gridview: true,
                //pager: '#Paginador',
                sortname: 'Nac',
                viewrecords: true,
                sortorder: "asc",
                ignoreCase: true,
                scrollrows: true,
                //altRows: true,
                //altclass:'ui-widget-header',
                editurl:"Dummy.aspx"
            });

            $("#bsdata").click(function(){ 
                jQuery("#TablaGrid").jqGrid('searchGrid', {multipleSearch:true}); 
            });
        
        }

        function Events(id) {
            $("#" + id + "_Habi").on('input', function () { BotonGuardar(); });
            $("#" + id + "_IdThab").on('change', function () { BotonGuardar(); });
            $("#" + id + "_Grupo").on('input', function () { BotonGuardar(); });
            $("#" + id + "_IdCtgt").on('change', function () { BotonGuardar(); });
        }

        function EventsNew() {
            var selr = jQuery('#TablaGrid').jqGrid('getGridParam', 'selrow');
            $("#" + selr + "_Habi").on('input', function () { BotonGuardar(); });
            $("#" + selr + "_IdThab").on('change', function () { BotonGuardar(); });
            $("#" + selr + "_Grupo").on('input', function () { BotonGuardar(); });
            $("#" + selr + "_IdCtgt").on('change', function () { BotonGuardar(); });
        }

        <% /* Función que permite recargar los datos del grid desde el servidor. */ %>

        function RefreshGrid()
        {
            $("#TablaGrid").jqGrid("setGridParam", {datatype: "json", datatype: GetData, loadonce: true});
            $("#TablaGrid").trigger("reloadGrid"); 
            $("#TablaGrid").jqGrid("setGridParam", {datatype: "local", loadonce: true});
            //$("#TablaGrid").jqGrid('delRowData', 0);
        }

        <% /* Función para agregar una fila en blanco donde se puede guardar un nuevo registro. */ %>

        function CreateElement()
        {
            $('#IdSubElement').val(0);
            $('#TitSubElement').html('');
            RefreshGrid2();

            $("#TablaGrid").jqGrid('addRow',{
                //rowID : "0",
                initdata : {'Id': '0'},
                position :"first",
                useDefValues : false,
                useFormatter : false,
                addRowParams : {extraparam:{}}
            });
            BotonNuevo();
            EventsNew();
        }

        <% /* Función que salva los datos modificados en una fila. */ %>

        function SaveElement(){
	        var id = $("#TablaGrid").jqGrid('getGridParam','selrow');
	        if (id)	{
		        //var ret = $("#TablaGrid").jqGrid('getRowData',id);
                PutData(id, $('#' + id + '_Habi').val(), $('#' + id + '_IdThab').val(), $('#' + id + '_Grupo').val(), $('#' + id + '_IdCtgt').val(), 0);
	        } 
            else 
            { 
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>"); 
                $('#dlgInformation').dialog('open');
            }
        }

        <% /* Función que elimina un registro. */ %>

        function DeleteElement(){
	        var id = $("#TablaGrid").jqGrid('getGridParam','selrow');
	        if (id)	{
		        var ret = $("#TablaGrid").jqGrid('getRowData',id);
                PutData(id, $('#' + id + '_Habi').val(), $('#' + id + '_IdThab').val(), $('#' + id + '_Grupo').val(), $('#' + id + '_IdCtgt').val(), 1);
                RefreshGrid();
	        } 
            else 
            { 
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>"); 
                $('#dlgInformation').dialog('open');
            }
        }

        <% /* Función que cancela la edición de una fila y la devuelve a su estado original. */ %>

        function CancelElement(){
	        var id = $("#TablaGrid").jqGrid('getGridParam','selrow');
	        if (id)	{
		        $('#TablaGrid').restoreRow(id);
	        } 
            else 
            { 
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>"); 
                $('#dlgInformation').dialog('open');
	        }
            BotonDefault();
        }

        function BotonDefault() {
            $('#btnNuevo').button('enable');
            $('#btnEliminar').button('disable');
            $('#btnGuardar').button('disable');
            $('#btnCancelar').button('disable');
        }

        function BotonNuevo() {
            $('#btnNuevo').button('disable');
            $('#btnEliminar').button('disable');
            $('#btnGuardar').button('disable');
            $('#btnCancelar').button('enable');
        }

        function BotonSelect() {
            $('#btnNuevo').button('enable');
            var id = $("#TablaGrid").jqGrid('getGridParam', 'selrow');
            if (!isNaN(id)) {
                $('#btnEliminar').button('enable');
            }
            else {
                $('#btnEliminar').button('disable');
            }
            $('#btnGuardar').button('disable');
            $('#btnCancelar').button('disable');
        }

        function BotonGuardar() {
            $('#btnNuevo').button('disable');
            $('#btnEliminar').button('disable');
            $('#btnGuardar').button('enable');
            $('#btnCancelar').button('enable');
        }

        <% /* Función que permite imprimir el listado de elementos seleccionados. */ %>

        function ImprimirListado() {
	        window.open('Informe.aspx?r=404&e=' + $('#cbEliminado:checked').val(), '_blank');
        }

        <% /**************************************** Código del Grid #2 - Características ***************************************************/ %>

        <% /* Función que permite dar formato a una celda del grid como imagen. */ %>

        <% /* Función para cargar los datos del Web Service. */ %>

        function GetData2() {
            $.ajax({
                url: 'Servicio.svc/GetHabitacionesCaracteristicas',
                data: { "IdHabi": $('#IdSubElement').val()
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function () {
                    $('#TitSubElement').css("color", "red");
                },
                success: function (json) {
                    $("#TablaGrid2").jqGrid("setGridParam", {datatype: "json", loadonce: true});
                    var thegrid = $("#TablaGrid2")[0];
                    thegrid.addJSONData(JSON.parse(json.d));
                    $("#TablaGrid2").jqGrid("setGridParam", { datatype: "local", loadonce: true });
                    $('#TitSubElement').css("color", "green");
                }
            });
        }

        <% /* Función para crear, editar o eliminar los datos hacia el Web Service. */ %>

        function PutData2(id, caha, eli) {
            $.ajax({
                url: 'Servicio.svc/PutHabitacionesCaracteristicas',
                data: { "IdHabi": $('#IdSubElement').val(), "IdCaha": caha, "Eliminado": eli
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function() {
                    $('#dlgCargando').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando').dialog('close');
                    var res = json.d;
                    if(res == 1)
                    {
                        if(eli == 1){
                            BotonDefault2();
                            RefreshGrid2();
                        }
                        else if(id > 0 || id < 0){
                            $("#TablaGrid2").jqGrid('saveRow', id);
                            $('#TablaGrid2').jqGrid('editRow', id, true, Events2);
                            BotonSelect2();
                            RefreshGrid2(); 
                        }
                        else
                        {
                            BotonDefault2();
                            RefreshGrid2();
                        }
                    }
                    else
                    {
                        $('#dlgInformation').html(json.d); 
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función principal que inicia la carga del jqGrid. Se llama de primero. */ %>

        function LoadGrid2() {
        
            var lastsel22;
            var colMap = {};
            $("#TablaGrid2").jqGrid({
                datatype: 'local',
                height: 150,
                width: 680,
                colNames: ['Index', '<%=L.LBL("LblGENDescription") %>'],
                colModel: [
                            { name: 'Id', index: 'Id', width: 1, sorttype: 'int', hidden: true },
   		                    { name: 'IdCaha', index: 'IdCaha', width: 99, editable: true, edittype: 'select', editoptions: {<%=ComboCaract %>}, formatter: 'select' }
   	                    ],
                onSelectRow: function (id) {
                    if (id /*&& id !== lastsel22*/) {

                        if (isNaN(lastsel22) && !isNaN(id)) {
                            $("#TablaGrid2").jqGrid('delRowData', lastsel22);
                            $('#TablaGrid2').jqGrid('resetSelection');
                        }

                        if (!isNaN(id)) {
                            $('#TablaGrid2').jqGrid('restoreRow', lastsel22);
                        }
                        else {
                            BotonNuevo2();
                        }

                        $('#TablaGrid2').jqGrid('editRow', id, true, Events2);

                        lastsel22 = id;
                    }
                },
                afterInsertRow: function (id) {
                    if (id /*&& id !== lastsel22*/) {
                        if (isNaN(lastsel22)) {
                            $("#TablaGrid2").jqGrid('delRowData', lastsel22);
                            $('#TablaGrid2').jqGrid('resetSelection');
                        }
                        else {
                            $('#TablaGrid2').jqGrid('saveRow', lastsel22);
                        }
                    }
                },
                onCellSelect: function (id) {
                    if (id /*&& id !== lastsel22*/) {
                        if (!isNaN(id)) {
                            $('#TablaGrid2').jqGrid('restoreRow', id);
                        }

                        var ret = jQuery("#TablaGrid").jqGrid('getRowData', id);
                        var status = ret.Eli;

                        if (status == "True") {
                            $('#btnEliminarText').html("<%=L.LBL("LblGENRecover") %>");
                            $('#btnEliminarIcon').attr("src", "img/recuperar.png");
                        }
                        else {
                            $('#btnEliminarText').html("<%=L.LBL("LblGENDelete") %>");
                            $('#btnEliminarIcon').attr("src", "img/cross-script.png");
                        }

                        $('#TablaGrid2').jqGrid('setSelection', id);

                        BotonSelect2();
                    }
                },
                rowNum: 99999999,
                rowTotal: 99999999,
                loadonce: true,
                mtype: "GET",
                rownumbers: false,
                rownumWidth: 40,
                gridview: true,
                //pager: '#Paginador2',
                sortname: 'Id',
                viewrecords: true,
                sortorder: "asc",
                ignoreCase: true,
                scrollrows: true,
                editurl:"Dummy.aspx"
            });

        }

        function Events2(id) {
            $("#" + id + "_IdCaha").on('change', function () { BotonGuardar2(); });
        }

        function EventsNew2() {
            var selr = jQuery('#TablaGrid2').jqGrid('getGridParam', 'selrow');
            $("#" + selr + "_IdCaha").on('change', function () { BotonGuardar2(); });
        }

        <% /* Función que permite recargar los datos del grid desde el servidor. */ %>

        function RefreshGrid2()
        {
            $("#TablaGrid2").jqGrid("setGridParam", {datatype: "json", datatype: GetData2, loadonce: true});
            $("#TablaGrid2").trigger("reloadGrid"); 
            $("#TablaGrid2").jqGrid("setGridParam", {datatype: "local", loadonce: true});
            $("#TablaGrid2").jqGrid('delRowData', 0);
        }

        <% /* Función para agregar una fila en blanco donde se puede guardar un nuevo registro. */ %>

        function CreateElement2()
        {
            $("#TablaGrid2").jqGrid('addRow',{
                //rowID : "0",
                initdata : {'Id': '0'},
                position :"first",
                useDefValues : false,
                useFormatter : false,
                addRowParams : {extraparam:{}}
            });
            BotonGuardar2();
            EventsNew2();
        }

        <% /* Función que salva los datos modificados en una fila. */ %>

        function SaveElement2(){
	        var id = $("#TablaGrid2").jqGrid('getGridParam','selrow');
	        if (id)	{
		        //var ret = $("#TablaGrid").jqGrid('getRowData',id);
                PutData2(id, $('#' + id + '_IdCaha').val(), 0);
	        } 
            else 
            { 
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>"); 
                $('#dlgInformation').dialog('open');
            }
        }

        <% /* Función que elimina un registro. */ %>

        function DeleteElement2(){
	        var id = $("#TablaGrid2").jqGrid('getGridParam','selrow');
	        if (id)	{
		        var ret = $("#TablaGrid2").jqGrid('getRowData',id);
                PutData2(id, $('#' + id + '_IdCaha').val(), 1);
	        } 
            else 
            { 
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>"); 
                $('#dlgInformation').dialog('open');
            }
        }

        <% /* Función que cancela la edición de una fila y la devuelve a su estado original. */ %>

        function CancelElement2(){
	        var id = $("#TablaGrid2").jqGrid('getGridParam','selrow');
	        if (id)	{
		        $('#TablaGrid2').restoreRow(id);
	        } 
            else 
            { 
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>"); 
                $('#dlgInformation').dialog('open');
	        }
            BotonDefault2();
        }

        function BotonDefault2() {
            $('#btnNuevo2').button('enable');
            $('#btnEliminar2').button('disable');
            $('#btnGuardar2').button('disable');
            $('#btnCancelar2').button('disable');
        }

        function BotonNuevo2() {
            $('#btnNuevo2').button('disable');
            $('#btnEliminar2').button('disable');
            $('#btnGuardar2').button('disable');
            $('#btnCancelar2').button('enable');
        }

        function BotonSelect2() {
            $('#btnNuevo2').button('enable');
            var id = $("#TablaGrid2").jqGrid('getGridParam', 'selrow');
            if (!isNaN(id)) {
                $('#btnEliminar2').button('enable');
            }
            else {
                $('#btnEliminar2').button('disable');
            }
            $('#btnGuardar2').button('disable');
            $('#btnCancelar2').button('disable');
        }

        function BotonGuardar2() {
            $('#btnNuevo2').button('disable');
            $('#btnEliminar2').button('disable');
            $('#btnGuardar2').button('enable');
            $('#btnCancelar2').button('enable');
        }

        <% /******************************************** Código del Grid #3 - Características ********************************************************/ %>

        <% /* Función para cargar los datos del Web Service. */ %>

        function GetData3() {
            $.ajax({
                url: 'Servicio.svc/GetCaracteristicas',
                data: { "Eliminado": $('#cbEliminado3:checked').val()
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                success: function (json) {
                    $("#TablaGrid3").jqGrid("setGridParam", {datatype: "json", loadonce: true});
                    var thegrid = $("#TablaGrid3")[0];
                    thegrid.addJSONData(JSON.parse(json.d));
                    $("#TablaGrid3").jqGrid("setGridParam", {datatype: "local", loadonce: true});
                }
            });
        }

        <% /* Función para crear, editar o eliminar los datos hacia el Web Service. */ %>

        function PutData3(id, desc, eli) {
            $.ajax({
                url: 'Servicio.svc/PutCaracteristicas',
                data: { "IdCaha": id, "Desc": desc, "Eliminado": eli
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function() {
                    $('#dlgCargando').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando').dialog('close');
                    var res = json.d;
                    if(res == 1)
                    {
                        if(eli == 1){
                            BotonDefault3();
                            RefreshGrid3();
                        }
                        else if(id > 0 || id < 0){
                            $("#TablaGrid3").jqGrid('saveRow', id);
                            $('#TablaGrid3').jqGrid('editRow', id, true, Events3);
                            BotonSelect3();
                        }
                        else
                        {
                            BotonDefault3();
                            RefreshGrid3();
                        }
                    }
                    else
                    {
                        $('#dlgInformation').html(json.d); 
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función principal que inicia la carga del jqGrid. Se llama de primero. */ %>

        function LoadGrid3() {
        
            var lastsel23;
            var colMap = {};
            $("#TablaGrid3").jqGrid({
                datatype: 'local',
                height: 400,
                width: 700,
                colNames: ['Index', '<%=L.LBL("LblGENDescription") %>'],
                colModel: [
                            { name: 'Id', index: 'Id', width: 1, sorttype: 'int', hidden: true },
   		                    { name: 'Desc', index: 'Desc', width: 10, editable: true, searchoptions:{sopt:ListFindT} }
   	                    ],
                onSelectRow: function (id) {
                    if (id /*&& id !== lastsel23*/) {

                        if (isNaN(lastsel23) && !isNaN(id)) {
                            $("#TablaGrid3").jqGrid('delRowData', lastsel23);
                            $('#TablaGrid3').jqGrid('resetSelection');
                        }

                        if (!isNaN(id)) {
                            $('#TablaGrid3').jqGrid('restoreRow', lastsel23);
                        }
                        else {
                            BotonNuevo3();
                        }

                        $('#TablaGrid3').jqGrid('editRow', id, true, Events3);

                        lastsel23 = id;
                    }
                },
                afterInsertRow: function (id) {
                    if (id /*&& id !== lastsel23*/) {
                        if (isNaN(lastsel23)) {
                            $("#TablaGrid3").jqGrid('delRowData', lastsel23);
                            $('#TablaGrid3').jqGrid('resetSelection');
                        }
                        else {
                            $('#TablaGrid3').jqGrid('saveRow', lastsel23);
                        }
                    }
                },
                onCellSelect: function (id) {
                    if (id /*&& id !== lastsel23*/) {
                        if (!isNaN(id)) {
                            $('#TablaGrid3').jqGrid('restoreRow', id);
                        }

                        $('#TablaGrid3').jqGrid('setSelection', id);
                    }
                    BotonSelect3();
                },
                rowNum: 99999999,
                rowTotal: 99999999,
                loadonce: true,
                mtype: "GET",
                rownumbers: false,
                rownumWidth: 40,
                gridview: true,
                //pager: '#Paginador',
                sortname: 'Desc',
                viewrecords: true,
                sortorder: "asc",
                ignoreCase: true,
                scrollrows: true,
                //altRows: true,
                //altclass:'ui-widget-header',
                editurl:"Dummy.aspx"
            });

            $("#bsdata3").click(function(){ 
                jQuery("#TablaGrid3").jqGrid('searchGrid', {multipleSearch:true}); 
            });
        
        }

        function Events3(id) {
            $("#" + id + "_Desc").on('input', function () { BotonGuardar3(); });
        }

        function EventsNew3() {
            var selr = jQuery('#TablaGrid3').jqGrid('getGridParam', 'selrow');
            $("#" + selr + "_Desc").on('input', function () { BotonGuardar3(); });
        }

        <% /* Función que permite recargar los datos del grid desde el servidor. */ %>

        function RefreshGrid3()
        {
            $("#TablaGrid3").jqGrid("setGridParam", {datatype: "json", datatype: GetData3, loadonce: true});
            $("#TablaGrid3").trigger("reloadGrid"); 
            $("#TablaGrid3").jqGrid("setGridParam", {datatype: "local", loadonce: true});
            //$("#TablaGrid3").jqGrid('delRowData', 0);
        }

        <% /* Función para agregar una fila en blanco donde se puede guardar un nuevo registro. */ %>

        function CreateElement3()
        {
            $("#TablaGrid3").jqGrid('addRow',{
                //rowID : "0",
                initdata : {'Id': '0'},
                position :"first",
                useDefValues : false,
                useFormatter : false,
                addRowParams : {extraparam:{}}
            });
            BotonNuevo3();
            EventsNew3();
        }

        <% /* Función que salva los datos modificados en una fila. */ %>

        function SaveElement3(){
	        var id = $("#TablaGrid3").jqGrid('getGridParam','selrow');
	        if (id)	{
		        //var ret = $("#TablaGrid").jqGrid('getRowData',id);
                PutData3(id, $('#' + id + '_Desc').val(), 0);
	        } 
            else 
            { 
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>"); 
                $('#dlgInformation').dialog('open');
            }
        }

        <% /* Función que elimina un registro. */ %>

        function DeleteElement3(){
	        var id = $("#TablaGrid3").jqGrid('getGridParam','selrow');
	        if (id)	{
		        var ret = $("#TablaGrid3").jqGrid('getRowData',id);
                PutData3(id, $('#' + id + '_Desc').val(), 1);
                RefreshGrid3();
	        } 
            else 
            { 
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>"); 
                $('#dlgInformation').dialog('open');
            }
        }

        <% /* Función que cancela la edición de una fila y la devuelve a su estado original. */ %>

        function CancelElement3(){
	        var id = $("#TablaGrid3").jqGrid('getGridParam','selrow');
	        if (id)	{
		        $('#TablaGrid3').restoreRow(id);
	        } 
            else 
            { 
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>"); 
                $('#dlgInformation').dialog('open');
	        }
            BotonDefault3();
        }

        function BotonDefault3() {
            $('#btnNuevo3').button('enable');
            $('#btnEliminar3').button('disable');
            $('#btnGuardar3').button('disable');
            $('#btnCancelar3').button('disable');
        }

        function BotonNuevo3() {
            $('#btnNuevo3').button('disable');
            $('#btnEliminar3').button('disable');
            $('#btnGuardar3').button('disable');
            $('#btnCancelar3').button('enable');
        }

        function BotonSelect3() {
            $('#btnNuevo3').button('enable');
            var id = $("#TablaGrid3").jqGrid('getGridParam', 'selrow');
            if (!isNaN(id)) {
                $('#btnEliminar3').button('enable');
            }
            else {
                $('#btnEliminar3').button('disable');
            }
            $('#btnGuardar3').button('disable');
            $('#btnCancelar3').button('disable');
        }

        function BotonGuardar3() {
            $('#btnNuevo3').button('disable');
            $('#btnEliminar3').button('disable');
            $('#btnGuardar3').button('enable');
            $('#btnCancelar3').button('enable');
        }

        <% /* Función que permite imprimir el listado de elementos seleccionados. */ %>

        function ImprimirListado3() {
	        window.open('Informe.aspx?r=406&e=' + $('#cbEliminado:checked').val(), '_blank');
        }

        <% /******************************************** Código del Grid #4 - Tipos de Habitación ********************************************************/ %>

        <% /* Función para cargar los datos del Web Service. */ %>

        function GetData4() {
            $.ajax({
                url: 'Servicio.svc/GetTipoHabitaciones',
                data: { "Eliminado": $('#cbEliminado4:checked').val()
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function () {
                    $('#TitSubElement4').css("color", "red");
                },
                success: function (json) {
                    $("#TablaGrid4").jqGrid("setGridParam", {datatype: "json", loadonce: true});
                    var thegrid = $("#TablaGrid4")[0];
                    thegrid.addJSONData(JSON.parse(json.d));
                    $("#TablaGrid4").jqGrid("setGridParam", { datatype: "local", loadonce: true });
                    $('#TitSubElement4').css("color", "green");
                }
            });
        }

        <% /* Función para crear, editar o eliminar los datos hacia el Web Service. */ %>

        function PutData4(id, con0, thab, desc, a, n, ord, eli) {
            $.ajax({
                url: 'Servicio.svc/PutTipoHabitaciones',
                data: { "IdThab": id, "IdCon0": con0, "TipoHab": thab, "Desc": desc, "Adultos": a, "Ninos": n, "Orden": ord, "Eliminado": eli
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function() {
                    $('#dlgCargando').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando').dialog('close');
                    var res = json.d;
                    if(res > 0 || res < 0)
                    {
                        if (eli == 1) {
                            $('#IdSubElement4').val(0);
                            $('#TitSubElement4').html('');
                            RefreshGrid5();

                            BotonDefault4();
                            RefreshGrid4();
                        }
                        else if(id > 0 || id < 0){
                            $("#TablaGrid4").jqGrid('saveRow', id);
                            $('#TablaGrid4').jqGrid('editRow', id, true, Events4);
                            BotonSelect4();
                            RefreshGrid4();
                        }
                        else
                        {
                            $('#IdSubElement4').val(res);
                            BotonDefault4();
                            RefreshGrid4();
                        }
                    }
                    else
                    {
                        $('#dlgInformation').html(json.d); 
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función principal que inicia la carga del jqGrid. Se llama de primero. */ %>

        function LoadGrid4() {
        
            var lastsel24;
            var colMap = {};
            $("#TablaGrid4").jqGrid({
                datatype: 'local',
                height: 150,
                width: 700,
                colNames: ['Index'
                    , '<%=L.LBL("LblGENCode") %>'
                    , '<%=L.LBL("LblGENDescription") %>'
                    , '<%=L.LBL("LblGENServFact") %>'
                    , '<%=L.LBL("LblGENAdults") %>'
                    , '<%=L.LBL("LblGENChildren") %>'
                    , '<%=L.LBL("LblGENOrder") %>'
                    , '<%=L.LBL("LblGENActiveAbbr") %>'
                ],
                colModel: [
                            { name: 'Id', index: 'Id', width: 1, sorttype: 'int', hidden: true },
   		                    { name: 'TipoHab', index: 'TipoHab', width: 10, editable: true, searchoptions:{sopt:ListFindT} },
   		                    { name: 'Desc', index: 'Desc', width: 30, editable: true, searchoptions:{sopt:ListFindT} },
                            { name: 'IdCon0', index: 'IdCon0', width: 20, editable: true, searchoptions:{sopt:ListFindT}, edittype: 'select', editoptions: {<%=ComboServFact %>}, search:false, formatter: 'select' },
                            { name: 'Adultos', index: 'Adultos', width: 10, editable: true, searchoptions:{sopt:ListFindN} },
                            { name: 'Ninos', index: 'Ninos', width: 10, editable: true, searchoptions:{sopt:ListFindN} },
                            { name: 'Orden', index: 'Orden', width: 10, editable: true, searchoptions:{sopt:ListFindN} },
                            { name: 'Eli', index: 'Eli', width: 3, search:false, hidden: true }
   	                    ],
                onSelectRow: function (id) {
                    if (id /*&& id !== lastsel24*/) {

                        if (isNaN(lastsel24) && !isNaN(id)) {
                            $("#TablaGrid4").jqGrid('delRowData', lastsel24);
                            //$('#TablaGrid4').jqGrid('resetSelection');
                        }

                        if (!isNaN(id)) {
                            $('#TablaGrid4').jqGrid('restoreRow', lastsel24);

                            var ret = jQuery("#TablaGrid4").jqGrid('getRowData', id);

                            $('#IdSubElement4').val(id);
                            $('#TitSubElement4').html(ret.TipoHab);
                            RefreshGrid5();
                        }
                        else {
                            BotonNuevo4();
                        }

                        $('#TablaGrid4').jqGrid('editRow', id, true, Events4);

                        lastsel24 = id;
                    }
                },
                afterInsertRow: function (id) {
                    if (id /*&& id !== lastsel24*/) {
                        if (isNaN(lastsel24)) {
                            $("#TablaGrid4").jqGrid('delRowData', lastsel24);
                            $('#TablaGrid4').jqGrid('resetSelection');
                        }
                        else {
                            $('#TablaGrid4').jqGrid('saveRow', lastsel24);
                        }
                    }
                },
                onCellSelect: function (id) {
                    if (id /*&& id !== lastsel24*/) {
                        if (!isNaN(id)) {
                            $('#TablaGrid4').jqGrid('restoreRow', id);
                        }

                        var ret = jQuery("#TablaGrid4").jqGrid('getRowData', id);
                        var status = ret.Eli;

                        if (status == "True") {
                            $('#btnEliminar4Text').html("<%=L.LBL("LblGENRecover") %>");
                            $('#btnEliminar4Icon').attr("src", "img/recuperar.png");
                        }
                        else {
                            $('#btnEliminar4Text').html("<%=L.LBL("LblGENDelete") %>");
                            $('#btnEliminar4Icon').attr("src", "img/cross-script.png");
                        }

                        $('#TablaGrid4').jqGrid('setSelection', id);

                        BotonSelect4();
                    }
                },
                gridComplete: function()
                {  
                    var rows = $("#TablaGrid4").getDataIDs(); 
                    for (var i = 0; i < rows.length; i++)
                    {
                        if (i == 0 && parseInt($('#IdSubElement4').val()) == 0) {
                            $('#IdSubElement4').val($("#TablaGrid4").getCell(rows[i], "Id"));
                        }

                        var status  = $("#TablaGrid4").getCell(rows[i],"Eli");

                        if(status == "True")
                        {
                            $("#TablaGrid4").jqGrid('setRowData',rows[i],false, 
                            //{color:'black',background:'rgb(230,230,250)',font:'italic' });
                            {color:'red',font:'italic' });
                        }
                    }
                    $('#TablaGrid4').jqGrid('setSelection', $('#IdSubElement4').val());
                    if (parseInt($('#IdSubElement4').val()) != 0) {
                        BotonSelect4();
                    }
                }, 
                rowNum: 99999999,
                rowTotal: 99999999,
                loadonce: true,
                mtype: "GET",
                rownumbers: false,
                rownumWidth: 40,
                gridview: true,
                //pager: '#Paginador4',
                sortname: 'TipoHab',
                viewrecords: true,
                sortorder: "asc",
                ignoreCase: true,
                scrollrows: true,
                //altRows: true,
                //altclass:'ui-widget-header',
                editurl:"Dummy.aspx"
            });

            $("#bsdata4").click(function(){ 
                jQuery("#TablaGrid4").jqGrid('searchGrid', {multipleSearch:true}); 
            });
        
        }

        function Events4(id) {
            $("#" + id + "_TipoHab").on('input', function () { BotonGuardar4(); });
            $("#" + id + "_Desc").on('input', function () { BotonGuardar4(); });
            $("#" + id + "_IdCon0").on('change', function () { BotonGuardar4(); });
            $("#" + id + "_Adultos").on('input', function () { BotonGuardar4(); });
            $("#" + id + "_Ninos").on('input', function () { BotonGuardar4(); });
            $("#" + id + "_Orden").on('input', function () { BotonGuardar4(); });
        }

        function EventsNew4() {
            var selr = jQuery('#TablaGrid4').jqGrid('getGridParam', 'selrow');
            $("#" + selr + "_TipoHab").on('input', function () { BotonGuardar4(); });
            $("#" + selr + "_Desc").on('input', function () { BotonGuardar4(); });
            $("#" + selr + "_IdCon0").on('change', function () { BotonGuardar4(); });
            $("#" + selr + "_Adultos").on('input', function () { BotonGuardar4(); });
            $("#" + selr + "_Ninos").on('input', function () { BotonGuardar4(); });
            $("#" + selr + "_Orden").on('input', function () { BotonGuardar4(); });
        }

        <% /* Función que permite recargar los datos del grid desde el servidor. */ %>

        function RefreshGrid4()
        {
            $("#TablaGrid4").jqGrid("setGridParam", {datatype: "json", datatype: GetData4, loadonce: true});
            $("#TablaGrid4").trigger("reloadGrid"); 
            $("#TablaGrid4").jqGrid("setGridParam", {datatype: "local", loadonce: true});
            //$("#TablaGrid4").jqGrid('delRowData', 0);
        }

        <% /* Función para agregar una fila en blanco donde se puede guardar un nuevo registro. */ %>

        function CreateElement4()
        {
            $('#IdSubElement4').val(0);
            $('#TitSubElement4').html('');
            RefreshGrid5();

            $("#TablaGrid4").jqGrid('addRow',{
                //rowID : "0",
                initdata : {'Id': '0'},
                position :"first",
                useDefValues : false,
                useFormatter : false,
                addRowParams : {extraparam:{}}
            });
            BotonNuevo4();
            EventsNew4();
        }

        <% /* Función que salva los datos modificados en una fila. */ %>

        function SaveElement4(){
	        var id = $("#TablaGrid4").jqGrid('getGridParam','selrow');
	        if (id)	{
		        //var ret = $("#TablaGrid").jqGrid('getRowData',id);
                PutData4(id, $('#' + id + '_IdCon0').val(), $('#' + id + '_TipoHab').val(), $('#' + id + '_Desc').val(), $('#' + id + '_Adultos').val(), $('#' + id + '_Ninos').val(), $('#' + id + '_Orden').val(), 0);
	        } 
            else 
            { 
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>"); 
                $('#dlgInformation').dialog('open');
            }
        }

        <% /* Función que elimina un registro. */ %>

        function DeleteElement4(){
	        var id = $("#TablaGrid4").jqGrid('getGridParam','selrow');
	        if (id)	{
		        var ret = $("#TablaGrid4").jqGrid('getRowData',id);
                PutData4(id, $('#' + id + '_IdCon0').val(), $('#' + id + '_TipoHab').val(), $('#' + id + '_Desc').val(), $('#' + id + '_Adultos').val(), $('#' + id + '_Ninos').val(), $('#' + id + '_Orden').val(), 1);
                RefreshGrid4();
	        } 
            else 
            { 
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>"); 
                $('#dlgInformation').dialog('open');
            }
        }

        <% /* Función que cancela la edición de una fila y la devuelve a su estado original. */ %>

        function CancelElement4(){
	        var id = $("#TablaGrid4").jqGrid('getGridParam','selrow');
	        if (id)	{
		        $('#TablaGrid4').restoreRow(id);
	        } 
            else 
            { 
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>"); 
                $('#dlgInformation').dialog('open');
	        }
            BotonDefault4();
        }

        function BotonDefault4() {
            $('#btnNuevo4').button('enable');
            $('#btnEliminar4').button('disable');
            $('#btnGuardar4').button('disable');
            $('#btnCancelar4').button('disable');
        }

        function BotonNuevo4() {
            $('#btnNuevo4').button('disable');
            $('#btnEliminar4').button('disable');
            $('#btnGuardar4').button('disable');
            $('#btnCancelar4').button('enable');
        }

        function BotonSelect4() {
            $('#btnNuevo4').button('enable');
            var id = $("#TablaGrid4").jqGrid('getGridParam', 'selrow');
            if (!isNaN(id)) {
                $('#btnEliminar4').button('enable');
            }
            else {
                $('#btnEliminar4').button('disable');
            }
            $('#btnGuardar4').button('disable');
            $('#btnCancelar4').button('disable');
        }

        function BotonGuardar4() {
            $('#btnNuevo4').button('disable');
            $('#btnEliminar4').button('disable');
            $('#btnGuardar4').button('enable');
            $('#btnCancelar4').button('enable');
        }

        <% /* Función que permite imprimir el listado de elementos seleccionados. */ %>

        function ImprimirListado4() {
	        window.open('Informe.aspx?r=405&e=' + $('#cbEliminado4:checked').val(), '_blank');
        }

        <% /**************************************** Código del Grid #5 - Usos de Habitación ***************************************************/ %>

        <% /* Función que permite dar formato a una celda del grid como imagen. */ %>

        <% /* Función para cargar los datos del Web Service. */ %>

        function GetData5() {
            $.ajax({
                url: 'Servicio.svc/GetUsoHabitaciones',
                data: { "IdThab": $('#IdSubElement4').val(), "Eliminado": $('#cbEliminado4:checked').val()
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                success: function (json) {
                    $("#TablaGrid5").jqGrid("setGridParam", {datatype: "json", loadonce: true});
                    var thegrid = $("#TablaGrid5")[0];
                    thegrid.addJSONData(JSON.parse(json.d));
                    $("#TablaGrid5").jqGrid("setGridParam", {datatype: "local", loadonce: true});
                }
            });
        }

        <% /* Función para crear, editar o eliminar los datos hacia el Web Service. */ %>

        function PutData5(id, uhab, desc, a, n, eli) {
            $.ajax({
                url: 'Servicio.svc/PutUsoHabitaciones',
                data: { "IdUhab": id, "IdThab": $('#IdSubElement4').val(), "UsoHab": uhab, "Desc": desc, "Adultos": a, "Ninos": n, "Eliminado": eli
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function() {
                    $('#dlgCargando').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando').dialog('close');
                    var res = json.d;
                    if(res == 1)
                    {
                        if(eli == 1){
                            BotonDefault5();
                            RefreshGrid5();
                        }
                        else if(id > 0 || id < 0){
                            $("#TablaGrid5").jqGrid('saveRow', id);
                            $('#TablaGrid5').jqGrid('editRow', id, true, Events5);
                            BotonSelect5();
                            RefreshGrid5(); 
                        }
                        else
                        {
                            BotonDefault5();
                            RefreshGrid5();
                        }
                    }
                    else
                    {
                        $('#dlgInformation').html(json.d); 
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función principal que inicia la carga del jqGrid. Se llama de primero. */ %>

        function LoadGrid5() {
        
            var lastsel25;
            var colMap = {};
            $("#TablaGrid5").jqGrid({
                datatype: 'local',
                height: 150,
                width: 680,
                colNames: ['Index'
                    , '<%=L.LBL("LblGENCode") %>'
                    , '<%=L.LBL("LblGENDescription") %>'
                    , '<%=L.LBL("LblGENAdults") %>'
                    , '<%=L.LBL("LblGENChildren") %>'
                    , '<%=L.LBL("LblGENActiveAbbr") %>'
                ],
                colModel: [
                            { name: 'Id', index: 'Id', width: 1, sorttype: 'int', hidden: true },
   		                    { name: 'UsoHab', index: 'UsoHab', width: 10, editable: true, searchoptions:{sopt:ListFindT} },
   		                    { name: 'Desc', index: 'Desc', width: 30, editable: true, searchoptions:{sopt:ListFindT} },
                            { name: 'Adultos', index: 'Adultos', width: 10, editable: true, searchoptions:{sopt:ListFindN} },
                            { name: 'Ninos', index: 'Ninos', width: 10, editable: true, searchoptions:{sopt:ListFindN} },
                            { name: 'Eli', index: 'Eli', width: 3, search:false, hidden: true }
   	                    ],
                onSelectRow: function (id) {
                    if (id /*&& id !== lastsel25*/) {

                        if (isNaN(lastsel25) && !isNaN(id)) {
                            $("#TablaGrid5").jqGrid('delRowData', lastsel25);
                            $('#TablaGrid5').jqGrid('resetSelection');
                        }

                        if (!isNaN(id)) {
                            $('#TablaGrid5').jqGrid('restoreRow', lastsel25);
                        }
                        else {
                            BotonNuevo5();
                        }

                        $('#TablaGrid5').jqGrid('editRow', id, true, Events5);

                        lastsel25 = id;
                    }
                },
                afterInsertRow: function (id) {
                    if (id /*&& id !== lastsel25*/) {
                        if (isNaN(lastsel25)) {
                            $("#TablaGrid5").jqGrid('delRowData', lastsel25);
                            $('#TablaGrid5').jqGrid('resetSelection');
                        }
                        else {
                            $('#TablaGrid5').jqGrid('saveRow', lastsel25);
                        }
                    }
                },
                onCellSelect: function (id) {
                    if (id /*&& id !== lastsel25*/) {
                        if (!isNaN(id)) {
                            $('#TablaGrid5').jqGrid('restoreRow', id);
                        }

                        var ret = jQuery("#TablaGrid5").jqGrid('getRowData', id);
                        var status = ret.Eli;

                        if (status == "True") {
                            $('#btnEliminar5Text').html("<%=L.LBL("LblGENRecover") %>");
                            $('#btnEliminar5Icon').attr("src", "img/recuperar.png");
                        }
                        else {
                            $('#btnEliminar5Text').html("<%=L.LBL("LblGENDelete") %>");
                            $('#btnEliminar5Icon').attr("src", "img/cross-script.png");
                        }

                        $('#TablaGrid5').jqGrid('setSelection', id);

                        BotonSelect5();
                    }
                },
                gridComplete: function()
                {  
                    var rows = $("#TablaGrid5").getDataIDs(); 
                    for (var i = 0; i < rows.length; i++)
                    { 
                        var status  = $("#TablaGrid5").getCell(rows[i],"Eli");

                        if(status == "True")
                        {
                            $("#TablaGrid5").jqGrid('setRowData',rows[i],false, 
                            //{color:'black',background:'rgb(230,230,250)',font:'italic' });
                            {color:'red',font:'italic' });
                        }
                    }
                }, 
                rowNum: 99999999,
                rowTotal: 99999999,
                loadonce: true,
                mtype: "GET",
                rownumbers: false,
                rownumWidth: 40,
                gridview: true,
                //pager: '#Paginador5',
                sortname: 'Id',
                viewrecords: true,
                sortorder: "asc",
                ignoreCase: true, scrollrows : true,
                editurl:"Dummy.aspx"
            });

            $("#bsdata5").click(function(){ 
                jQuery("#TablaGrid5").jqGrid('searchGrid', {multipleSearch:true}); 
            });
        
        }

        function Events5(id) {
            $("#" + id + "_UsoHab").on('input', function () { BotonGuardar5(); });
            $("#" + id + "_Desc").on('input', function () { BotonGuardar5(); });
            $("#" + id + "_Adultos").on('input', function () { BotonGuardar5(); });
            $("#" + id + "_Ninos").on('input', function () { BotonGuardar5(); });
        }

        function EventsNew5() {
            var selr = jQuery('#TablaGrid5').jqGrid('getGridParam', 'selrow');
            $("#" + selr + "_UsoHab").on('input', function () { BotonGuardar5(); });
            $("#" + selr + "_Desc").on('input', function () { BotonGuardar5(); });
            $("#" + selr + "_Adultos").on('input', function () { BotonGuardar5(); });
            $("#" + selr + "_Ninos").on('input', function () { BotonGuardar5(); });
        }

        <% /* Función que permite recargar los datos del grid desde el servidor. */ %>

        function RefreshGrid5()
        {
            $("#TablaGrid5").jqGrid("setGridParam", {datatype: "json", datatype: GetData5, loadonce: true});
            $("#TablaGrid5").trigger("reloadGrid"); 
            $("#TablaGrid5").jqGrid("setGridParam", {datatype: "local", loadonce: true});
            $("#TablaGrid5").jqGrid('delRowData', 0);
        }

        <% /* Función para agregar una fila en blanco donde se puede guardar un nuevo registro. */ %>

        function CreateElement5()
        {
            $("#TablaGrid5").jqGrid('addRow',{
                //rowID : "0",
                initdata : {'Id': '0'},
                position :"first",
                useDefValues : false,
                useFormatter : false,
                addRowParams : {extraparam:{}}
            });
            BotonNuevo5();
            EventsNew5();
        }

        <% /* Función que salva los datos modificados en una fila. */ %>

        function SaveElement5(){
	        var id = $("#TablaGrid5").jqGrid('getGridParam','selrow');
	        if (id)	{
		        //var ret = $("#TablaGrid5").jqGrid('getRowData',id);
                PutData5(id, $('#' + id + '_UsoHab').val(), $('#' + id + '_Desc').val(), $('#' + id + '_Adultos').val(), $('#' + id + '_Ninos').val(), 0);
	        } 
            else 
            { 
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>"); 
                $('#dlgInformation').dialog('open');
            }
        }

        <% /* Función que elimina un registro. */ %>

        function DeleteElement5(){
	        var id = $("#TablaGrid5").jqGrid('getGridParam','selrow');
	        if (id)	{
		        var ret = $("#TablaGrid5").jqGrid('getRowData',id);
                PutData5(id, $('#' + id + '_UsoHab').val(), $('#' + id + '_Desc').val(), $('#' + id + '_Adultos').val(), $('#' + id + '_Ninos').val(), 1);
	        } 
            else 
            { 
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>"); 
                $('#dlgInformation').dialog('open');
            }
        }

        <% /* Función que cancela la edición de una fila y la devuelve a su estado original. */ %>

        function CancelElement5(){
	        var id = $("#TablaGrid5").jqGrid('getGridParam','selrow');
	        if (id)	{
		        $('#TablaGrid5').restoreRow(id);
	        } 
            else 
            { 
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>"); 
                $('#dlgInformation').dialog('open');
	        }
            BotonDefault5();
        }

        function BotonDefault5() {
            $('#btnNuevo5').button('enable');
            $('#btnEliminar5').button('disable');
            $('#btnGuardar5').button('disable');
            $('#btnCancelar5').button('disable');
        }

        function BotonNuevo5() {
            $('#btnNuevo5').button('disable');
            $('#btnEliminar5').button('disable');
            $('#btnGuardar5').button('disable');
            $('#btnCancelar5').button('enable');
        }

        function BotonSelect5() {
            $('#btnNuevo5').button('enable');
            var id = $("#TablaGrid5").jqGrid('getGridParam', 'selrow');
            if (!isNaN(id)) {
                $('#btnEliminar5').button('enable');
            }
            else {
                $('#btnEliminar5').button('disable');
            }
            $('#btnGuardar5').button('disable');
            $('#btnCancelar5').button('disable');
        }

        function BotonGuardar5() {
            $('#btnNuevo5').button('disable');
            $('#btnEliminar5').button('disable');
            $('#btnGuardar5').button('enable');
            $('#btnCancelar5').button('enable');
        }
        
    </script>
    
    <script type="text/javascript">

        $(document).ready(function () {

            $("#dlgEliminar").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 167,
                width: 500,
                modal: true
            });

            $("#dlgInformation").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 200,
                width: 500,
                modal: true,
                buttons:
                {
                    "<%=L.LBL("LblGENAceptar") %>": function () {
                        $(this).dialog('close');
                    }
                }
            });

            $("#SevenMenu").accordion("option", "active", 5);

            $('btnEliminar').attr('disabled', true);
            $('btnGuardar').attr('disabled', true);
            $('btnCancelar').attr('disabled', true);

            $("#HabiTabs").tabs();

            LoadGrid();
            LoadGrid2();
            LoadGrid3();
            LoadGrid4();
            LoadGrid5();

            RefreshGrid();
            RefreshGrid3();
            RefreshGrid4();

            BotonDefault();
            BotonDefault2();
            BotonDefault3();
            BotonDefault4();
            BotonDefault5();

        });
    </script>

    <% } catch { } %>

</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="cpPrincipal" runat="server">

    <% try{ %>

    <div id="SevenBreadcrumb" class="ui-state-default">
        <table width="100%" style="white-space: nowrap;">
            <tr>
                <td>
                    <div class="SevenEnlaces" onclick="window.location.href='Menu.aspx#M6';" style="cursor: pointer;">
                        <table>
                            <tr>
                                <td>
                                    <img src="img/application-icon-large.png" />
                                </td>
                                <td>
                                    <%=L.LBL("LblGENMenuTactil") %>
                                </td>
                            </tr>
                        </table>
                    </div>
                </td>
                <td>&nbsp;</td>
                <td>
                    <a href="Inicio.aspx"><%=L.LBL("LblGENInicio") %></a>
                    <img src="img/arrow.png" alt="" />
                    <a href="DefinicionHabitaciones.aspx"><%=L.TIT("DefinicionHabitaciones") %> [4.4]</a>
                </td>
                <td width="100%"></td>
                <td>
                    <%=L.LBL("LblGENLanguage") %>
                </td>
                <td>
                    <!-- #include file="LanguageCombo.html" -->
                </td>
            </tr>
        </table>
    </div>
            
    <div id="SevenPrincipal">
                
        <div id="SevenMedio">
                    
            <div id="SevenInterno" style="width: 720px;">

                <div id="dlgEliminar" title="<%=L.LBL("LblGENDelete") %>" style="text-align: center;padding-top: 25px">
                    <span class="ui-icon ui-icon-alert" style="float:left; margin:0 7px 20px 0;"></span>¿Desea eliminar este elemento?
                </div>

                <div id="dlgInformation" title="<%=L.LBL("LblGENInformation") %>" style="text-align: center;padding-top: 25px">
                    
                </div>

                <table>
                    <tr>
                        <td>
                            <span class="SevenTitulo"><%=L.TIT("DefinicionHabitaciones") %> [4.4]</span>
                        </td>
                        <td>&nbsp;&nbsp;&nbsp;</td>
                        <td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <a href="#" onclick="window.open('http://mysevenmanuales.jimdo.com/front-desk-parametros/4-4-definici%C3%B3n-de-habitaciones/', '_blank');" id="A1" ><img src="img/question.png" /> <%=L.LBL("LblGENHelp") %></a>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>
                    </tr>
                </table>

                <% 
                    if (CorrectoIns)
                    {    
                %>

                    <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_SavedData") %></p>

                <%  } %>

                <% 
                    if (CorrectoMod)
                    {    
                %>

                    <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_UpdatedData") %></p>

                <%  } %>

                <% 
                    if (CorrectoEli)
                    {    
                %>

                    <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_DeletedData") %></p>

                <%  } %>

                <% 
                    if (!String.IsNullOrEmpty(ErrorMsg))
                    {    
                %>

                    <p class="SevenMsgError"><%=ErrorMsg %></p>

                <%  } %>

                <br />

                <div id="HabiTabs" style="padding: 0px;">

                    <ul>
                        <li>
                            <a href="#Habis">
                                <table>
                                    <tr>
                                        <td><img src="img/Seven/Casa.png" /></td>
                                        <td><span style="font-size: 8pt;"><%=L.LBL("LblGENRooms") %></span></td>
                                    </tr>
                                </table>
                            </a>
                        </li>
                        <li>
                            <a href="#TiposUsos">
                                <table>
                                    <tr>
                                        <td><img src="img/wand-magic.png" /></td>
                                        <td><span style="font-size: 8pt;"><%=L.LBL("LblGENTiposUsos") %></span></td>
                                    </tr>
                                </table>
                            </a>
                        </li>
                        <li>
                            <a href="#Caract">
                                <table>
                                    <tr>
                                        <td><img src="img/category.png" /></td>
                                        <td><span style="font-size: 8pt;"><%=L.LBL("LblGENChara") %></span></td>
                                    </tr>
                                </table>
                            </a>
                        </li>
                    </ul>

                    <div id="Habis">

                        <br />

                        <table>
                            <tr>
                                <td>
                                    <span style="font-size: 12pt;"><b><%=L.LBL("LblGENRooms") %></b></span>
                                </td>
                                <td>&nbsp;&nbsp;&nbsp;</td>
                                <td>
                                    <div class="SevenEnlaces">
                                        <table>
                                            <tr>
                                                <td>
                                                    <input type="checkbox" id="cbEliminado" onchange="BotonDefault();RefreshGrid();" value="1" /> <%=L.LBL("LblGENShowDeleted") %>
                                                </td>
                                            </tr>
                                        </table>
                                    </div>
                                </td>
                                <td>
                                    <div class="SevenEnlaces">
                                        <table>
                                            <tr>
                                                <td>
                                                    <a href="#" onclick="ImprimirListado();" id="A3" ><img src="img/printer.png" /> <%=L.LBL("LblGENPrint") %></a>
                                                </td>
                                            </tr>
                                        </table>
                                    </div>
                                </td>
                            </tr>
                        </table>

                        <br />
                        
                        <table id="TablaGrid"></table>
                        <div id="Paginador" ></div>

                        <table width="100%">
                            <tr>
                                <td colspan="4">
                                    <table width="100%">
                                        <tr>
                                            <td width="100%"></td>
                                            <td>
                                                <button type="button" id="bsdata" value="Search" >
                                                    <table>
                                                    <tr><td>
                                                    <img src="img/binocular.png" 
                                                        alt="<%=L.LBL("LblGENSearch") %>" />
                                                    </td><td>
                                                    <%=L.LBL("LblGENSearch") %>
                                                    </td></tr>
                                                    </table>
                                                </button>
                                            </td>
                                            <td>
                                                <button type="button" id="btnNuevo" onclick="CreateElement();">
                                                    <table><tr><td><img src="img/document.png" alt="<%=L.LBL("LblGENNew") %>" /></td><td><%=L.LBL("LblGENNew") %></td></tr></table>
                                                </button>
                                            </td>
                                            <td>
                                                <button type="button" id="btnEliminar" onclick="DeleteElement();">
                                                    <table><tr><td><img id="btnEliminarIcon" src="img/cross-script.png" alt="<%=L.LBL("LblGENDelete") %>" /></td><td id="btnEliminarText"><%=L.LBL("LblGENDelete") %></td></tr></table>
                                                </button>
                                            </td>
                                            <td>
                                                <button type="button" id="btnGuardar" onclick="SaveElement();">
                                                        <table>
                                                            <tr>
                                                                <td>
                                                                    <img src="img/disk.png" alt="<%=L.LBL("LblGENSave") %>" />
                                                                </td>
                                                                <td><%=L.LBL("LblGENSave") %></td>
                                                            </tr>
                                                        </table>
                                                </button>
                                            </td>
                                            <td>
                                                <button type="button" id="btnCancelar" onclick="CancelElement();">
                                                        <table><tr><td><img src="img/arrow-return-180-left.png" alt="<%=L.LBL("LblGENCancel") %>" /></td><td><%=L.LBL("LblGENCancel") %></td></tr></table>
                                                </button>
                                            </td>
                                        </tr>
                                    </table>
                                </td>
                            </tr>
                        </table>

                        <fieldset>
                            <legend><b><%=L.LBL("LblGENChara") %> - <span id="TitSubElement"></span></b></legend>

                            <input type="hidden" id="IdSubElement" value="0" />

                            <table id="TablaGrid2"></table>

                            <table width="100%">
                                <tr>
                                    <td colspan="4">
                                        <table width="100%">
                                            <tr>
                                                <td width="100%"></td>
                                                <td>
                                                    <button type="button" id="btnNuevo2" onclick="CreateElement2();">
                                                        <table><tr><td><img src="img/document.png" alt="<%=L.LBL("LblGENNew") %>" /></td><td><%=L.LBL("LblGENNew") %></td></tr></table>
                                                    </button>
                                                </td>
                                                <td>
                                                    <button type="button" id="btnEliminar2" onclick="DeleteElement2();">
                                                        <table><tr><td><img src="img/cross-script.png" alt="<%=L.LBL("LblGENDelete") %>" /></td><td><%=L.LBL("LblGENDelete") %></td></tr></table>
                                                    </button>
                                                </td>
                                                <td>
                                                    <button type="button" id="btnGuardar2" onclick="SaveElement2();">
                                                            <table>
                                                                <tr>
                                                                    <td>
                                                                        <img src="img/disk.png" alt="<%=L.LBL("LblGENSave") %>" />
                                                                    </td>
                                                                    <td><%=L.LBL("LblGENSave") %></td>
                                                                </tr>
                                                            </table>
                                                    </button>
                                                </td>
                                                <td>
                                                    <button type="button" id="btnCancelar2" onclick="CancelElement2();">
                                                            <table><tr><td><img src="img/arrow-return-180-left.png" alt="<%=L.LBL("LblGENCancel") %>" /></td><td><%=L.LBL("LblGENCancel") %></td></tr></table>
                                                    </button>
                                                </td>
                                            </tr>
                                        </table>
                                    </td>
                                </tr>
                            </table>

                        </fieldset>
                        
                    </div>

                    <div id="TiposUsos">
                    
                        <br />

                        <table>
                            <tr>
                                <td>
                                    <span style="font-size: 12pt;"><b><%=L.LBL("LblGENTiposUsos") %></b></span>
                                </td>
                                <td>&nbsp;&nbsp;&nbsp;</td>
                                <td>
                                    <div class="SevenEnlaces">
                                        <table>
                                            <tr>
                                                <td>
                                                    <input type="checkbox" id="cbEliminado4" onchange="BotonDefault4();BotonDefault5();RefreshGrid4();RefreshGrid5();" value="1" /> <%=L.LBL("LblGENShowDeleted") %>
                                                </td>
                                            </tr>
                                        </table>
                                    </div>
                                </td>
                                <td>
                                    <div class="SevenEnlaces">
                                        <table>
                                            <tr>
                                                <td>
                                                    <a href="#" onclick="ImprimirListado4();" id="A4" ><img src="img/printer.png" /> <%=L.LBL("LblGENPrint") %></a>
                                                </td>
                                            </tr>
                                        </table>
                                    </div>
                                </td>
                            </tr>
                        </table>

                        <br />
                        
                        <table id="TablaGrid4"></table>
                        <div id="Paginador4" ></div>

                        <table width="100%">
                            <tr>
                                <td colspan="4">
                                    <table width="100%">
                                        <tr>
                                            <td width="100%"></td>
                                            <td>
                                                <button type="button" id="bsdata4" value="Search" >
                                                    <table>
                                                    <tr><td>
                                                    <img src="img/binocular.png" 
                                                        alt="<%=L.LBL("LblGENSearch") %>" />
                                                    </td><td>
                                                    <%=L.LBL("LblGENSearch") %>
                                                    </td></tr>
                                                    </table>
                                                </button>
                                            </td>
                                            <td>
                                                <button type="button" id="btnNuevo4" onclick="CreateElement4();">
                                                    <table><tr><td><img src="img/document.png" alt="<%=L.LBL("LblGENNew") %>" /></td><td><%=L.LBL("LblGENNew") %></td></tr></table>
                                                </button>
                                            </td>
                                            <td>
                                                <button type="button" id="btnEliminar4" onclick="DeleteElement4();">
                                                    <table><tr><td><img id="btnEliminar4Icon" src="img/cross-script.png" alt="<%=L.LBL("LblGENDelete") %>" /></td><td id="btnEliminar4Text"><%=L.LBL("LblGENDelete") %></td></tr></table>
                                                </button>
                                            </td>
                                            <td>
                                                <button type="button" id="btnGuardar4" onclick="SaveElement4();">
                                                        <table>
                                                            <tr>
                                                                <td>
                                                                    <img src="img/disk.png" alt="<%=L.LBL("LblGENSave") %>" />
                                                                </td>
                                                                <td><%=L.LBL("LblGENSave") %></td>
                                                            </tr>
                                                        </table>
                                                </button>
                                            </td>
                                            <td>
                                                <button type="button" id="btnCancelar4" onclick="CancelElement4();">
                                                        <table><tr><td><img src="img/arrow-return-180-left.png" alt="<%=L.LBL("LblGENCancel") %>" /></td><td><%=L.LBL("LblGENCancel") %></td></tr></table>
                                                </button>
                                            </td>
                                        </tr>
                                    </table>
                                </td>
                            </tr>
                        </table>

                        <fieldset>
                            <legend><b><%=L.LBL("LblGENUsosHab") %> - <span id="TitSubElement4"></span></b></legend>

                            <input type="hidden" id="IdSubElement4" value="0" />

                            <table id="TablaGrid5"></table>
                            <div id="Paginador5" ></div>

                            <table width="100%">
                                <tr>
                                    <td colspan="4">
                                        <table width="100%">
                                            <tr>
                                                <td width="100%"></td>
                                                <td>
                                                <button type="button" id="bsdata5" value="Search" >
                                                    <table>
                                                    <tr><td>
                                                    <img src="img/binocular.png" 
                                                        alt="<%=L.LBL("LblGENSearch") %>" />
                                                    </td><td>
                                                    <%=L.LBL("LblGENSearch") %>
                                                    </td></tr>
                                                    </table>
                                                </button>
                                            </td>
                                                <td>
                                                    <button type="button" id="btnNuevo5" onclick="CreateElement5();">
                                                        <table><tr><td><img src="img/document.png" alt="<%=L.LBL("LblGENNew") %>" /></td><td><%=L.LBL("LblGENNew") %></td></tr></table>
                                                    </button>
                                                </td>
                                                <td>
                                                    <button type="button" id="btnEliminar5" onclick="DeleteElement5();">
                                                        <table><tr><td><img id="btnEliminar5Icon" src="img/cross-script.png" alt="<%=L.LBL("LblGENDelete") %>" /></td><td id="btnEliminar5Text"><%=L.LBL("LblGENDelete") %></td></tr></table>
                                                    </button>
                                                </td>
                                                <td>
                                                    <button type="button" id="btnGuardar5" onclick="SaveElement5();">
                                                            <table>
                                                                <tr>
                                                                    <td>
                                                                        <img src="img/disk.png" alt="<%=L.LBL("LblGENSave") %>" />
                                                                    </td>
                                                                    <td><%=L.LBL("LblGENSave") %></td>
                                                                </tr>
                                                            </table>
                                                    </button>
                                                </td>
                                                <td>
                                                    <button type="button" id="btnCancelar5" onclick="CancelElement5();">
                                                            <table><tr><td><img src="img/arrow-return-180-left.png" alt="<%=L.LBL("LblGENCancel") %>" /></td><td><%=L.LBL("LblGENCancel") %></td></tr></table>
                                                    </button>
                                                </td>
                                            </tr>
                                        </table>
                                    </td>
                                </tr>
                            </table>

                        </fieldset>
                    
                    </div>

                    <div id="Caract">
                    
                        <br />

                        <table>
                            <tr>
                                <td>
                                    <span style="font-size: 12pt;"><b><%=L.LBL("LblGENChara") %></b></span>
                                </td>
                                <td>&nbsp;&nbsp;&nbsp;</td>
                                <td>
                                    <div class="SevenEnlaces">
                                        <table>
                                            <tr>
                                                <td>
                                                    <a href="#" onclick="ImprimirListado3();" id="A2" ><img src="img/printer.png" /> <%=L.LBL("LblGENPrint") %></a>
                                                </td>
                                            </tr>
                                        </table>
                                    </div>
                                </td>
                            </tr>
                        </table>

                        <br />
                        
                        <table id="TablaGrid3"></table>
                        <div id="Paginador3" ></div>

                        <table width="100%">
                            <tr>
                                <td colspan="4">
                                    <table width="100%">
                                        <tr>
                                            <td width="100%"></td>
                                            <td>
                                                <button type="button" id="bsdata3" value="Search" >
                                                    <table>
                                                    <tr><td>
                                                    <img src="img/binocular.png" 
                                                        alt="<%=L.LBL("LblGENSearch") %>" />
                                                    </td><td>
                                                    <%=L.LBL("LblGENSearch") %>
                                                    </td></tr>
                                                    </table>
                                                </button>
                                            </td>
                                            <td>
                                                <button type="button" id="btnNuevo3" onclick="CreateElement3();">
                                                    <table><tr><td><img src="img/document.png" alt="<%=L.LBL("LblGENNew") %>" /></td><td><%=L.LBL("LblGENNew") %></td></tr></table>
                                                </button>
                                            </td>
                                            <td>
                                                <button type="button" id="btnEliminar3" onclick="DeleteElement3();">
                                                    <table><tr><td><img id="Img1" src="img/cross-script.png" alt="<%=L.LBL("LblGENDelete") %>" /></td><td id="Td1"><%=L.LBL("LblGENDelete") %></td></tr></table>
                                                </button>
                                            </td>
                                            <td>
                                                <button type="button" id="btnGuardar3" onclick="SaveElement3();">
                                                        <table>
                                                            <tr>
                                                                <td>
                                                                    <img src="img/disk.png" alt="<%=L.LBL("LblGENSave") %>" />
                                                                </td>
                                                                <td><%=L.LBL("LblGENSave") %></td>
                                                            </tr>
                                                        </table>
                                                </button>
                                            </td>
                                            <td>
                                                <button type="button" id="btnCancelar3" onclick="CancelElement3();">
                                                        <table><tr><td><img src="img/arrow-return-180-left.png" alt="<%=L.LBL("LblGENCancel") %>" /></td><td><%=L.LBL("LblGENCancel") %></td></tr></table>
                                                </button>
                                            </td>
                                        </tr>
                                    </table>
                                </td>
                            </tr>
                        </table>
                    
                    </div>

                </div>
                            
                
                            
            </div>
                    
        </div>
                
    </div>

    <% } catch { } %>

</asp:Content>

