﻿<%@ Import Namespace="Seven.Front.Settings" %>
<%@ Import Namespace="Seven.Front.Settings.Globals" %>
<%@ Import Namespace="Seven.Front.Settings.Objects" %>

<%@ Page Language="C#" MasterPageFile="Model.Master" AutoEventWireup="true" CodeBehind="ParametrosGenerales.aspx.cs" Inherits="Seven.Front.Settings.ParametrosGenerales" %>

<asp:Content ID="Content1" ContentPlaceHolderID="cpHeader" runat="server">

    <% try
       { %>

    <title><%=L.TIT("ParametrosGenerales") %> [4.1]</title>

    <script type="text/javascript">

        var ListFindN = ['eq', 'bw', 'ne', 'lt', 'le', 'gt', 'ge', 'ew', 'cn'];
        var ListFindT = ['cn', 'eq', 'bw', 'bn', 'nc', 'ew', 'en'];

        <% /* Código del jqGrid para Impresoras */ %>

        <% /* Función para cargar los datos del Web Service. */ %>

        function GetPRI() {
            $.ajax({
                url: 'Servicio.svc/GetImpresoras',
                data: { "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                    , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                    , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function () {
                    $('#dlgCargando').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando').dialog('close');
                    try
                    {
                        $("#jqgPRI").jqGrid("setGridParam", {datatype: "json", loadonce: true});
                        var thegrid = $("#jqgPRI")[0];
                        thegrid.addJSONData(JSON.parse(json.d));
                        $("#jqgPRI").jqGrid("setGridParam", {datatype: "local", loadonce: true});
                    }
                    catch(err)
                    {
                        $('#dlgInformation').html(json.d); 
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función para crear o editar los datos hacia el Web Service. */ %>

        function PutPRI(id, descripcion, tipo_impresora, id_papel, eliminado, eli) {
            $.ajax({
                url: 'Servicio.svc/PutImpresoras',
                data: {
                    "id_repo": id, "descripcion": descripcion, "tipo_impresora": tipo_impresora, "id_papel": id_papel
                    , "Eliminado": eli
                    , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                    , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                    , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function() {
                    $('#dlgCargando').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando').dialog('close');
                    var res = json.d;
                    if(res > 0 || res < 0)
                    {
                        if(eli == 1){
                            $('#IdSubElementPRI').val(0);
                            BotonDefaultPRI();
                            RefreshGridPRI();
                        }
                        else
                        {
                            if(id > 0 || id < 0){
                                BotonDefaultPRI();
                                RefreshGridPRI();
                            }
                            else
                            {
                                $('#IdSubElementPRI').val(res);
                                BotonDefaultPRI();
                                RefreshGridPRI();
                            }
                        }
                    }
                    else
                    {
                        $('#dlgInformation').html(json.d); 
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función principal que inicia la carga del jqGrid. Se llama de primero. */ %>

        function LoadGridPRI() {
        
            var lselPRI;
            var colMap = {};
            $("#jqgPRI").jqGrid({
                datatype: 'local',
                height: 225,
                width: 510,
                colNames:  ['', '<%=L.LBL("LblGENCode") %>', '<%=L.LBL("LblGENDescription") %>', '<%=L.LBL("LblGENType") %>', '<%=L.LBL("LblGENPapel") %>', ''],
                colModel: [
                            { name: 'Id', index: 'Id', width: 1, sorttype: 'int', search: false, hidden: true },
                            { name: 'Id2', index: 'Id2', width: 10, sorttype: 'int', editable: false, searchoptions: { sopt: ListFindN } },
                            { name: 'descripcion', index: 'descripcion', width: 30, editable: false, searchoptions:{sopt:ListFindT} }, 
                            { name: 'tipo_impresora', index: 'tipo_impresora', width: 20, editable: true, formatter: 'select', stype: 'select', edittype: 'select', editoptions: { value: "<%=Utils.cbTipoImpresoras() %>" } },
                            { name: 'id_papel', index: 'id_papel', width: 20, editable: true, formatter: 'select', stype: 'select', edittype: 'select', editoptions: { <%=cbPapelesJQ %> } }, 
                            { name: 'Eli', index: 'Eli', width: 5, search:false, hidden: true }
   	                    ],
                onSelectRow: function(id){
                    if(id ){

                        if(isNaN(lselPRI) && !isNaN(id))
                        {
                            $("#jqgPRI").jqGrid('delRowData', lselPRI);
                            //$('#jqgPRI').jqGrid('resetSelection');
                        }

                        if(!isNaN(id))
                        {
                            $('#jqgPRI').jqGrid('saveRow', id);
                            
                            var ret = jQuery("#jqgPRI").jqGrid('getRowData',id); 

                            $('#jqgPRI').jqGrid('restoreRow',lselPRI);

                            $('#IdSubElementPRI').val(ret.Id);
                        }
                        else
                        {
                            BotonNuevoPRI();
                        }

                        $('#jqgPRI').jqGrid('editRow', id, true, EventsPRI);
                       
                        lselPRI=id;
                    }
                },
                afterInsertRow: function(id){
                    if(id){
                        if(isNaN(lselPRI))
                        {
                            $("#jqgPRI").jqGrid('delRowData', lselPRI);
                            $('#jqgPRI').jqGrid('resetSelection');
                        }
                        else
                        {
                            $('#jqgPRI').jqGrid('saveRow',lselPRI);
                        }
                    }
                },
                onCellSelect: function(id){
                    if(id){
                        if(!isNaN(id))
                        {
                            $('#jqgPRI').jqGrid('restoreRow',id);
                        }

                        var ret = jQuery("#jqgPRI").jqGrid('getRowData',id); 
                        var status = ret.Eli;

                        if(status == "True")
                        { 
                            $('#btnEliminarTextPRI').html("<%=L.LBL("LblGENRecover") %>");
                            $('#btnEliminarIconPRI').attr("src", "img/recuperar.png");
                        }
                        else 
                        {   
                            $('#btnEliminarTextPRI').html("<%=L.LBL("LblGENDelete") %>");
                            $('#btnEliminarIconPRI').attr("src", "img/cross-script.png");
                        }

                        //$('#jqgPRI').jqGrid('setSelection', id); 

                        BotonSelectPRI();
                    }
                },
                gridComplete: function()
                {  
                    var rows = $("#jqgPRI").getDataIDs(); 
                    for (var i = 0; i < rows.length; i++)
                    { 
                        if(i == 0 && parseInt($('#IdSubElementPRI').val()) == 0)
                        {
                            $('#IdSubElementPRI').val($("#jqgPRI").getCell(rows[i],"Id"));
                        }
                        var status  = $("#jqgPRI").getCell(rows[i],"Eli");

                        if(status == "True")
                        {
                            $("#jqgPRI").jqGrid('setRowData',rows[i],false, 
                            {color:'red',font:'italic' });
                        }
                    }
                    $('#jqgPRI').jqGrid('setSelection', $('#IdSubElementPRI').val());
                    if(parseInt($('#IdSubElementPRI').val()) != 0)
                    {
                        BotonSelectPRI();
                    }
                }, 
                rowNum: 99999999,
                rowTotal: 99999999,
                loadonce: true,
                mtype: "GET",
                rownumbers: false,
                rownumWidth: 40,
                gridview: true,
                sortname: 'Id',
                viewrecords: true,
                sortorder: "asc",
                ignoreCase: true,
                scrollrows: true,
                editurl:"Dummy.aspx"
                //multiselect: true,
                //altRows: true,
                //altclass:'ui-widget-header'
            });

            //$("#jqgPRI").jqGrid('navGrid','#PaginadorPRI',{del:false,add:false,edit:false,search:false});
            $("#bsdataPRI").click(function(){ 
                jQuery("#jqgPRI").jqGrid('searchGrid', {multipleSearch:true}); 
            });
        
        }

        function EventsPRI(id) {
            $("#" + id + "_descripcion").on('input', function () { BotonGuardarPRI(); });
            $("#" + id + "_tipo_impresora").on('change', function () { BotonGuardarPRI(); });
            $("#" + id + "_eliminado").on('change', function () { BotonGuardarPRI(); });
        }

        function EventsNewPRI() {
            var selr = jQuery('#jqgPRI').jqGrid('getGridParam', 'selrow');
            $("#" + selr + "_descripcion").on('input', function () { BotonGuardarPRI(); });
            $("#" + selr + "_tipo_impresora").on('change', function () { BotonGuardarPRI(); });
            $("#" + selr + "_eliminado").on('change', function () { BotonGuardarPRI(); });
        }

        <% /* Función que permite recargar los datos del grid desde el servidor. */ %>

        function RefreshGridPRI()
        {
            $("#jqgPRI").jqGrid("setGridParam", {datatype: "json", datatype: GetPRI, loadonce: true});
            $("#jqgPRI").trigger("reloadGrid"); 
            $("#jqgPRI").jqGrid("setGridParam", {datatype: "local", loadonce: true});
        }

        <% /* Función que salva los datos modificados en una fila. */ %>

        function SavePRI(){
            var id = $("#jqgPRI").jqGrid('getGridParam','selrow');
            if (id)	{
                PutPRI(id, $('#' + id + '_descripcion').val(), $('#' + id + '_tipo_impresora').val(), $('#' + id + '_id_papel').val(), $('#' + id + '_eliminado').val(), 0);
            } 
            else 
            { 
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>"); 
                $('#dlgInformation').dialog('open');
            }
        }

        <% /* Función que cancela la edición de una fila y la devuelve a su estado original. */ %>

        function CancelPRI(){
            var id = $("#jqgPRI").jqGrid('getGridParam','selrow');
            if (id){
                $('#jqgPRI').restoreRow(id);
            } 
            else 
            { 
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>"); 
                $('#dlgInformation').dialog('open');
            }
            BotonDefaultPRI();
        }

        function BotonDefaultPRI() {
            $('#btnGuardarPRI').button('disable');
            $('#btnCancelarPRI').button('disable');
        }

        function BotonNuevoPRI() {
            $('#btnGuardarPRI').button('disable');
            $('#btnCancelarPRI').button('enable');
        }

        function BotonSelectPRI() {
            $('#btnGuardarPRI').button('enable');
            $('#btnCancelarPRI').button('enable');
        }

        function BotonGuardarPRI() {
            $('#btnGuardarPRI').button('enable');
            $('#btnCancelarPRI').button('enable');
        }

        function SetImpresora()
        {
            $('#txtImpresoraSys').val($('#cbImpresora').val());
        }

        function SetImpresoraCheq() {
            $('#txtImpresoraSysCheq').val($('#cbImpresoraCheq').val());
        }

        function SetImpresoraFact() {
            $('#txtImpresoraSysFact').val($('#cbImpresoraFact').val());
        }

        function SetImpresoraRec() {
            $('#txtImpresoraSysRec').val($('#cbImpresoraRec').val());
        }
        
    </script>

    <script type="text/javascript">

        $(document).ready(function () {

            $("#dlgInformation").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 200,
                width: 500,
                modal: true,
                buttons:
                {
                    "<%=L.LBL("LblGENAceptar") %>": function () {
                        $(this).dialog('close');
                    }
                }
            });

            $("#dlgCargando").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#ParamTabs").tabs();

            $("#SevenMenu").accordion("option", "active", 5);

            LoadGridPRI();

            RefreshGridPRI();

            DisableConfigFrontForm();

            <% if (elemento.id_tabl != 0)
               { %>

            EnableConfigFrontForm();

            <% } %>

            $("#MainForm").validate({
                rules: {
                    txtMaxCheques: {
                        required: true,
                        digits: true
                    },
                    txtNumeroTCF: {
                        required: true,
                        digits: true
                    },
                    txtCopiasFactura: {
                        required: true,
                        digits: true
                    },
                    txtLineasFacturas: {
                        required: true,
                        digits: true
                    },
                    txtDiasCierre: {
                        required: true,
                        digits: true
                    }
                },
                messages: {
                    txtMaxCheques: "<%=L.LBL("LblGENRequiredNumeric") %>",
                    txtNumeroTCF: "<%=L.LBL("LblGENRequiredNumeric") %>",
                    txtCopiasFactura: "<%=L.LBL("LblGENRequiredNumeric") %>",
                    txtLineasFacturas: "<%=L.LBL("LblGENRequiredNumeric") %>",
                    txtDiasCierre: "<%=L.LBL("LblGENRequiredNumeric") %>"
                }
            });

            $('#cbImpresora').val($('#txtImpresoraSys').val());
            $('#cbImpresoraCheq').val($('#txtImpresoraSysCheq').val());
            $('#cbImpresoraFact').val($('#txtImpresoraSysFact').val());
            $('#cbImpresoraRec').val($('#txtImpresoraSysRec').val());

            $('#cbCuentaComi').val(<%=elemento.id_cuenta %>);
            $('#cbCuentaComi1').val(<%=elemento.id_cuenta_cc %>);

        });

        function DisableConfigFrontForm() {
            $('#cbMoneda').attr("disabled", "disabled");
            $('#cbNacionalidad').attr("disabled", "disabled");
            $('#cbCuentaComi').attr("disabled", "disabled");
            $('#cbRegAloj').attr("disabled", "disabled");
            $('#cbCuentaComi1').attr("disabled", "disabled");
            $('#txtMaxCheques').attr("disabled", "disabled");
            $('#txtConsecReserva').attr("disabled", "disabled");
            $('#txtNumeroTCF').attr("disabled", "disabled");
            $('#txtConsecRooming').attr("disabled", "disabled");
            $('#cbPVenta').attr("disabled", "disabled");
            $('#txtConsecCDivisa').attr("disabled", "disabled");
            $('#txtCopiasFactura').attr("disabled", "disabled");
            $('#txtLineasFacturas').attr("disabled", "disabled");
            $('#cbImprimirResConf').attr("disabled", "disabled");
            $('#cbLimpiaSucia').attr("disabled", "disabled");
            $('#cbTarjetaRegistro').attr("disabled", "disabled");
            $('#cbResePrecioMedio').attr("disabled", "disabled");
            $('#txtConsecCheque').attr("disabled", "disabled");
            $('#txtConsecDega').attr("disabled", "disabled");
            $('#txtConsecDapt').attr("disabled", "disabled");
            $('#txtConsecCDivisa2').attr("disabled", "disabled");
            $('#cbReciboCanje').attr("disabled", "disabled");
            $('#cbReciboDega').attr("disabled", "disabled");
            $('#cbReciboPaidOut').attr("disabled", "disabled");
            $('#cbReciboDapt').attr("disabled", "disabled");
            $('#cbBoletaFactura').attr("disabled", "disabled");
            $('#cbNroFactExt').attr("disabled", "disabled");
            $('#cbLinaCfag').attr("disabled", "disabled");
            $('#txtPrefijoDega').attr("disabled", "disabled");
            $('#txtPrefijoDapt').attr("disabled", "disabled");
            $('#cbDegaNuShow').attr("disabled", "disabled");
            $('#cbDiaInOut').attr("disabled", "disabled");
            $('#cbDegaCaduco').attr("disabled", "disabled");
            $('#cbProdFag1Dia').attr("disabled", "disabled");
            $('#cbCerrando').attr("disabled", "disabled");
            $('#cbProcesaLlamada').attr("disabled", "disabled");
            $('#cbAutoProrroga').attr("disabled", "disabled");
            $('#txtDiasCierre').attr("disabled", "disabled");
            $('#txtConsecCierre').attr("disabled", "disabled");
            $('#txtCIERPassword').attr("disabled", "disabled");
            $('#cbTarjReg1Lin').attr("disabled", "disabled");
            $('#txtImpresoraSys').attr("disabled", "disabled");
            $('#cbImpresora').attr("disabled", "disabled");
            $('#cbImpresoraCheq').attr("disabled", "disabled");
            $('#cbImpresoraFact').attr("disabled", "disabled");
            $('#cbImpresoraRec').attr("disabled", "disabled");

            $('#cbContabil').attr("disabled", "disabled");
            $('#txtLibro').attr("disabled", "disabled");
            $('#cbImpuDiario').attr("disabled", "disabled");
            $('#cbAstoAutomatico').attr("disabled", "disabled");
            $('#cbChequeFactura').attr("disabled", "disabled");
            $('#cbIntegraAsiento').attr("disabled", "disabled");
            $('#cbConcCargo').attr("disabled", "disabled");
            $('#cbConcCargo1').attr("disabled", "disabled");
            $('#cbConcProd').attr("disabled", "disabled");
            $('#cbConcTipoCobros').attr("disabled", "disabled");
        }

        function EnableConfigFrontForm() {
            $('#cbMoneda').removeAttr("disabled");
            $('#cbNacionalidad').removeAttr("disabled");
            $('#cbCuentaComi').removeAttr("disabled");
            $('#cbRegAloj').removeAttr("disabled");
            $('#cbCuentaComi1').removeAttr("disabled");
            $('#txtMaxCheques').removeAttr("disabled");
            $('#txtNumeroTCF').removeAttr("disabled");
            $('#cbPVenta').removeAttr("disabled");
            $('#txtCopiasFactura').removeAttr("disabled");
            $('#txtLineasFacturas').removeAttr("disabled");
            $('#cbImprimirResConf').removeAttr("disabled");
            $('#cbLimpiaSucia').removeAttr("disabled");
            $('#cbTarjetaRegistro').removeAttr("disabled");
            $('#cbResePrecioMedio').removeAttr("disabled");
            $('#cbReciboCanje').removeAttr("disabled");
            $('#cbReciboDega').removeAttr("disabled");
            $('#cbReciboPaidOut').removeAttr("disabled");
            $('#cbReciboDapt').removeAttr("disabled");
            $('#cbBoletaFactura').removeAttr("disabled");
            $('#cbNroFactExt').removeAttr("disabled");
            $('#cbLinaCfag').removeAttr("disabled");
            $('#txtPrefijoDega').removeAttr("disabled");
            $('#txtPrefijoDapt').removeAttr("disabled");
            $('#cbDegaNuShow').removeAttr("disabled");
            $('#cbDiaInOut').removeAttr("disabled");
            $('#cbDegaCaduco').removeAttr("disabled");
            $('#cbProdFag1Dia').removeAttr("disabled");
            <% if (elemento.cerrando)
               { %>
            $('#cbCerrando').removeAttr("disabled");
            <% } %>
            $('#cbAutoProrroga').removeAttr("disabled");
            $('#txtDiasCierre').removeAttr("disabled");
            $('#txtCIERPassword').removeAttr("disabled");
            $('#cbTarjReg1Lin').removeAttr("disabled");
            $('#txtImpresoraSys').removeAttr("disabled");
            $('#cbImpresora').removeAttr("disabled");
            $('#cbImpresoraCheq').removeAttr("disabled");
            $('#cbImpresoraFact').removeAttr("disabled");
            $('#cbImpresoraRec').removeAttr("disabled");

            $('#cbContabil').removeAttr("disabled");
            $('#txtLibro').removeAttr("disabled");
            $('#cbImpuDiario').removeAttr("disabled");
            $('#cbAstoAutomatico').removeAttr("disabled");
            $('#cbChequeFactura').removeAttr("disabled");
            $('#cbIntegraAsiento').removeAttr("disabled");
            $('#cbConcCargo').removeAttr("disabled");
            $('#cbConcCargo1').removeAttr("disabled");
            $('#cbConcProd').removeAttr("disabled");
            $('#cbConcTipoCobros').removeAttr("disabled");

            $('#btnGuardar').removeAttr("disabled");
        }

    </script>

    <% }
       catch { } %>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="cpPrincipal" runat="server">

    <% try
       { %>

    <div id="SevenBreadcrumb" class="ui-state-default">
        <table width="100%" style="white-space: nowrap;">
            <tr>
                <td>
                    <div class="SevenEnlaces" onclick="window.location.href='Menu.aspx#M6';" style="cursor: pointer;">
                        <table>
                            <tr>
                                <td>
                                    <img src="img/application-icon-large.png" />
                                </td>
                                <td>
                                    <%=L.LBL("LblGENMenuTactil") %>
                                </td>
                            </tr>
                        </table>
                    </div>
                </td>
                <td>&nbsp;</td>
                <td>
                    <a href="Inicio.aspx"><%=L.LBL("LblGENInicio") %></a>
                    <img src="img/arrow.png" alt="" />
                    <a href="ParametrosGenerales.aspx">
                        <asp:Label ID="LblFDKSTitulo2" runat="server" Text="Label" meta:resourcekey="LblFDKSTitulo"></asp:Label>
                        [4.1]</a>
                </td>
                <td width="100%"></td>
                <td>
                    <%=L.LBL("LblGENLanguage") %>
                </td>
                <td>
                    <!-- #include file="LanguageCombo.html" -->
                </td>
            </tr>
        </table>
    </div>

    <div id="SevenPrincipal">

        <div id="SevenMedio">

            <div id="SevenInterno" style="width: 780px; font-size: 9pt;">

                <div id="dlgInformation" title="<%=L.LBL("LblGENInformation") %>" style="text-align: center;padding-top: 25px">
                    
                </div>

                <div id="dlgCargando" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center;padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <table>
                    <tr>
                        <td>
                            <span class="SevenTitulo">
                                <asp:Label ID="LblFDKSTitulo" runat="server" Text="Label" meta:resourcekey="LblFDKSTitulo"></asp:Label>
                                [4.1]
                            </span>
                        </td>
                        <td>&nbsp;&nbsp;&nbsp;</td>
                        <td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <a href="#" onclick="window.open('http://mysevenmanuales.jimdo.com/front-desk-parametros/4-1-par%C3%A1metros-generales/', '_blank');" id="A1">
                                                <img src="img/question.png" />
                                                <%=L.LBL("LblGENHelp") %></a>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>
                    </tr>
                </table>

                <% 
           if (CorrectoIns)
           {    
                %>

                <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_SavedData") %></p>

                <%  } %>

                <% 
           if (CorrectoMod)
           {    
                %>

                <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_UpdatedData") %></p>

                <%  } %>

                <% 
           if (CorrectoEli)
           {    
                %>

                <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_DeletedData") %></p>

                <%  } %>

                <% 
           if (!String.IsNullOrEmpty(ErrorMsg))
           {    
                %>

                <p class="SevenMsgError"><%=L.ERR(ErrorMsg).Replace("[", "").Replace("]", "") %></p>

                <%  } %>

                <br />

                <form id="MainForm" action="ParametrosGenerales.aspx" method="post">

                    <div id="ParamTabs" style="padding: 0px;">
                        <ul>
                            <li>
                                <a href="#Varios">
                                    <table>
                                        <tr>
                                            <td>
                                                <img src="img/block.png" /></td>
                                            <td>
                                                <span style="font-size: 8pt;">
                                                    <asp:Label ID="LblFDKSVarios" runat="server" Text="Label" meta:resourcekey="LblFDKSVarios"></asp:Label>
                                                </span>
                                            </td>
                                        </tr>
                                    </table>
                                </a>
                            </li>
                            <li>
                                <a href="#Folios">
                                    <table>
                                        <tr>
                                            <td>
                                                <img src="img/document-hf.png" /></td>
                                            <td>
                                                <span style="font-size: 8pt;">
                                                    <asp:Label ID="LblFDKSFolios" runat="server" Text="Label" meta:resourcekey="LblFDKSFolios"></asp:Label>
                                                </span>
                                            </td>
                                        </tr>
                                    </table>
                                </a>
                            </li>
                            <li>
                                <a href="#CierreDiario">
                                    <table>
                                        <tr>
                                            <td>
                                                <img src="img/Seven_Cierre_Contable.png" /></td>
                                            <td>
                                                <span style="font-size: 8pt;">
                                                    <asp:Label ID="LblFDKSCierreDiario" runat="server" Text="Label" meta:resourcekey="LblFDKSCierreDiario"></asp:Label>
                                                </span>
                                            </td>
                                        </tr>
                                    </table>
                                </a>
                            </li>
                            <li>
                                <a href="#MultiHotel">
                                    <table>
                                        <tr>
                                            <td>
                                                <img src="img/SevenMultiproperty.png" /></td>
                                            <td>
                                                <span style="font-size: 8pt;">
                                                    <asp:Label ID="Label1" runat="server" Text="Label">Multiproperty</asp:Label>
                                                </span>
                                            </td>
                                        </tr>
                                    </table>
                                </a>
                            </li>
                            <li>
                                <a href="#Contabilidad">
                                    <table>
                                        <tr>
                                            <td>
                                                <img src="img/seven_acc_catalogo_cuentas.png" /></td>
                                            <td>
                                                <span style="font-size: 8pt;">
                                                    <asp:Label ID="LblFDKSContabilidad" runat="server" Text="Label" meta:resourcekey="LblFDKSContabilidad"></asp:Label>
                                                </span>
                                            </td>
                                        </tr>
                                    </table>
                                </a>
                            </li>
                            <li>
                                <a href="#Impresoras">
                                    <table>
                                        <tr>
                                            <td>
                                                <img src="img/printer.png" /></td>
                                            <td>
                                                <span style="font-size: 8pt;">
                                                    <%=L.LBL("LblGENImpresoras") %>
                                                </span>
                                            </td>
                                        </tr>
                                    </table>
                                </a>
                            </li>
                        </ul>

                        <div id="Varios" style="height: 320px;">
                            <br />
                            <br />
                            <br />
                            <br />
                            <table width="100%" style="font-size: 8pt;">
                                <tr>
                                    <td width="20%">
                                        <asp:Label ID="LblFDKSMonedaBase" runat="server" Text="Label" meta:resourcekey="LblFDKSMonedaBase"></asp:Label>:
                                    </td>
                                    <td width="30%">
                                        <%=ComboMonedas %>
                                    </td>
                                    <td width="20%">
                                        <asp:Label ID="LblFDKSNacDefecto" runat="server" Text="Label" meta:resourcekey="LblFDKSNacDefecto"></asp:Label>:
                                    </td>
                                    <td width="30%">
                                        <%=ComboNacionalidades %>
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <asp:Label ID="LblFDKSCuentaComi" runat="server" Text="Label" meta:resourcekey="LblFDKSCuentaComi"></asp:Label>:
                                    </td>
                                    <td>
                                        <select name="cbCuentaComi" id="cbCuentaComi" onchange="" style="width: 150px;">
                                            <%
                                                foreach (System.Data.DataRow dr in CuentasFDK.Rows)
                                                {
                                                    Response.Write(Utils.GetSelectOption(dr[0].ToString(), dr[1].ToString() + " - " + dr[2].ToString(), false));
                                                }
                                            %>
                                        </select>
                                    </td>
                                    <td>
                                        <asp:Label ID="LblFDKSRegAlojDefecto" runat="server" Text="Label" meta:resourcekey="LblFDKSRegAlojDefecto"></asp:Label>:
                                    </td>
                                    <td>
                                        <%=ComboRegAloj %>
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <asp:Label ID="LblFDKSCuentaConComi" runat="server" Text="Label" meta:resourcekey="LblFDKSCuentaConComi"></asp:Label>:
                                    </td>
                                    <td>
                                        <select name="cbCuentaComi1" id="cbCuentaComi1" onchange="" style="width: 150px;">
                                            <%
                                                foreach (System.Data.DataRow dr in CuentasFDK.Rows)
                                                {
                                                    Response.Write(Utils.GetSelectOption(dr[0].ToString(), dr[1].ToString() + " - " + dr[2].ToString(), false));
                                                }
                                            %>
                                        </select>
                                    </td>
                                    <td>
                                        <asp:Label ID="LblFDKSNumMaxCheques" runat="server" Text="Label" meta:resourcekey="LblFDKSNumMaxCheques"></asp:Label>:
                                    </td>
                                    <td>
                                        <input type="text" name="txtMaxCheques" id="txtMaxCheques" value="<%=elemento.max_cheques %>" size="5" style="text-align: right;" />
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <asp:Label ID="LblFDKSConsecReservas" runat="server" Text="Label" meta:resourcekey="LblFDKSConsecReservas"></asp:Label>:
                                    </td>
                                    <td>
                                        <input type="text" name="txtConsecReserva" id="txtConsecReserva" value="<%=elemento.consec_reserva %>" size="10" style="text-align: right;" />
                                    </td>
                                    <td>
                                        <asp:Label ID="LblFDKSMaxNumTCF" runat="server" Text="Label" meta:resourcekey="LblFDKSMaxNumTCF"></asp:Label>:
                                    </td>
                                    <td>
                                        <input type="text" name="txtNumeroTCF" id="txtNumeroTCF" value="<%=elemento.numero_tcf %>" size="5" style="text-align: right;" />
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <asp:Label ID="LblFDKSConsecRooming" runat="server" Text="Label" meta:resourcekey="LblFDKSConsecRooming"></asp:Label>:
                                    </td>
                                    <td>
                                        <input type="text" name="txtConsecRooming" id="txtConsecRooming" value="<%=elemento.consec_rooming %>" size="10" style="text-align: right;" />
                                    </td>
                                    <td>
                                        <asp:Label ID="LblFDKSPOS" runat="server" Text="Label" meta:resourcekey="LblFDKSPOS"></asp:Label>:
                                    </td>
                                    <td>
                                        <select name="cbPVenta" id="cbPVenta">
                                            <option value="4" <% if (elemento.pventa == 4)
                                                                 { %>
                                                selected="selected" <% } %>><%=L.LBL("LblGENNone") %></option>
                                            <option value="2" <% if (elemento.pventa == 2)
                                                                 { %>
                                                selected="selected" <% } %>>Seven POS</option>
                                        </select>
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <asp:Label ID="LblFDKSConsecCanje" runat="server" Text="Label" meta:resourcekey="LblFDKSConsecCanje"></asp:Label>:
                                    </td>
                                    <td>
                                        <input type="text" name="txtConsecCDivisa" id="txtConsecCDivisa" value="<%=elemento.consec_cdivisa %>" size="10" style="text-align: right;" />
                                    </td>
                                    <td>
                                        <asp:Label ID="LblFDKSImprReciboRese" runat="server" Text="Label" meta:resourcekey="LblFDKSImprReciboRese"></asp:Label>:
                                    </td>
                                    <td>
                                        <input type="checkbox" name="cbImprimirResConf" id="cbImprimirResConf" value="1" <% if (elemento.imprimir_res_conf)
                                                                                                                            { %>
                                            checked="checked" <% } %> />
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <asp:Label ID="LblFDKSNumCopiasFactura" runat="server" Text="Label" meta:resourcekey="LblFDKSNumCopiasFactura"></asp:Label>:
                                    </td>
                                    <td>
                                        <input type="text" name="txtCopiasFactura" id="txtCopiasFactura" value="<%=elemento.copias_factura %>" size="5" style="text-align: right;" />
                                    </td>
                                    <td>
                                        <asp:Label ID="LblFDKSCambHabLimpSuc" runat="server" Text="Label" meta:resourcekey="LblFDKSCambHabLimpSuc"></asp:Label>:
                                    </td>
                                    <td>
                                        <input type="checkbox" name="cbLimpiaSucia" id="cbLimpiaSucia" value="1" <% if (elemento.limpia_sucia)
                                                                                                                    { %>
                                            checked="checked" <% } %> />
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <asp:Label ID="LblFDKSNumLineasFactura" runat="server" Text="Label" meta:resourcekey="LblFDKSNumLineasFactura"></asp:Label>:
                                    </td>
                                    <td>
                                        <input type="text" name="txtLineasFacturas" id="txtLineasFacturas" value="<%=elemento.lineas_facturas %>" size="5" style="text-align: right;" />
                                    </td>
                                    <td>
                                        <asp:Label ID="LblFDKSImprTarjReg" runat="server" Text="Label" meta:resourcekey="LblFDKSImprTarjReg"></asp:Label>:
                                    </td>
                                    <td>
                                        <input type="checkbox" name="cbTarjetaRegistro" id="cbTarjetaRegistro" value="1" <% if (elemento.tarjeta_registro)
                                                                                                                            { %>
                                            checked="checked" <% } %> />
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <asp:Label ID="LblFDKSTarjReg1Lin" runat="server" Text="Label" meta:resourcekey="LblFDKSTarjReg1Lin"></asp:Label>:
                                    </td>
                                    <td>
                                        <input type="checkbox" name="cbTarjReg1Lin" id="cbTarjReg1Lin" value="1" <% if (elemento.tarj_reg_1lin)
                                                                                                                            { %>
                                            checked="checked" <% } %> />
                                    </td>
                                    <td>
                                        <asp:Label ID="LblFDKSCalculoPrecioMedio" runat="server" Text="Label" meta:resourcekey="LblFDKSCalculoPrecioMedio"></asp:Label>:
                                    </td>
                                    <td>
                                        <input type="checkbox" name="cbResePrecioMedio" id="cbResePrecioMedio" value="1" <% if (elemento.rese_precio_medio)
                                                                                                                            { %>
                                            checked="checked" <% } %> />
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <asp:Label ID="LblFDKSTarjReg1LinRese" runat="server" Text="Label" meta:resourcekey="LblFDKSTarjReg1LinRese"></asp:Label>:
                                    </td>
                                    <td>
                                        <input type="checkbox" name="cbTarjReg1LinRese" id="cbTarjReg1LinRese" value="1" <% if (elemento.tarj_reg_1lin_rese)
                                                                                                                            { %>
                                            checked="checked" <% } %> />
                                    </td>
                                    <td>
                                        <asp:Label ID="LblFDKSTiempoSesion" runat="server" Text="Label" meta:resourcekey="LblFDKSTiempoSesion"></asp:Label>:
                                    </td>
                                    <td>
                                        <input type="text" name="txtTiempoSesion" id="txtTiempoSesion" value="<%=elemento.tiempo_sesion %>" style="width: 50px;" />
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <asp:Label ID="LblFDKSTarjReg1LinRoom" runat="server" Text="Label" meta:resourcekey="LblFDKSTarjReg1LinRoom"></asp:Label>:
                                    </td>
                                    <td>
                                        <input type="checkbox" name="cbTarjReg1LinRoom" id="cbTarjReg1LinRoom" value="1" <% if (elemento.tarj_reg_1lin_room)
                                                                                                                            { %>
                                            checked="checked" <% } %> />
                                    </td>
                                    <td>
                                        <asp:Label ID="lblFDKSImpresionDirFact" runat="server" Text="Label" meta:resourcekey="lblFDKSImpresionDirFact"></asp:Label>:
                                    </td>
                                    <td>
                                        <input type="checkbox" name="cbImpresionDirFact" id="cbImpresionDirFact" value="1" <% if (elemento.impresion_dir_fact)
                                                                                                                            { %>
                                            checked="checked" <% } %> />
                                    </td>
                                </tr>
                            </table>
                        </div>

                        <div id="Folios" style="height: 320px;">
                            <br />
                            <table width="100%" style="font-size: 8pt;">
                                <tr>
                                    <td>
                                        <table width="100%">
                                            <tr>
                                                <td>
                                                    <fieldset style="width: 90%;">
                                                        <legend>
                                                            <asp:Label ID="LblFDKSConsecutivos" runat="server" Text="Label" meta:resourcekey="LblFDKSConsecutivos"></asp:Label></legend>
                                                        <table width="100%">
                                                            <tr>
                                                                <td>
                                                                    <asp:Label ID="LblFDKSFolios2" runat="server" Text="Label" meta:resourcekey="LblFDKSFolios"></asp:Label>:
                                                                </td>
                                                                <td>
                                                                    <input type="text" name="txtConsecCheque" id="txtConsecCheque" value="<%=elemento.consec_cheque %>" size="10" style="text-align: right;" />
                                                                </td>
                                                            </tr>
                                                            <tr>
                                                                <td>
                                                                    <asp:Label ID="LblFDKSPrepagos" runat="server" Text="Label" meta:resourcekey="LblFDKSPrepagos"></asp:Label>:
                                                                </td>
                                                                <td>
                                                                    <input type="text" name="txtConsecDega" id="txtConsecDega" value="<%=elemento.consec_dega %>" size="10" style="text-align: right;" />
                                                                </td>
                                                            </tr>
                                                            <tr>
                                                                <td>
                                                                    <asp:Label ID="LblFDKSDepAdel" runat="server" Text="Label" meta:resourcekey="LblFDKSDepAdel"></asp:Label>:
                                                                </td>
                                                                <td>
                                                                    <input type="text" name="txtConsecDapt" id="txtConsecDapt" value="<%=elemento.consec_dapt %>" size="10" style="text-align: right;" />
                                                                </td>
                                                            </tr>
                                                            <tr>
                                                                <td>
                                                                    <asp:Label ID="LblFDKSCanjeMoneda" runat="server" Text="Label" meta:resourcekey="LblFDKSCanjeMoneda"></asp:Label>:
                                                                </td>
                                                                <td>
                                                                    <input type="text" name="txtConsecCDivisa2" id="txtConsecCDivisa2" value="<%=elemento.consec_cdivisa %>" size="10" style="text-align: right;" />
                                                                </td>
                                                            </tr>
                                                        </table>
                                                    </fieldset>
                                                </td>
                                            </tr>
                                        </table>
                                    </td>
                                    <td>
                                        <table width="100%">
                                            <tr>
                                                <td>
                                                    <fieldset style="width: 90%;">
                                                        <legend>
                                                            <asp:Label ID="LblFDKSImpresionRecEn" runat="server" Text="Label" meta:resourcekey="LblFDKSImpresionRecEn"></asp:Label></legend>
                                                        <table width="100%">
                                                            <tr>
                                                                <td>
                                                                    <asp:Label ID="LblFDKSCanjeMoneda2" runat="server" Text="Label" meta:resourcekey="LblFDKSCanjeMoneda"></asp:Label>:
                                                                </td>
                                                                <td>
                                                                    <input type="checkbox" name="cbReciboCanje" id="cbReciboCanje" value="1" <% if (elemento.recibo_cange)
                                                                                                                                                { %>
                                                                        checked="checked" <% } %> />
                                                                </td>
                                                            </tr>
                                                            <tr>
                                                                <td>
                                                                    <asp:Label ID="LblFDKSDepGarantia" runat="server" Text="Label" meta:resourcekey="LblFDKSDepGarantia"></asp:Label>:
                                                                </td>
                                                                <td>
                                                                    <input type="checkbox" name="cbReciboDega" id="cbReciboDega" value="1" <% if (elemento.recibo_dega)
                                                                                                                                              { %>
                                                                        checked="checked" <% } %> />
                                                                </td>
                                                            </tr>
                                                            <tr>
                                                                <td>
                                                                    <asp:Label ID="LblFDKSDevoluciones" runat="server" Text="Label" meta:resourcekey="LblFDKSDevoluciones"></asp:Label>:
                                                                </td>
                                                                <td>
                                                                    <input type="checkbox" name="cbReciboPaidOut" id="cbReciboPaidOut" value="1" <% if (elemento.recibo_paid_out)
                                                                                                                                                    { %>
                                                                        checked="checked" <% } %> />
                                                                </td>
                                                            </tr>
                                                            <tr>
                                                                <td>
                                                                    <asp:Label ID="LblFDKSDepAdel2" runat="server" Text="Label" meta:resourcekey="LblFDKSDepAdel"></asp:Label>:
                                                                </td>
                                                                <td>
                                                                    <input type="checkbox" name="cbReciboDapt" id="cbReciboDapt" value="1" <% if (elemento.recibo_dapt)
                                                                                                                                              { %>
                                                                        checked="checked" <% } %> />
                                                                </td>
                                                            </tr>
                                                        </table>
                                                    </fieldset>
                                                </td>
                                            </tr>
                                            <tr>
                                                <td>
                                                    <fieldset style="width: 90%;">
                                                        <legend>
                                                            <asp:Label ID="LblFDKSOtros" runat="server" Text="Label" meta:resourcekey="LblFDKSOtros"></asp:Label></legend>
                                                        <table width="100%">
                                                            <tr>
                                                                <td>
                                                                    <asp:Label ID="LblFDKSCambioRecFact" runat="server" Text="Label" meta:resourcekey="LblFDKSCambioRecFact"></asp:Label>:
                                                                </td>
                                                                <td>
                                                                    <input type="checkbox" name="cbBoletaFactura" id="cbBoletaFactura" value="1" <% if (elemento.boleta_factura)
                                                                                                                                                    { %>
                                                                        checked="checked" <% } %> />
                                                                </td>
                                                            </tr>
                                                            <tr>
                                                                <td>
                                                                    <asp:Label ID="LblFDKSNumFacturaExterno" runat="server" Text="Label" meta:resourcekey="LblFDKSNumFacturaExterno"></asp:Label>:
                                                                </td>
                                                                <td>
                                                                    <input type="checkbox" name="cbNroFactExt" id="cbNroFactExt" value="1" <% if (elemento.nrofact_ext)
                                                                                                                                              { %>
                                                                        checked="checked" <% } %> />
                                                                </td>
                                                            </tr>
                                                            <tr>
                                                                <td>
                                                                    <asp:Label ID="LblFDKSChequeoFactCierreAgen" runat="server" Text="Label" meta:resourcekey="LblFDKSChequeoFactCierreAgen"></asp:Label>:
                                                                </td>
                                                                <td>
                                                                    <input type="checkbox" name="cbLinaCfag" id="cbLinaCfag" value="1" <% if (elemento.lina_cfag)
                                                                                                                                          { %>
                                                                        checked="checked" <% } %> />
                                                                </td>
                                                            </tr>
                                                        </table>
                                                    </fieldset>
                                                </td>
                                            </tr>
                                            <tr>
                                                <td>
                                                    <fieldset style="width: 90%;">
                                                        <legend>
                                                            <asp:Label ID="LblFDKSPrefijos" runat="server" Text="Label" meta:resourcekey="LblFDKSPrefijos"></asp:Label></legend>
                                                        <table width="100%">
                                                            <tr>
                                                                <td>
                                                                    <asp:Label ID="LblFDKSDepGarantia2" runat="server" Text="Label" meta:resourcekey="LblFDKSDepGarantia"></asp:Label>:
                                                                </td>
                                                                <td>
                                                                    <input type="text" name="txtPrefijoDega" id="txtPrefijoDega" value="<%=elemento.prefijo_dega %>" size="5" style="text-align: right;" />
                                                                </td>
                                                            </tr>
                                                            <tr>
                                                                <td>
                                                                    <asp:Label ID="LblFDKSDepAdel3" runat="server" Text="Label" meta:resourcekey="LblFDKSDepAdel"></asp:Label>:
                                                                </td>
                                                                <td>
                                                                    <input type="text" name="txtPrefijoDapt" id="txtPrefijoDapt" value="<%=elemento.prefijo_dapt %>" size="5" style="text-align: right;" />
                                                                </td>
                                                            </tr>
                                                        </table>
                                                    </fieldset>
                                                </td>
                                            </tr>
                                        </table>
                                    </td>
                                </tr>
                            </table>
                        </div>

                        <div id="CierreDiario" style="height: 320px;">
                            <br />
                            <br />
                            <br />
                            <br />
                            <br />
                            <table width="100%" style="font-size: 8pt;">
                                <tr>
                                    <td>
                                        <asp:Label ID="LblFDKSCobrarDepAdelNoShow" runat="server" Text="Label" meta:resourcekey="LblFDKSCobrarDepAdelNoShow"></asp:Label>:
                                    </td>
                                    <td>
                                        <input type="checkbox" name="cbDegaNuShow" id="cbDegaNuShow" value="1" <% if (elemento.dega_nu_show)
                                                                                                                  { %>
                                            checked="checked" <% } %> />
                                    </td>
                                    <td>
                                        <asp:Label ID="LblFDKSIncluirEstadPasante" runat="server" Text="Label" meta:resourcekey="LblFDKSIncluirEstadPasante"></asp:Label>:
                                    </td>
                                    <td>
                                        <input type="checkbox" name="cbDiaInOut" id="cbDiaInOut" value="1" <% if (elemento.dia_in_out)
                                                                                                              { %>
                                            checked="checked" <% } %> />
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <asp:Label ID="LblFDKSCobrarDepAdelCaduco" runat="server" Text="Label" meta:resourcekey="LblFDKSCobrarDepAdelCaduco"></asp:Label>:
                                    </td>
                                    <td>
                                        <input type="checkbox" name="cbDegaCaduco" id="cbDegaCaduco" value="1" <% if (elemento.dega_caduco)
                                                                                                                  { %>
                                            checked="checked" <% } %> />
                                    </td>
                                    <td>
                                        <asp:Label ID="LblFDKSProdFactAgen1Dia" runat="server" Text="Label" meta:resourcekey="LblFDKSProdFactAgen1Dia"></asp:Label>:
                                    </td>
                                    <td>
                                        <input type="checkbox" name="cbProdFag1Dia" id="cbProdFag1Dia" value="1" <% if (elemento.prod_fag_1dia)
                                                                                                                    { %>
                                            checked="checked" <% } %> />
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <asp:Label ID="LblFDKSNoPermitirOperDiarias" runat="server" Text="Label" meta:resourcekey="LblFDKSNoPermitirOperDiarias"></asp:Label>:
                                    </td>
                                    <td>
                                        <input type="checkbox" name="cbCerrando" id="cbCerrando" value="1" <% if (elemento.cerrando)
                                                                                                              { %>
                                            checked="checked" <% } %> />
                                    </td>
                                    <td>
                                        <asp:Label ID="LblFDKSProcLlamadasTelef" runat="server" Text="Label" meta:resourcekey="LblFDKSProcLlamadasTelef"></asp:Label>:
                                    </td>
                                    <td>
                                        <input type="checkbox" name="cbProcesaLlamada" id="cbProcesaLlamada" value="1" <% if (elemento.procesa_llamada)
                                                                                                                          { %>
                                            checked="checked" <% } %> />
                                    </td>
                                </tr>
                                <tr>
                                    <td colspan="4">
                                        <table width="100%">
                                            <tr>
                                                <td width="100%" style="text-align: center; white-space: nowrap;">
                                                    <asp:Label ID="LblFDKSRealizProrrogAut" runat="server" Text="Label" meta:resourcekey="LblFDKSRealizProrrogAut"></asp:Label>:
                                                    <input type="checkbox" name="cbAutoProrroga" id="cbAutoProrroga" value="1" <% if (elemento.auto_prorroga)
                                                                                                                                  { %>
                                                        checked="checked" <% } %> />
                                                </td>
                                            </tr>
                                        </table>
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <asp:Label ID="LblFDKSDiasListaCierre" runat="server" Text="Label" meta:resourcekey="LblFDKSDiasListaCierre"></asp:Label>:
                                    </td>
                                    <td>
                                        <input type="text" name="txtDiasCierre" id="txtDiasCierre" value="<%=elemento.dias_cierre %>" size="5" />
                                    </td>
                                    <td>
                                        <asp:Label ID="LblFDKSConsecCierre" runat="server" Text="Label" meta:resourcekey="LblFDKSConsecCierre"></asp:Label>:
                                    </td>
                                    <td>
                                        <input type="text" name="txtConsecCierre" id="txtConsecCierre" value="<%=elemento.consec_cierre %>" size="10" disabled="disabled" />
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <asp:Label ID="LblFDKSFechaHotelera" runat="server" Text="Label" meta:resourcekey="LblFDKSFechaHotelera"></asp:Label>:
                                    </td>
                                    <td>
                                        <input type="text" name="txtFechaHotelera" id="txtFechaHotelera" value="<%=String.Format("{0:d}", elemento.fecha_hotelera) %>" size="15" disabled="disabled" />
                                    </td>
                                    <td>
                                        <asp:Label ID="LblFDKSFechaUltCierre" runat="server" Text="Label" meta:resourcekey="LblFDKSFechaUltCierre"></asp:Label>:
                                    </td>
                                    <td>
                                        <input type="text" name="txtFechaUltCierre" id="txtFechaUltCierre" value="<%=String.Format("{0:d}", elemento.fecha_ult_cierre) %>" size="15" disabled="disabled" />
                                    </td>
                                </tr>
                                <tr>
                                    <td colspan="2">
                                        <asp:Label ID="LblFDKSCIERPassword" runat="server" Text="Label" meta:resourcekey="LblFDKSCIERPassword"></asp:Label>:
                                    </td>
                                    <td>
                                        <input type="password" name="txtCIERPassword" id="txtCIERPassword" value="<%=elemento.cier_password %>" style="width: 100px;" />
                                    </td>
                                </tr>
                            </table>
                        </div>

                        <div id="MultiHotel" style="height: 320px;">
                            <br />
                            <br />
                            <br />
                            <fieldset>
                                <br />
                                <fieldset style="text-align: center; font-size: 8pt;">
                                    <legend>
                                        <asp:Label ID="LblFDKSLlamadasTelef" runat="server" Text="Label" meta:resourcekey="LblFDKSLlamadasTelef"></asp:Label></legend>
                                    <table width="80%">
                                        <tr>
                                            <td width="50%">
                                                <asp:Label ID="LblFDKSConceptoCargo" runat="server" Text="Label" meta:resourcekey="LblFDKSConceptoCargo"></asp:Label>:
                                            </td>
                                            <td>
                                                <%=ComboConcCargo0 %>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td>
                                                <asp:Label ID="LblFDKSConceptoProduccion" runat="server" Text="Label" meta:resourcekey="LblFDKSConceptoProduccion"></asp:Label>:
                                            </td>
                                            <td>
                                                <%=ComboConcProd %>
                                            </td>
                                        </tr>
                                    </table>
                                </fieldset>
                                <br />
                                <fieldset style="text-align: center; font-size: 8pt;">
                                    <legend>
                                        <asp:Label ID="LblFDKSRoomChange" runat="server" Text="Label" meta:resourcekey="LblFDKSRoomChange"></asp:Label></legend>
                                    <table width="80%">
                                        <tr>
                                            <td width="50%">
                                                <asp:Label ID="LblFDKSConceptoCargo2" runat="server" Text="Label" meta:resourcekey="LblFDKSConceptoCargo"></asp:Label>:
                                            </td>
                                            <td>
                                                <%=ComboConcCargo1 %>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td>
                                                <asp:Label ID="LblFDKSTipoCobro" runat="server" Text="Label" meta:resourcekey="LblFDKSTipoCobro"></asp:Label>:
                                            </td>
                                            <td>
                                                <%=ComboTipoCobros %>
                                            </td>
                                        </tr>
                                    </table>
                                </fieldset>
                                <br />
                            </fieldset>

                            <br />

                            <table width="100%">
                                <tr>
                                    <td colspan="4">
                                        <table width="100%">
                                            <tr>
                                                <td width="100%"></td>

                                                <td>
                                                    <button type="button" id="btnGuardar2" onclick="window.location.href='ParametrosGenerales.aspx?mh=1&td=' + $('#cbConcCargo').val() + '&to=' + $('#cbConcProd').val() + '&cd=' + $('#cbConcCargo1').val() + '&co=' + $('#cbTipoCobros').val();" <% if (elemento.id_tabl == 0)
                                                                                                                                                                                                                                                                                                      { %>
                                                        disabled="disabled" <% } %>>
                                                        <table>
                                                            <tr>
                                                                <td>
                                                                    <img src="img/disk.png" alt="<%=L.LBL("LblGENSave") %>" />
                                                                </td>
                                                                <td><%=L.LBL("LblGENSave") %></td>
                                                            </tr>
                                                        </table>
                                                    </button>
                                                </td>
                                            </tr>
                                        </table>
                                    </td>
                                </tr>
                            </table>

                        </div>

                        <div id="Contabilidad" style="height: 320px;">
                            <br />
                            <br />
                            <br />
                            <br />
                            <br />
                            <br />
                            <br />
                            <fieldset style="font-size: 8pt;">

                                <table width="80%">
                                    <tr>
                                        <td>
                                            <asp:Label ID="LblFDKSContabilidad2" runat="server" Text="Label" meta:resourcekey="LblFDKSContabilidad"></asp:Label>:
                                        </td>
                                        <td>
                                            <select name="cbContabil" id="cbContabil">
                                                <option value="2" <% if (elemento.contabil == 2)
                                                                     { %>
                                                    selected="selected" <% } %>>Seven Accounting</option>
                                            </select>
                                        </td>
                                        <td>
                                            <asp:Label ID="LblFDKSLibroContableFront" runat="server" Text="Label" meta:resourcekey="LblFDKSLibroContableFront"></asp:Label>:
                                        </td>
                                        <td>
                                            <input type="text" name="txtLibro" id="txtLibro" value="<%=elemento.libro %>" size="5" />
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <asp:Label ID="LblFDKSContabDiariaImp" runat="server" Text="Label" meta:resourcekey="LblFDKSContabDiariaImp"></asp:Label>:
                                        </td>
                                        <td>
                                            <input type="checkbox" name="cbImpuDiario" id="cbImpuDiario" value="1" <% if (elemento.impu_diario)
                                                                                                                      { %>
                                                checked="checked" <% } %> />
                                        </td>
                                        <td>
                                            <asp:Label ID="LblFDKSAsieTipoAutomatico" runat="server" Text="Label" meta:resourcekey="LblFDKSAsieTipoAutomatico"></asp:Label>:
                                        </td>
                                        <td>
                                            <input type="checkbox" name="cbAstoAutomatico" id="cbAstoAutomatico" value="1" <% if (elemento.asto_automatico)
                                                                                                                              { %>
                                                checked="checked" <% } %> />
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <asp:Label ID="LblFDKSDocContCNumCheque" runat="server" Text="Label" meta:resourcekey="LblFDKSDocContCNumCheque"></asp:Label>:
                                        </td>
                                        <td>
                                            <input type="checkbox" name="cbChequeFactura" id="cbChequeFactura" value="1" <% if (elemento.cheque_factura == 1)
                                                                                                                            { %>
                                                checked="checked" <% } %> />
                                        </td>
                                        <td>
                                            <asp:Label ID="LblFDKSIntegAutAsie" runat="server" Text="Label" meta:resourcekey="LblFDKSIntegAutAsie"></asp:Label>:
                                        </td>
                                        <td>
                                            <input type="checkbox" name="cbIntegraAsiento" id="cbIntegraAsiento" value="1" <% if (elemento.integra_asiento)
                                                                                                                              { %>
                                                checked="checked" <% } %> />
                                        </td>
                                    </tr>
                                </table>
                            </fieldset>
                        </div>

                        <div id="Impresoras" style="height: 320px;">

                            <table>
                                <tr>
                                    <td>
                                        <table>
                                            <tr>
                                                <td>
                                                    <fieldset>
                                                        <legend><b><%=L.LBL("LblGENImpresora") + " - " + L.LBL("LblGENDocumento") %></b></legend>
                                                        <table>
                                                            <tr>
                                                                <td><%=L.LBL("LblGENActual") %>:</td>
                                                                <td><input type="text" name="txtImpresoraSys" id="txtImpresoraSys" value="<%=elemento.impresora_sys %>" style="width: 130px;" /><br /></td>
                                                            </tr>
                                                            <tr>
                                                                <td><%=L.LBL("LblGENDisponibles") %>:</td>
                                                                <td><%=cbImpresora %></td>
                                                            </tr>
                                                        </table>
                                                    </fieldset>
                                                </td>
                                            </tr>
                                            <tr>
                                                <td>
                                                    <fieldset>
                                                        <legend><b><%=L.LBL("LblGENImpresora") + " - " + L.LBL("LblGENCheque") %></b></legend>
                                                        <table>
                                                            <tr>
                                                                <td><%=L.LBL("LblGENActual") %>:</td>
                                                                <td><input type="text" name="txtImpresoraSysCheq" id="txtImpresoraSysCheq" value="<%=elemento.impresora_sys_cheq %>" style="width: 130px;" /><br /></td>
                                                            </tr>
                                                            <tr>
                                                                <td><%=L.LBL("LblGENDisponibles") %>:</td>
                                                                <td><%=cbImpresoraCheq %></td>
                                                            </tr>
                                                        </table>
                                                    </fieldset>
                                                </td>
                                            </tr>
                                            <tr>
                                                <td>
                                                    <fieldset>
                                                        <legend><b><%=L.LBL("LblGENImpresora") + " - " + L.LBL("LblGENFactura") %></b></legend>
                                                        <table>
                                                            <tr>
                                                                <td><%=L.LBL("LblGENActual") %>:</td>
                                                                <td><input type="text" name="txtImpresoraSysFact" id="txtImpresoraSysFact" value="<%=elemento.impresora_sys_fact %>" style="width: 130px;" /><br /></td>
                                                            </tr>
                                                            <tr>
                                                                <td><%=L.LBL("LblGENDisponibles") %>:</td>
                                                                <td><%=cbImpresoraFact %></td>
                                                            </tr>
                                                        </table>
                                                    </fieldset>
                                                </td>
                                            </tr>
                                            <tr>
                                                <td>
                                                    <fieldset>
                                                        <legend><b><%=L.LBL("LblGENImpresora") + " - " + L.LBL("LblGENRecibo") %></b></legend>
                                                        <table>
                                                            <tr>
                                                                <td><%=L.LBL("LblGENActual") %>:</td>
                                                                <td><input type="text" name="txtImpresoraSysRec" id="txtImpresoraSysRec" value="<%=elemento.impresora_sys_rec %>" style="width: 130px;" /><br /></td>
                                                            </tr>
                                                            <tr>
                                                                <td><%=L.LBL("LblGENDisponibles") %>:</td>
                                                                <td><%=cbImpresoraRec %></td>
                                                            </tr>
                                                        </table>
                                                    </fieldset>
                                                </td>
                                            </tr>
                                        </table>
                                    </td>
                                    <td>
                                        <input type="hidden" id="IdSubElementPRI" value="0" />
                                        <table id="jqgPRI"></table>

                                        <table width="100%">
                                            <tr>
                                                <td colspan="4">
                                                    <table width="100%">
                                                        <tr>
                                                            <td width="100%"></td>
                                                            <td>
                                                                <button type="button" id="btnGuardarPRI" onclick="SavePRI();">
                                                                        <table>
                                                                            <tr>
                                                                                <td>
                                                                                    <img src="img/disk.png" alt="<%=L.LBL("LblGENSave") %>" />
                                                                                </td>
                                                                                <td><%=L.LBL("LblGENSave") %></td>
                                                                            </tr>
                                                                        </table>
                                                                </button>
                                                            </td>
                                                            <td>
                                                                <button type="button" id="btnCancelarPRI" onclick="CancelPRI();">
                                                                        <table>
                                                                            <tr>
                                                                                <td><img src="img/arrow-return-180-left.png" alt="<%=L.LBL("LblGENCancel") %>" /></td>
                                                                                <td><%=L.LBL("LblGENCancel") %></td>
                                                                            </tr>
                                                                        </table>
                                                                </button>
                                                            </td>
                                                        </tr>
                                                    </table>
                                                </td>
                                            </tr>
                                        </table>
                                    
                                    </td>
                                </tr>
                            </table>

                        </div>
                            

                    </div>

                    <table width="100%">
                        <tr>
                            <td colspan="4">
                                <table width="100%">
                                    <tr>
                                        <td width="100%"></td>
                                        <td>
                                            <button type="submit" onclick="EnableConfigFrontForm();" <% if (elemento.id_tabl != 0)
                                                                                                        { %>
                                                disabled="disabled" <% } %>>
                                                <table>
                                                    <tr>
                                                        <td>
                                                            <img src="img/document.png" alt="<%=L.LBL("LblGENNew") %>" /></td>
                                                        <td><%=L.LBL("LblGENNew") %></td>
                                                    </tr>
                                                </table>
                                            </button>
                                        </td>
                                        <td>
                                            <button type="submit" id="btnGuardar" <% if (elemento.id_tabl == 0)
                                                                                     { %>
                                                disabled="disabled" <% } %>>
                                                <table>
                                                    <tr>
                                                        <td>
                                                            <img src="img/disk.png" alt="<%=L.LBL("LblGENSave") %>" />
                                                        </td>
                                                        <td><%=L.LBL("LblGENSave") %></td>
                                                    </tr>
                                                </table>
                                            </button>
                                        </td>
                                        <td>
                                            <button type="button" onclick="window.location.href='http://<%=Request.Url.Authority %>/ParametrosGenerales.aspx<%  Response.Write("?d=0");
                                                                                                                                                                if (!string.IsNullOrEmpty(Request.QueryString["p"]))
                                                                                                                                                                {
                                                                                                                                                                    Response.Write("&p=" + Request.QueryString["p"]);
                                                                                                                                                                }
                                                                                                                                                                else
                                                                                                                                                                {
                                                                                                                                                                    Response.Write("&p=1");
                                                                                                                                                                }
                                                                                                                                                                if (!string.IsNullOrEmpty(Request.QueryString["q"]))
                                                                                                                                                                {
                                                                                                                                                                    Response.Write("&q=" + Request.QueryString["q"]);
                                                                                                                                                                }
                                                                                                                                                                else
                                                                                                                                                                {
                                                                                                                                                                    Response.Write("&q=");
                                                                                                                                                                }%>'">
                                                <table>
                                                    <tr>
                                                        <td>
                                                            <img src="img/arrow-return-180-left.png" alt="<%=L.LBL("LblGENCancel") %>" /></td>
                                                        <td><%=L.LBL("LblGENCancel") %></td>
                                                    </tr>
                                                </table>
                                            </button>
                                        </td>
                                        <td>
                                            <button type="button" onclick="window.location.href='http://<%=Request.Url.Authority %>/Inicio.aspx'">
                                                <table>
                                                    <tr>
                                                        <td>
                                                            <img src="img/cross.png" alt="<%=L.LBL("LblGENExit") %>" /></td>
                                                        <td><%=L.LBL("LblGENExit") %></td>
                                                    </tr>
                                                </table>
                                            </button>
                                        </td>
                                    </tr>
                                </table>
                            </td>
                        </tr>
                    </table>

                </form>

            </div>

        </div>

    </div>

    <% }
       catch { } %>
</asp:Content>

