﻿<% @Import Namespace="Seven.Front.Settings" %>
<% @Import Namespace="Seven.Front.Settings.Globals" %>
<% @Import Namespace="Seven.Front.Settings.Objects" %>
<%@ Page Language="C#" MasterPageFile="Model.Master" AutoEventWireup="true" CodeBehind="PlantillasTarifas.aspx.cs" Inherits="Seven.Front.Settings.PlantillasTarifas" %>

<asp:Content ID="Content1" ContentPlaceHolderID="cpHeader" runat="server">

    <% try{ %>

    <% 
        
        /* Índice de Código
         * 
         * JQ01 - Grid Principal Plantillas
         * JQ02 - Grid de Precios de Agencia
         * JQ03 - Grid de Precios de Agencia - Detalle
         * JQ04 - Grid de Precios de Directos
         * JQ05 - Grid de Precios de Directos - Detalle
         * 
         * JS_FUN - Funciones Javascript
         * JS_DOC - Funciones Javascript en Document.Ready()
         * 
         * DLG_VAR - Diálogos Varios
         * DLG_DUP - Diálogo de Duplicar Plantilla
         * DLG_BUSCAR - Diálogo para Filtrar Plantillas
         * 
         * TIT - Título
         * 
         * HH - Hidden Hive - Alamacen de datos en campos ocultos
         * 
         * B01 - Cuerpo Grid y Formulario Plantillas
         * B02 - Tabs de Plantillas
         * B03 - Tab de Precios de Agencia
         * B04 - Tab de Precios de Directo
         * 
         */
        
    %>

    <title><%=L.TIT("PlantillasTarifas") %> [1.5]</title>
    
    <script type="text/javascript">

        var ListFindN    =  ['eq','bw','ne','lt','le','gt','ge','ew','cn'];
        var ListFindT = ['cn', 'eq', 'bw', 'bn', 'nc', 'ew', 'en'];

        var HeaderTableCON = <%=L.LBL("LblFDKSPlantillas") %>;
        var HeaderTablePA = <%=L.LBL("LblFDKSTarifaPreciosEmpr") %>;
        var HeaderTablePAD = <%=L.LBL("LblFDKSTarifaPreciosEmprDet") %>;
        var HeaderTablePD = <%=L.LBL("LblFDKSTarifaPreciosDir") %>;
        var HeaderTablePDD = <%=L.LBL("LblFDKSTarifaPreciosDirDet") %>;

        <% /* JQ01 */%>

        <% /* Código del jqGrid para Plantillas */ %>

        <% /* Función para cargar los datos del Web Service. */ %>

        function GetCON() {
            $.ajax({
                url: 'Servicio.svc/GetPlantillas',
                data: {
                    "Eliminado": $('#cbEliminado:checked').val()
                , "Fil_Codigo": $("input[name=cbFilCodigo]:checked").val(), "vFil_Codigo": $('#txtFilCodigo').val()
                , "Fil_Descripcion": $("input[name=cbFilDescripcion]:checked").val(), "vFil_Descripcion": $('#txtFilDescripcion').val()
                , "Fil_Moneda": $("input[name=cbFilMoneda]:checked").val(), "vFil_Moneda": $('#cbMonedaTarifa').val()
                , "Fil_Temporada": $("input[name=cbFilTemporada]:checked").val(), "vFil_Temporada": $('#cbTemporadaTarifa').val()
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>"
                },
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function () {
                    $("#dlgCargando").dialog('open');
                },
                success: function (json) {
                    $("#dlgCargando").dialog('close');
                    try
                    {
                        $("#jqgCON").jqGrid("setGridParam", { datatype: "json", loadonce: true });
                        var thegrid = $("#jqgCON")[0];
                        thegrid.addJSONData(JSON.parse(json.d));
                        $("#jqgCON").jqGrid("setGridParam", { datatype: "local", loadonce: true });
                    }
                    catch(err) {
                        $('#dlgInformation').html(json.d); 
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        function GetCONT(id) {
            $.ajax({
                url: 'Servicio.svc/GetPlantilla',
                data: {
                    "id_plnt": id
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>"
                },
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function () {
                    $("#dlgCargando").dialog('open');
                },
                success: function (json) {
                    $("#dlgCargando").dialog('close');
                    $("#HIDCON").html(json.d);
                    LoadForm(id);
                }
            });
        }

        <% /* Función para crear o editar los datos hacia el Web Service. */ %>

        function PutCON(id, id_temp, id_mone, cod_plnt, desc_plnt, directo, eliminado) {
            $.ajax({
                url: 'Servicio.svc/PutPlantillas',
                data: {
                    "id_plnt": $('#IdSubElement').val(), "id_temp": id_temp, "id_mone": id_mone, "cod_plnt": cod_plnt, "desc_plnt": desc_plnt, "directo": directo, "eliminado": eliminado
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>"
                },
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function () {
                    $('#dlgCargando').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando').dialog('close');
                    var res = json.d;
                    if (res > 0 || res < 0) {
                        if (id > 0 || id < 0) {
                            BotonDefaultCON();
                            RefreshGridCON();
                        }
                        else {
                            $('#IdSubElement').val(res);
                            BotonDefaultCON();
                            RefreshGridCON();
                        }
                    }
                    else {
                        $('#dlgInformation').html(json.d);
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función para eliminar los datos hacia el Web Service. */ %>

        function DelCON(id) {
            $.ajax({
                url: 'Servicio.svc/DelPlantillas',
                data: {
                    "id_plnt": id
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>"
                },
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function () {
                    $('#dlgCargando').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando').dialog('close');
                    var res = json.d;
                    if (res == 1) {
                        BotonDefaultCON();
                        RefreshGridCON();
                        ResetForm();
                    }
                    else {
                        $('#dlgInformation').html(json.d);
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función principal que inicia la carga del jqGrid. Se llama de primero. */ %>

        function LoadGridCON() {

            $('#FirstLoad3').val(1);
            $('#FirstLoad4').val(1);

            var lselCON;
            var colMap = {};
            $("#jqgCON").jqGrid({
                datatype: 'local',
                height: 470,
                width: 150,
                colNames: HeaderTableCON,
                colModel: [
                            { name: 'Id', index: 'Id', width: 1, sorttype: 'int', hidden: true },
                            { name: 'cod_plnt', index: 'cod_plnt', width: 10, editable: true, search: false },
                            { name: 'Eli', index: 'Eli', width: 5, search: false, hidden: true }
                ],
                onSelectRow: function (id) {
                    if (id) {

                        if (isNaN(lselCON) && !isNaN(id)) {
                            $("#jqgCON").jqGrid('delRowData', lselCON);
                            //$('#jqgCON').jqGrid('resetSelection');
                        }

                        $('#jqgCON').jqGrid('restoreRow', lselCON);
                        //$('#jqgCON').jqGrid('editRow', id, true, EventsCON);

                        if(!isNaN(id))
                        {
                            GetCONT(id);
                        }

                        lselCON = id;
                    }
                },
                afterInsertRow: function (id) {
                    if (id) {
                        if (isNaN(lselCON)) {
                            $("#jqgCON").jqGrid('delRowData', lselCON);
                            $('#jqgCON').jqGrid('resetSelection');
                        }
                        else {
                            $('#jqgCON').jqGrid('saveRow', lselCON);
                        }
                    }
                },
                onCellSelect: function (id) {
                    if (id) {

                        var ret = jQuery("#jqgCON").jqGrid('getRowData', id);
                        var status = ret.Eli;

                        if (status == "True") {
                            $('#btnEliminarTextCON').html("<%=L.LBL("LblGENRecover") %>");
                            $('#btnEliminarIconCON').attr("src", "img/recuperar.png");
                        }
                        else {
                            $('#btnEliminarTextCON').html("<%=L.LBL("LblGENDelete") %>");
                            $('#btnEliminarIconCON').attr("src", "img/cross-script.png");
                        }

                        $('#FirstLoad3').val(1);
                        $('#FirstLoad4').val(1);

                        //$('#jqgCON').jqGrid('setSelection', id);

                        BotonSelectCON();
                    }
                },
                gridComplete: function () {
                    var rows = $("#jqgCON").getDataIDs();
                    for (var i = 0; i < rows.length; i++) {

                        if (i == 0 && parseInt($('#IdSubElement').val()) == 0) {
                            $('#IdSubElement').val($("#jqgCON").getCell(rows[i], "Id"));
                        }

                        var status = $("#jqgCON").getCell(rows[i], "Eli");

                        if (status == "True") {
                            $("#jqgCON").jqGrid('setRowData', rows[i], false,
                            { color: 'red', font: 'italic' });
                        }
                    }
                    $('#jqgCON').jqGrid('setSelection', $('#IdSubElement').val());
                    if(parseInt($('#IdSubElement').val()) != 0)
                    {
                        BotonSelectCON();
                    }
                },
                rowNum: 99999999,
                rowTotal: 99999999,
                loadonce: true,
                mtype: "GET",
                rownumbers: false,
                rownumWidth: 40,
                gridview: true,
                //pager: '#PaginadorCON',
                sortname: 'Id',
                viewrecords: true,
                sortorder: "asc",
                ignoreCase: true, 
                scrollrows : true,
                //multiselect: true,
                //altRows: true,
                //altclass:'ui-widget-header',
                editurl: "Dummy.aspx"
            });

        }

        function InitializeComponentsCON() {
            $("#cbTemporada").on('change', function () { BotonGuardarCON(); });
            $("#cbMoneda").on('change', function () { BotonGuardarCON(); });
            $("#txtcod_plnt").on('input', function () { BotonGuardarCON(); });
            $("#txtdesc_plnt").on('input', function () { BotonGuardarCON(); });
            $("#cbDirecto").on('change', function () { BotonGuardarCON(); });
        }


        function EventsCON(id) {
            $("#" + id + "_cod_plnt").on('input', function () { BotonGuardarCON(); });
            $("#" + id + "_eliminado").on('change', function () { BotonGuardarCON(); });
        }

        function EventsNewCON() {
            var selr = jQuery('#jqgCON').jqGrid('getGridParam', 'selrow');
            $("#" + selr + "_cod_plnt").on('input', function () { BotonGuardarCON(); });
            $("#" + selr + "_eliminado").on('change', function () { BotonGuardarCON(); });
        }

        <% /* Función que permite recargar los datos del grid desde el servidor. */ %>

        function RefreshGridCON() {
            $("#jqgCON").jqGrid("setGridParam", { datatype: "json", datatype: GetCON, loadonce: true });
            $("#jqgCON").trigger("reloadGrid");
            $("#jqgCON").jqGrid("setGridParam", { datatype: "local", loadonce: true });
        }

        function ResetForm()
        {
            $('#IdSubElement').val(0);
            $('#IdSubElement3').val(0);
            $('#IdSubElement4').val(0);
            $('#IdSubElement5').val(0);

            $('#TitSubElement3').html('');
            $("#jqgPAD").jqGrid("clearGridData", true);
            $('#TitSubElement4').html('');
            $("#jqgPDD").jqGrid("clearGridData", true);

            $('#TitSubElement').html('');

            $('#cbTemporada').val(0);
            $('#cbMoneda').val(0);
            $('#txtcod_plnt').val('');
            $('#txtdesc_plnt').val('');
            $('#cbDirecto').prop('checked', false);

            $('#txtcod_plnt').prop('readonly', false);

            //RefreshGridPA();
            //RefreshGridPAD();
            //RefreshGridPD();
            //RefreshGridPDD();

            $('#jqgPA').jqGrid('clearGridData');
            $('#jqgPAD').jqGrid('clearGridData');
            $('#jqgPD').jqGrid('clearGridData');
            $('#jqgPDD').jqGrid('clearGridData');

            $('#cbTemporada').prop('disabled', false);

            GetPeriodosFecHotelComboD();
            GetPeriodosFecHotelComboH();
        }

        function LoadForm(id)
        {
            var ret = $("#jqgCON").jqGrid('getRowData', id);

            $('#IdSubElement').val(ret.Id);

            $('#IdSubElement3').val(0);
            $('#TitSubElement3').html('');
            $("#jqgPAD").jqGrid("clearGridData", true);
            $('#IdSubElement4').val(0);
            $('#TitSubElement4').html('');
            $("#jqgPDD").jqGrid("clearGridData", true);

            $('#FirstLoad3').val(1);
            $('#FirstLoad4').val(1);

            $('#TitSubElement').html($('#HIDCON_cod_plnt').val() + " - " + $('#HIDCON_desc_plnt').val());

            $('#txtcod_plnt').val($('#HIDCON_cod_plnt').val());
            $('#txtdesc_plnt').val($('#HIDCON_desc_plnt').val());
            
            $('#cbTemporada').val($('#HIDCON_id_temp').val());
            $('#cbMoneda').val($('#HIDCON_id_mone').val());

            $('#txtcod_plnt').prop('readonly', true);

            if(parseInt($('#HIDCON_directo').val()) == 1)
            {
                $('#cbDirecto').prop('checked', true);

                $('#PlantillasTabs').tabs("disable", 0);
                $('#PlantillasTabs').tabs("enable", 1);
                
                if($("#PlantillasTabs").tabs('option', 'active') == 0)
                {
                    $('#PlantillasTabs').tabs("option", "active", 1);
                }

                $('#btnGenerarPD').button('enable');
                $('#btnGenerarPA').button('disable');
            }
            else
            {
                $('#cbDirecto').prop('checked', false);

                $('#PlantillasTabs').tabs("disable", 1);
                $('#PlantillasTabs').tabs("enable", 0);
                
                if($("#PlantillasTabs").tabs('option', 'active') == 1)
                {
                    $('#PlantillasTabs').tabs("option", "active", 0);
                }

                $('#btnGenerarPA').button('enable');
                $('#btnGenerarPD').button('disable');
            }
            $('#cbTemporada').prop('disabled', true);

            RefreshGridPA();
            //RefreshGridPAD();
            RefreshGridPD();
            //RefreshGridPDD();

            GetPeriodosFecHotelComboD();
            GetPeriodosFecHotelComboH();
        }

        <% /* Función para agregar una fila en blanco donde se puede guardar un nuevo registro. */ %>

        function CreateCON() {
            ResetForm();
        }

        <% /* Función que salva los datos modificados en una fila. */ %>

        function SaveCON() {
            PutCON($('#IdSubElement').val(), $('#cbTemporada').val(), $('#cbMoneda').val(), $('#txtcod_plnt').val(), $('#txtdesc_plnt').val(), 
                $('input[name=cbDirecto]:checked').val(), $('#txteliminado').val());
        }

        <% /* Función que elimina un registro. */ %>

        function DeleteCON() {
            var id = parseInt($('#IdSubElement').val());
            if (id > 0 || id < 0) {
                DelCON(id);
                RefreshGridCON();
            }
            else {
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>");
	            $('#dlgInformation').dialog('open');
	        }
        }

        <% /* Función que cancela la edición de una fila y la devuelve a su estado original. */ %>

        function CancelCON() {
            var id = $("#jqgCON").jqGrid('getGridParam', 'selrow');
            if (id) {
                $('#jqgCON').jqGrid('setSelection', id);
            }
            else {
                ResetForm();
	        }
            BotonDefaultCON();
        }

        function BotonDefaultCON() {
            $('#btnNuevoCON').button('enable');
            $('#btnEliminarCON').button('disable');
            $('#btnGuardarCON').button('disable');
            $('#btnCancelarCON').button('disable');
        }

        function BotonNuevoCON() {
            $('#btnNuevoCON').button('disable');
            $('#btnEliminarCON').button('disable');
            $('#btnGuardarCON').button('disable');
            $('#btnCancelarCON').button('enable');
        }

        function BotonSelectCON() {
            $('#btnNuevoCON').button('enable');
            var id = $("#jqgCON").jqGrid('getGridParam', 'selrow');
            if (!isNaN(id)) {
                $('#btnEliminarCON').button('enable');
            }
            else {
                $('#btnEliminarCON').button('disable');
            }
            $('#btnGuardarCON').button('disable');
            $('#btnCancelarCON').button('disable');
        }

        function BotonGuardarCON() {
            $('#btnNuevoCON').button('disable');
            $('#btnEliminarCON').button('disable');
            $('#btnGuardarCON').button('enable');
            $('#btnCancelarCON').button('enable');
        }

        <% /* JQ02 */%>

        <% /* Código del jqGrid para Precios de Agencias */ %>

        <% /* Función para cargar los datos del Web Service. */ %>

        function GetPA() {
            $.ajax({
                url: 'Servicio.svc/GetPlantillaPreciosEmpresa',
                data: { "id_plnt": $('#IdSubElement').val()
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function () {
                    $('#PrecAgen').css("color", "red");
                    $('#dlgCargando2').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando2').dialog('close');
                    $("#jqgPA").jqGrid("setGridParam", {datatype: "json", loadonce: true});
                    var thegrid = $("#jqgPA")[0];
                    thegrid.addJSONData(JSON.parse(json.d));
                    $("#jqgPA").jqGrid("setGridParam", {datatype: "local", loadonce: true});
                    $('#PrecAgen').css("color", "green");
                }
            });
        }

        <% /* Función para crear o editar los datos hacia el Web Service. */ %>

        function PutPA(id, id_plnt, id_cfag, porpax, factor_div, automatico) {
            $.ajax({
                url: 'Servicio.svc/PutPlantillaPreciosEmpresa',
                data: { "id_pcon": id, "id_plnt": $('#IdSubElement').val(), "id_cfag": id_cfag, "porpax": porpax, "factor_div": factor_div, "automatico": automatico
                , "Detalles": JSON.stringify($("#jqgPAD").jqGrid('getGridParam','data'))
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function() {
                    $('#dlgCargando').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando').dialog('close');
                    var res = json.d;
                    if(res > 0 || res < 0)
                    {
                        if(id > 0 || id < 0){
                            //$("#jqgPA").jqGrid('saveRow', id);
                            //$('#jqgPA').jqGrid('editRow', id, true, EventsPA);
                            //BotonSelectPA();
                            BotonDefaultPA();
                            RefreshGridPA();
                            RefreshGridPAD();
                        }
                        else
                        {
                            $('#IdSubElement3').val(res);
                            BotonDefaultPA();
                            RefreshGridPA(); 
                            RefreshGridPAD();
                        }
                    }
                    else
                    {
                        $('#dlgInformation').html(json.d); 
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función para eliminar los datos hacia el Web Service. */ %>

        function DelPA(id) {
            $.ajax({
                url: 'Servicio.svc/DelPlantillaPreciosEmpresa',
                data: { "id_pcon": id
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function() {
                    $('#dlgCargando').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando').dialog('close');
                    var res = json.d;
                    if(res == 1)
                    {
                        $('#IdSubElement3').val(0);
                        $('#TitSubElement3').html('');
                        RefreshGridPAD();
                        BotonDefaultPA();
                        RefreshGridPA();
                    }
                    else
                    {
                        $('#dlgInformation').html(json.d); 
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función principal que inicia la carga del jqGrid. Se llama de primero. */ %>

        function LoadGridPA() {
        
            var lselPA;
            var colMap = {};
            $("#jqgPA").jqGrid({
                datatype: 'local',
                height: 100,
                width: 270,
                colNames:  HeaderTablePA,
                colModel: [
                            { name: 'Id', index: 'Id', width: 1, sorttype: 'int', hidden: true },
                            { name: 'id_plnt', index: 'id_plnt', width: 10, editable: true, search:false, hidden: true }, 
                            { name: 'id_cfag', index: 'id_cfag', width: 10, editable: true,formatter:'select', stype:'select', edittype:'select', editoptions: {<%=cbServiciosAgencias %>} }, 
                            { name: 'porpax', index: 'porpax', width: 10, editable: true, search:false,
                                edittype: 'checkbox', formatter: 'checkbox', editoptions: { value: 'True:False' }, 
                                formatoptions: { disabled: true } },
                            { name: 'factor_div', index: 'factor_div', width: 6, editable: true, searchoptions:{sopt:ListFindN} }, 
                            { name: 'automatico', index: 'automatico', width: 6, editable: true, search:false,
                                edittype: 'checkbox', formatter: 'checkbox', editoptions: { value: 'True:False' }, 
                                formatoptions: { disabled: true } },
                            { name: 'id_ralo', index: 'id_ralo', width: 10, editable: true, search:false, hidden: true },
                            { name: 'Eli', index: 'Eli', width: 5, search:false, hidden: true },
                            { name: 'tipo', index: 'tipo', width: 10, editable: false, hidden: true }
   	                    ],
                onSelectRow: function(id){
                    if(id ){

                        if(isNaN(lselPA) && !isNaN(id))
                        {
                            $("#jqgPA").jqGrid('delRowData', lselPA);
                            //$('#jqgPA').jqGrid('resetSelection');
                        }

                        if(!isNaN(id))
                        {
                            $('#jqgPA').jqGrid('restoreRow',lselPA);
                        }
                        else
                        {
                            BotonNuevoPA();
                        }

                        $('#jqgPA').jqGrid('editRow', id, true, EventsPA);

                        if(!isNaN(id))
                        {
                            var dropdown = $('#' + id + '_id_cfag')[0];
                            var selectedOption = dropdown.options[dropdown.selectedIndex];
                            var selectedText = selectedOption.text; 
                            $('#TitSubElement3').html(selectedText);
                        }
                       
                        lselPA=id;
                    }
                },
                afterInsertRow: function(id){
                    if(id){
                        if(isNaN(lselPA))
                        {
                            $("#jqgPA").jqGrid('delRowData', lselPA);
                            $('#jqgPA').jqGrid('resetSelection');
                        }
                        else
                        {
                            $('#jqgPA').jqGrid('saveRow',lselPA);
                        }
                    }
                },
                onCellSelect: function(id){
                    if(id){
                        if(!isNaN(id))
                        {
                            $('#jqgPA').jqGrid('restoreRow',id);
                        }

                        var ret = jQuery("#jqgPA").jqGrid('getRowData',id); 
                        var status = ret.Eli;

                        if(status == "True")
                        { 
                            $('#btnEliminarTextPA').html("<%=L.LBL("LblGENRecover") %>");
                            $('#btnEliminarIconPA').attr("src", "img/recuperar.png");
                        }
                        else 
                        {   
                            $('#btnEliminarTextPA').html("<%=L.LBL("LblGENDelete") %>");
                            $('#btnEliminarIconPA').attr("src", "img/cross-script.png");
                        }

                        if(!isNaN(id))
                        {
                            $('#IdSubElement3').val(ret.Id); 

                            RefreshGridPAD();
                        }

                        //$('#jqgPA').jqGrid('setSelection', id); 

                        BotonSelectPA();
                    }
                },
                gridComplete: function()
                {  
                    var rows = $("#jqgPA").getDataIDs(); 

                    var firstid;
                    var primero = true;

                    for (var i = 0; i < rows.length; i++)
                    { 
                        if(primero)
                        {
                            firstid = rows[i];
                            primero = false;
                        }

                        var status  = $("#jqgPA").getCell(rows[i],"Eli");
                        var id_ralo  = parseInt($("#jqgPA").getCell(rows[i],"id_ralo"));

                        if(status == "True")
                        {
                            $("#jqgPA").jqGrid('setRowData',rows[i],false, 
                            {color:'red',font:'italic' });
                        }

                        var tipo  = $("#jqgPA").getCell(rows[i],"tipo");

                        if(tipo == 5 || tipo == 6)
                        {
                            $("#jqgPA").jqGrid('setRowData',rows[i],false, 
                            {color:'purple',font:'italic' });
                        }

                        if(id_ralo != 0)
                        {
                            $("#jqgPA").jqGrid('setRowData',rows[i],false,'actRow');
                        }
                        else
                        {
                            $("#jqgPA").jqGrid('setRowData',rows[i],false,'inactRow');
                        }

                        if(!primero && parseInt($('#FirstLoad3').val()) == 1)
                        {
                            var ret = jQuery("#jqgPA").jqGrid('getRowData', firstid); 

                            if(!isNaN(ret.Id)) 
                            {
                                $('#IdSubElement3').val(ret.Id); 
                                RefreshGridPAD();

                                $('#FirstLoad3').val(0);
                            }
                        }
                    }
                    $('#jqgPA').jqGrid('setSelection', $('#IdSubElement3').val());
                    if(parseInt($('#IdSubElement3').val()) != 0)
                    {
                        BotonSelectPA();
                    }
                }, 
                rowNum: 99999999,
                rowTotal: 99999999,
                loadonce: true,
                mtype: "GET",
                rownumbers: false,
                rownumWidth: 40,
                gridview: true,
                //pager: '#PaginadorPA',
                sortname: 'Id',
                viewrecords: true,
                sortorder: "asc",
                ignoreCase: true,
                scrollrows: true,
                //multiselect: true,
                //altRows: true,
                //altclass:'ui-widget-header',
                editurl:"Dummy.aspx"
            });

            $("#bsdataPA").click(function(){ 
                jQuery("#jqgPA").jqGrid('searchGrid', {multipleSearch:true}); 
            });
        
        }

        function EventsPA(id) {
            $("#" + id + "_id_plnt").on('change', function () { BotonGuardarPA(); });
            $("#" + id + "_id_cfag").on('change', function () { BotonGuardarPA(); });
            $("#" + id + "_porpax").on('change', function () { BotonGuardarPA(); });
            $("#" + id + "_factor_div").on('input', function () { BotonGuardarPA(); });
            $("#" + id + "_automatico").on('change', function () { BotonGuardarPA(); });
        }

        function EventsNewPA() {
            var selr = jQuery('#jqgPA').jqGrid('getGridParam', 'selrow');
            $("#" + selr + "_id_plnt").on('change', function () { BotonGuardarPA(); });
            $("#" + selr + "_id_cfag").on('change', function () { BotonGuardarPA(); });
            $("#" + selr + "_porpax").on('change', function () { BotonGuardarPA(); });
            $("#" + selr + "_factor_div").on('input', function () { BotonGuardarPA(); });
            $("#" + selr + "_automatico").on('change', function () { BotonGuardarPA(); });
        }

        <% /* Función que permite recargar los datos del grid desde el servidor. */ %>

        function RefreshGridPA()
        {
            $("#jqgPA").jqGrid("setGridParam", {datatype: "json", datatype: GetPA, loadonce: true});
            $("#jqgPA").trigger("reloadGrid"); 
            $("#jqgPA").jqGrid("setGridParam", {datatype: "local", loadonce: true});
        }

        <% /* Función para agregar una fila en blanco donde se puede guardar un nuevo registro. */ %>

        function CreatePA()
        {
            $('#IdSubElement3').val(0);
            $('#TitSubElement3').html('');
            RefreshGridPAD();

            $("#jqgPA").jqGrid('addRow',{
                initdata : {'Id': '0', 'factor_div': '1', 'porpax': 'True', 'automatico': 'True'},
                position :"first",
                useDefValues : false,
                useFormatter : false,
                addRowParams : {extraparam:{}}
            });
            BotonGuardarPA();
            EventsNewPA();
        }

        <% /* Función que salva los datos modificados en una fila. */ %>

        function SavePA(){
	        var id = $("#jqgPA").jqGrid('getGridParam','selrow');
	        if (id)	{
                $('#jqgPAD').jqGrid('saveRow', $("#jqgPAD").jqGrid('getGridParam','selrow'));
                PutPA(id, $('#' + id + '_id_plnt').val(), $('#' + id + '_id_cfag').val()
                    , $('#' + id + '_porpax:checked').val(), $('#' + id + '_factor_div').val(), $('#' + id + '_automatico:checked').val());
	        } 
            else 
            { 
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>"); 
                $('#dlgInformation').dialog('open');
            }
        }

        <% /* Función que elimina un registro. */ %>

        function DeletePA(){
	        var id = $("#jqgPA").jqGrid('getGridParam','selrow');
	        if (id)	{
		        var ret = $("#jqgPA").jqGrid('getRowData',id);
                DelPA(id);
                RefreshGridPA();
	        } 
            else 
            { 
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>"); 
                $('#dlgInformation').dialog('open');
            }
        }

        <% /* Función que cancela la edición de una fila y la devuelve a su estado original. */ %>

        function CancelPA(){
	        var id = $("#jqgPA").jqGrid('getGridParam','selrow');
	        if (id)	{
	            $('#jqgPA').restoreRow(id);
	            $('#jqgPA').jqGrid('editRow', id, true, EventsPA);

                if(!isNaN(id))
                {
                    RefreshGridPAD();
                }
	        } 
            else 
            { 
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>"); 
                $('#dlgInformation').dialog('open');
	        }
            BotonSelectPA();
        }

        function BotonDefaultPA() {
            $('#btnNuevoPA').button('enable');
            $('#btnEliminarPA').button('disable');
            $('#btnGuardarPA').button('disable');
            $('#btnCancelarPA').button('disable');
        }

        function BotonNuevoPA() {
            $('#btnNuevoPA').button('disable');
            $('#btnEliminarPA').button('disable');
            $('#btnGuardarPA').button('disable');
            $('#btnCancelarPA').button('enable');
        }

        function BotonSelectPA() {
            $('#btnNuevoPA').button('enable');
            var id = $("#jqgPA").jqGrid('getGridParam', 'selrow');
            if (!isNaN(id)) {
                $('#btnEliminarPA').button('enable');
            }
            else {
                $('#btnEliminarPA').button('disable');
            }
            $('#btnGuardarPA').button('disable');
            $('#btnCancelarPA').button('disable');
        }

        function BotonGuardarPA() {
            $('#btnNuevoPA').button('disable');
            $('#btnEliminarPA').button('disable');
            $('#btnGuardarPA').button('enable');
            $('#btnCancelarPA').button('enable');
        }

        <% /* JQ03 */%>

        <% /* Código del jqGrid para Precios de Empresas Detalle */ %>

        <% /* Función para cargar los datos del Web Service. */ %>

        function GetPAD() {
            $.ajax({
                url: 'Servicio.svc/GetPlantillaPreciosAgenciaDet',
                data: { "id_pcon": $('#IdSubElement3').val(), "id_temp": $('#cbTemporada').val(), "activos": $('#cbTempActivas:checked').val()
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function () {
                    $('#TitSubElement3').css("color", "red");
                    $('#dlgCargando3').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando3').dialog('close');
                    $("#jqgPAD").jqGrid("setGridParam", {datatype: "json", loadonce: true});
                    var thegrid = $("#jqgPAD")[0];
                    thegrid.addJSONData(JSON.parse(json.d));
                    $("#jqgPAD").jqGrid("setGridParam", {datatype: "local", loadonce: true});
                    $('#TitSubElement3').css("color", "green");
                }
            });
        }

        <% /* Función principal que inicia la carga del jqGrid. Se llama de primero. */ %>

        function LoadGridPAD() {
        
            var lselPAD;
            var colMap = {};
            $("#jqgPAD").jqGrid({
                datatype: 'local',
                height: 100,
                width: 300,
                colNames:  HeaderTablePAD,
                colModel: [
                            { name: 'Id', index: 'Id', width: 1, sorttype: 'int', hidden: true },
                            { name: 'fecha_desde', index: 'fecha_desde', width: 10, editable: false, searchoptions:{sopt:ListFindT} }, 
                            { name: 'fecha_hasta', index: 'fecha_hasta', width: 10, editable: false, searchoptions:{sopt:ListFindT} }, 
                            { name: 'precio', index: 'precio', width: 10, editable: true, align: 'right', searchoptions:{sopt:ListFindN} }, 
                            { name: 'activo', index: 'activo', width: 10, editable: true, search:false, hidden: true },
                            { name: 'Eli', index: 'Eli', width: 5, search:false, hidden: true },
                            { name: 'tipo', index: 'tipo', width: 10, editable: false, hidden: true }
                ],
                onSelectRow: function(id){
                    if(id ){

                        if(isNaN(lselPAD) && !isNaN(id))
                        {
                            $("#jqgPAD").jqGrid('delRowData', lselPAD);
                            $('#jqgPAD').jqGrid('resetSelection');
                        }

                        $('#jqgPAD').jqGrid('saveRow',lselPAD);
                        $('#jqgPAD').jqGrid('editRow', id, true, EventsPAD);
                       
                        lselPAD=id;
                    }
                },
                afterInsertRow: function(id){
                    if(id){
                        if(isNaN(lselPAD))
                        {
                            $("#jqgPAD").jqGrid('delRowData', lselPAD);
                            $('#jqgPAD').jqGrid('resetSelection');
                        }
                        else
                        {
                            $('#jqgPAD').jqGrid('saveRow',lselPAD);
                        }
                    }
                },
                onCellSelect: function(id){
                    if(id){
                        $('#jqgPAD').jqGrid('restoreRow',id);

                        var ret = jQuery("#jqgPAD").jqGrid('getRowData',id); 
                        var status = ret.Eli;

                        if(status == "True")
                        { 
                            $('#btnEliminarTextPAD').html("<%=L.LBL("LblGENRecover") %>");
                            $('#btnEliminarIconPAD').attr("src", "img/recuperar.png");
                        }
                        else 
                        {   
                            $('#btnEliminarTextPAD').html("<%=L.LBL("LblGENDelete") %>");
                            $('#btnEliminarIconPAD').attr("src", "img/cross-script.png");
                        }

                        $('#jqgPAD').jqGrid('setSelection', id); 

                        //BotonSelectPAD();
                    }
                },
                gridComplete: function()
                {  
                    var rows = $("#jqgPAD").getDataIDs(); 
                    for (var i = 0; i < rows.length; i++)
                    { 
                        var status  = $("#jqgPAD").getCell(rows[i],"Eli");
                        var activo  = $("#jqgPAD").getCell(rows[i],"activo");

                        if(status == "True")
                        {
                            $("#jqgPAD").jqGrid('setRowData',rows[i],false, 
                            {color:'red',font:'italic' });
                        }

                        var tipo  = $("#jqgPAD").getCell(rows[i],"tipo");

                        if(tipo == 5 || tipo == 6)
                        {
                            $("#jqgPAD").jqGrid('setRowData',rows[i],false, 
                            {color:'purple',font:'italic' });
                        }

                        if(activo == 1)
                        {
                            $("#jqgPAD").jqGrid('setRowData',rows[i],false,'actRow');
                        }
                        else
                        {
                            $("#jqgPAD").jqGrid('setRowData',rows[i],false,'inactRow');
                        }
                    }
                }, 
                rowNum: 99999999,
                rowTotal: 99999999,
                loadonce: true,
                mtype: "GET",
                rownumbers: false,
                rownumWidth: 40,
                gridview: true,
                //pager: '#PaginadorPAD',
                sortname: 'Id',
                viewrecords: true,
                sortorder: "asc",
                ignoreCase: true,
                //multiselect: true,
                //altRows: true,
                //altclass:'ui-widget-header',
                editurl:"Dummy.aspx"
            });

            $("#bsdataPAD").click(function(){ 
                jQuery("#jqgPAD").jqGrid('searchGrid', {multipleSearch:true}); 
            });
        
        }

        function EventsPAD(id) {
            $("#" + id + "_fecha_desde").on('input', function () { BotonGuardarPA(); });
            $("#" + id + "_fecha_hasta").on('input', function () { BotonGuardarPA(); });
            $("#" + id + "_precio").on('input', function () { BotonGuardarPA(); });
            $("#" + id + "_activo").on('change', function () { BotonGuardarPA(); });
        }

        function EventsNewPAD() {
            var selr = jQuery('#jqgPAD').jqGrid('getGridParam', 'selrow');
            $("#" + selr + "_fecha_desde").on('input', function () { BotonGuardarPA(); });
            $("#" + selr + "_fecha_hasta").on('input', function () { BotonGuardarPA(); });
            $("#" + selr + "_precio").on('input', function () { BotonGuardarPA(); });
            $("#" + selr + "_activo").on('change', function () { BotonGuardarPA(); });
        }

        <% /* Función que permite recargar los datos del grid desde el servidor. */ %>

        function RefreshGridPAD()
        {
            $("#jqgPAD").jqGrid("setGridParam", {datatype: "json", datatype: GetPAD, loadonce: true});
            $("#jqgPAD").trigger("reloadGrid"); 
            $("#jqgPAD").jqGrid("setGridParam", {datatype: "local", loadonce: true});
        }

        <% /* JQ04 */%>

        <% /* Código del jqGrid para Precios de Directos */ %>

        <% /* Función para cargar los datos del Web Service. */ %>

        function GetPD() {
            $.ajax({
                url: 'Servicio.svc/GetPlantillaPreciosDirecto',
                data: { "id_plnt": $('#IdSubElement').val()
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function () {
                    $('#PrecDir').css("color", "red");
                    $('#dlgCargando4').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando4').dialog('close');
                    $("#jqgPD").jqGrid("setGridParam", {datatype: "json", loadonce: true});
                    var thegrid = $("#jqgPD")[0];
                    thegrid.addJSONData(JSON.parse(json.d));
                    $("#jqgPD").jqGrid("setGridParam", {datatype: "local", loadonce: true});
                    $('#PrecDir').css("color", "green");
                }
            });
        }

        <% /* Función para crear o editar los datos hacia el Web Service. */ %>

        function PutPD(id, id_plnt, id_uhab) {
            $.ajax({
                url: 'Servicio.svc/PutPlantillaPreciosDirecto',
                data: { "id_ponh": id, "id_plnt": $('#IdSubElement').val(), "id_uhab": id_uhab
                , "Detalles": JSON.stringify($("#jqgPDD").jqGrid('getGridParam','data'))
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function() {
                    $('#dlgCargando').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando').dialog('close');
                    var res = json.d;
                    if(res > 0 || res < 0)
                    {
                        if(id > 0 || id < 0){
                            //$("#jqgPD").jqGrid('saveRow', id);
                            //$('#jqgPD').jqGrid('editRow', id, true, EventsPD);
                            //BotonSelectPD();
                            BotonDefaultPD();
                            RefreshGridPD();
                            RefreshGridPDD();
                        }
                        else
                        {
                            $('#IdSubElement4').val(res);
                            BotonDefaultPD();
                            RefreshGridPD();
                            RefreshGridPDD();
                        }
                    }
                    else
                    {
                        $('#dlgInformation').html(json.d); 
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función para eliminar los datos hacia el Web Service. */ %>

        function DelPD(id) {
            $.ajax({
                url: 'Servicio.svc/DelPlantillaPreciosDirecto',
                data: { "id_ponh": id
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function() {
                    $('#dlgCargando').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando').dialog('close');
                    var res = json.d;
                    if(res == 1)
                    {
                        $('#IdSubElement4').val(0);
                        $('#TitSubElement4').html('');
                        RefreshGridPDD();
                        BotonDefaultPD();
                        RefreshGridPD();
                    }
                    else
                    {
                        $('#dlgInformation').html(json.d); 
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función principal que inicia la carga del jqGrid. Se llama de primero. */ %>

        function LoadGridPD() {
        
            var lselPD;
            var colMap = {};
            $("#jqgPD").jqGrid({
                datatype: 'local',
                height: 100,
                width: 140,
                colNames:  HeaderTablePD,
                colModel: [
                            { name: 'Id', index: 'Id', width: 1, sorttype: 'int', hidden: true },
                            { name: 'id_plnt', index: 'id_plnt', width: 10, editable: true, search:false, hidden: true }, 
                            { name: 'id_uhab', index: 'id_uhab', width: 10, editable: true, formatter:'select', stype:'select', edittype:'select', editoptions: {<%=cbUsoHabitaciones %>} },
                            { name: 'Eli', index: 'Eli', width: 5, search:false, hidden: true }
   	                    ],
                onSelectRow: function(id){
                    if(id ){

                        if(isNaN(lselPD) && !isNaN(id))
                        {
                            $("#jqgPD").jqGrid('delRowData', lselPD);
                            //$('#jqgPD').jqGrid('resetSelection');
                        }

                        if(!isNaN(id))
                        {
                            $('#jqgPD').jqGrid('restoreRow',lselPD);
                        }
                        else
                        {
                            BotonGuardarPD();
                        }

                        $('#jqgPD').jqGrid('editRow', id, true, EventsPD);

                        if(!isNaN(id))
                        {
                            var dropdown = $('#' + id + '_id_uhab')[0];
                            var selectedOption = dropdown.options[dropdown.selectedIndex];
                            var selectedText = selectedOption.text; 
                            $('#TitSubElement4').html(selectedText);
                        }
                       
                        lselPD=id;
                    }
                },
                afterInsertRow: function(id){
                    if(id){
                        if(isNaN(lselPD))
                        {
                            $("#jqgPD").jqGrid('delRowData', lselPD);
                            $('#jqgPD').jqGrid('resetSelection');
                        }
                        else
                        {
                            $('#jqgPD').jqGrid('saveRow',lselPD);
                        }
                    }
                },
                onCellSelect: function(id){
                    if(id){
                        if(!isNaN(id))
                        {
                            $('#jqgPD').jqGrid('restoreRow',id);
                        }

                        var ret = jQuery("#jqgPD").jqGrid('getRowData',id); 
                        var status = ret.Eli;

                        if(status == "True")
                        { 
                            $('#btnEliminarTextPD').html("<%=L.LBL("LblGENRecover") %>");
                            $('#btnEliminarIconPD').attr("src", "img/recuperar.png");
                        }
                        else 
                        {   
                            $('#btnEliminarTextPD').html("<%=L.LBL("LblGENDelete") %>");
                            $('#btnEliminarIconPD').attr("src", "img/cross-script.png");
                        }
                        if(!isNaN(id))
                        {
                            $('#IdSubElement4').val(ret.Id);

                            RefreshGridPDD();
                        }


                        $('#jqgPD').jqGrid('setSelection', id); 

                        BotonSelectPD();
                    }
                },
                gridComplete: function()
                {  
                    var rows = $("#jqgPD").getDataIDs(); 

                    var firstid;
                    var primero = true;

                    for (var i = 0; i < rows.length; i++)
                    { 
                        if(primero)
                        {
                            firstid = rows[i];
                            primero = false;
                        }

                        var status  = $("#jqgPD").getCell(rows[i],"Eli");

                        if(status == "True")
                        {
                            $("#jqgPD").jqGrid('setRowData',rows[i],false, 
                            {color:'red',font:'italic' });
                        }

                        if(!primero && parseInt($('#FirstLoad4').val()) == 1)
                        {
                            var ret = jQuery("#jqgPD").jqGrid('getRowData', firstid); 

                            if(!isNaN(ret.Id)) 
                            {
                                $('#IdSubElement4').val(ret.Id);
                                RefreshGridPDD();

                                $('#FirstLoad4').val(0);
                            }
                        }
                    }
                    $('#jqgPD').jqGrid('setSelection', $('#IdSubElement4').val());
                    if(parseInt($('#IdSubElement4').val()) != 0)
                    {
                        BotonSelectPD();
                    }
                }, 
                rowNum: 99999999,
                rowTotal: 99999999,
                loadonce: true,
                mtype: "GET",
                rownumbers: false,
                rownumWidth: 40,
                gridview: true,
                //pager: '#PaginadorPD',
                sortname: 'Id',
                viewrecords: true,
                sortorder: "asc",
                ignoreCase: true,
                scrollrows: true,
                //multiselect: true,
                //altRows: true,
                //altclass:'ui-widget-header',
                editurl:"Dummy.aspx"
            });

            $("#bsdataPD").click(function(){ 
                jQuery("#jqgPD").jqGrid('searchGrid', {multipleSearch:true}); 
            });
        
        }

        function EventsPD(id) {
            $("#" + id + "_id_plnt").on('change', function () { BotonGuardarPD(); });
            $("#" + id + "_id_uhab").on('change', function () { BotonGuardarPD(); });
        }

        function EventsNewPD() {
            var selr = jQuery('#jqgPD').jqGrid('getGridParam', 'selrow');
            $("#" + selr + "_id_plnt").on('change', function () { BotonGuardarPD(); });
            $("#" + selr + "_id_uhab").on('change', function () { BotonGuardarPD(); });
        }

        <% /* Función que permite recargar los datos del grid desde el servidor. */ %>

        function RefreshGridPD()
        {
            $("#jqgPD").jqGrid("setGridParam", {datatype: "json", datatype: GetPD, loadonce: true});
            $("#jqgPD").trigger("reloadGrid"); 
            $("#jqgPD").jqGrid("setGridParam", {datatype: "local", loadonce: true});
        }

        <% /* Función para agregar una fila en blanco donde se puede guardar un nuevo registro. */ %>

        function CreatePD()
        {
            $('#IdSubElement4').val(0);
            $('#TitSubElement4').html('');
            RefreshGridPDD();

            $("#jqgPD").jqGrid('addRow',{
                initdata : {'Id': '0'},
                position :"first",
                useDefValues : false,
                useFormatter : false,
                addRowParams : {extraparam:{}}
            });
            BotonGuardarPD();
            EventsNewPD();
        }

        <% /* Función que salva los datos modificados en una fila. */ %>

        function SavePD(){
	        var id = $("#jqgPD").jqGrid('getGridParam','selrow');
	        if (id)	{
                $('#jqgPDD').jqGrid('saveRow', $("#jqgPDD").jqGrid('getGridParam','selrow'));
                PutPD(id, $('#' + id + '_id_plnt').val(), $('#' + id + '_id_uhab').val());
	        } 
            else 
            { 
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>"); 
                $('#dlgInformation').dialog('open');
            }
        }

        <% /* Función que elimina un registro. */ %>

        function DeletePD(){
	        var id = $("#jqgPD").jqGrid('getGridParam','selrow');
	        if (id)	{
		        var ret = $("#jqgPD").jqGrid('getRowData',id);
                DelPD(id);
                RefreshGridPD();
	        } 
            else 
            { 
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>"); 
                $('#dlgInformation').dialog('open');
            }
        }

        <% /* Función que cancela la edición de una fila y la devuelve a su estado original. */ %>

        function CancelPD(){
	        var id = $("#jqgPD").jqGrid('getGridParam','selrow');
	        if (id)	{
	            $('#jqgPD').restoreRow(id);
	            $('#jqgPD').jqGrid('editRow', id, true, EventsPD);

	            if(!isNaN(id))
	            {
	                RefreshGridPDD();
	            }
	        } 
            else 
            { 
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>"); 
                $('#dlgInformation').dialog('open');
	        }
            BotonSelectPD();
        }

        function BotonDefaultPD() {
            $('#btnNuevoPD').button('enable');
            $('#btnEliminarPD').button('disable');
            $('#btnGuardarPD').button('disable');
            $('#btnCancelarPD').button('disable');
        }

        function BotonNuevoPD() {
            $('#btnNuevoPD').button('disable');
            $('#btnEliminarPD').button('disable');
            $('#btnGuardarPD').button('disable');
            $('#btnCancelarPD').button('enable');
        }

        function BotonSelectPD() {
            $('#btnNuevoPD').button('enable');
            var id = $("#jqgPD").jqGrid('getGridParam', 'selrow');
            if (!isNaN(id)) {
                $('#btnEliminarPD').button('enable');
            }
            else {
                $('#btnEliminarPD').button('disable');
            }
            $('#btnGuardarPD').button('disable');
            $('#btnCancelarPD').button('disable');
        }

        function BotonGuardarPD() {
            $('#btnNuevoPD').button('disable');
            $('#btnEliminarPD').button('disable');
            $('#btnGuardarPD').button('enable');
            $('#btnCancelarPD').button('enable');
        }

        <% /* JQ05 */%>

        <% /* Código del jqGrid para Detalle de Precios de Directos */ %>

        <% /* Función para cargar los datos del Web Service. */ %>

        function CuposButtonFormatter(cellvalue, options, rowObject) {
            return "<button type='button' onclick='AbrirDlgCupos(" + cellvalue + ");'><img src='img/Seven/Info.png' /></button>";
        }; 

        function GetPDD() {
            $.ajax({
                url: 'Servicio.svc/GetPlantillaPreciosDirectoDet',
                data: { "id_ponh": $('#IdSubElement4').val(), "id_temp": $('#cbTemporada').val(), "activos": $('#cbTempActivas:checked').val()
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function () {
                    $('#TitSubElement4').css("color", "red");
                    $('#dlgCargando5').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando5').dialog('close');
                    $("#jqgPDD").jqGrid("setGridParam", {datatype: "json", loadonce: true});
                    var thegrid = $("#jqgPDD")[0];
                    thegrid.addJSONData(JSON.parse(json.d));
                    $("#jqgPDD").jqGrid("setGridParam", {datatype: "local", loadonce: true});
                    $('#TitSubElement4').css("color", "green");
                }
            });
        }

        <% /* Función principal que inicia la carga del jqGrid. Se llama de primero. */ %>

        function LoadGridPDD() {
        
            var lselPDD;
            var colMap = {};
            $("#jqgPDD").jqGrid({
                datatype: 'local',
                height: 100,
                width: 420,
                colNames:  HeaderTablePDD,
                colModel: [
                            { name: 'Id', index: 'Id', width: 1, sorttype: 'int', hidden: true },
                            { name: 'fecha_desde', index: 'fecha_desde', width: 10, editable: false, searchoptions:{sopt:ListFindT} }, 
                            { name: 'fecha_hasta', index: 'fecha_hasta', width: 10, editable: false, searchoptions:{sopt:ListFindT} }, 
                            { name: 'cant_hab', index: 'cant_hab', width: 7, editable: true, search:false, search:false, search:false, hidden: true }, 
                            { name: 'precio_hab', index: 'precio_hab', width: 13, editable: true, align: 'right', searchoptions:{sopt:ListFindN} }, 
                            { name: 'activo', index: 'activo', width: 5, editable: false, search:false, search:false, search:false, hidden: true },
                            { name: 'elemento', index: 'elemento', width: 5, editable: false, search:false, search:false, formatter: CuposButtonFormatter, hidden: true },
                            { name: 'Eli', index: 'Eli', width: 5, search:false, hidden: true }
                ],
                onSelectRow: function(id){
                    if(id ){

                        if(isNaN(lselPDD) && !isNaN(id))
                        {
                            $("#jqgPDD").jqGrid('delRowData', lselPDD);
                            $('#jqgPDD').jqGrid('resetSelection');
                        }

                        $('#jqgPDD').jqGrid('saveRow',lselPDD);
                        $('#jqgPDD').jqGrid('editRow', id, true, EventsPDD);
                       
                        lselPDD=id;
                    }
                },
                afterInsertRow: function(id){
                    if(id){
                        if(isNaN(lselPDD))
                        {
                            $("#jqgPDD").jqGrid('delRowData', lselPDD);
                            $('#jqgPDD').jqGrid('resetSelection');
                        }
                        else
                        {
                            $('#jqgPDD').jqGrid('saveRow',lselPDD);
                        }
                    }
                },
                onCellSelect: function(id){
                    if(id){
                        $('#jqgPDD').jqGrid('restoreRow',id);

                        var ret = jQuery("#jqgPDD").jqGrid('getRowData',id); 
                        var status = ret.Eli;

                        if(status == "True")
                        { 
                            $('#btnEliminarTextPDD').html("<%=L.LBL("LblGENRecover") %>");
                            $('#btnEliminarIconPDD').attr("src", "img/recuperar.png");
                        }
                        else 
                        {   
                            $('#btnEliminarTextPDD').html("<%=L.LBL("LblGENDelete") %>");
                            $('#btnEliminarIconPDD').attr("src", "img/cross-script.png");
                        }

                        if(!isNaN(id))
                        {
                            $('#IdSubElement5').val(id);
                        }

                        $('#jqgPDD').jqGrid('setSelection', id); 

                        //BotonSelectPDD();
                    }
                },
                gridComplete: function()
                {  
                    var rows = $("#jqgPDD").getDataIDs(); 
                    for (var i = 0; i < rows.length; i++)
                    { 
                        var status  = $("#jqgPDD").getCell(rows[i],"Eli");

                        if(status == "True")
                        {
                            $("#jqgPDD").jqGrid('setRowData',rows[i],false, 
                            {color:'red',font:'italic' });
                        }
                    }
                }, 
                rowNum: 99999999,
                rowTotal: 99999999,
                loadonce: true,
                mtype: "GET",
                rownumbers: false,
                rownumWidth: 40,
                gridview: true,
                //pager: '#PaginadorPDD',
                sortname: 'Id',
                viewrecords: true,
                sortorder: "asc",
                ignoreCase: true,
                //multiselect: true,
                //altRows: true,
                //altclass:'ui-widget-header',
                editurl:"Dummy.aspx"
            });

            $("#bsdataPDD").click(function(){ 
                jQuery("#jqgPDD").jqGrid('searchGrid', {multipleSearch:true}); 
            });
        
        }

        function EventsPDD(id) {
            $("#" + id + "_fecha_desde").on('input', function () { BotonGuardarPD(); });
            $("#" + id + "_fecha_hasta").on('input', function () { BotonGuardarPD(); });
            $("#" + id + "_cant_hab").on('input', function () { BotonGuardarPD(); });
            $("#" + id + "_precio_hab").on('input', function () { BotonGuardarPD(); });
            $("#" + id + "_activo").on('change', function () { BotonGuardarPD(); });
        }

        function EventsNewPDD() {
            var selr = jQuery('#jqgPDD').jqGrid('getGridParam', 'selrow');
            $("#" + selr + "_fecha_desde").on('input', function () { BotonGuardarPD(); });
            $("#" + selr + "_fecha_hasta").on('input', function () { BotonGuardarPD(); });
            $("#" + selr + "_cant_hab").on('input', function () { BotonGuardarPD(); });
            $("#" + selr + "_precio_hab").on('input', function () { BotonGuardarPD(); });
            $("#" + selr + "_activo").on('change', function () { BotonGuardarPD(); });
        }

        <% /* Función que permite recargar los datos del grid desde el servidor. */ %>

        function RefreshGridPDD()
        {
            $("#jqgPDD").jqGrid("setGridParam", {datatype: "json", datatype: GetPDD, loadonce: true});
            $("#jqgPDD").trigger("reloadGrid"); 
            $("#jqgPDD").jqGrid("setGridParam", {datatype: "local", loadonce: true});
        }

        


        <% /* JS_FUN */ %>

        function DuplicarPlantilla() {
            $.ajax({
                url: 'Servicio.svc/DuplicarPlantilla',
                data: {
                    "id_plnt_ori": $('#cbPlantilla').val(), "cod_plnt_dest": $('#txtDupCodigo').val(), "desc_plnt_dest": $('#txtDupDescripcion').val()
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>"
                },
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function () {
                    $('#dlgCargando').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando').dialog('close');
                    var res = json.d;
                    if (res > 0 || res < 0) {
                        $('#IdSubElement').val(res);
                        BotonDefaultCON();
                        RefreshGridCON();
                        $('#dlgDuplicar').dialog("close");
                    }
                    else {
                        $('#dlgInformation').html(json.d);
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        function Generar() {
            if(parseInt($('#IdSubElement').val()) != 0){
                $.ajax({
                    url: 'Servicio.svc/PutPlantillasGenerar',
                    data: { "id_plnt": $('#IdSubElement').val()
                    , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                    , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                    , "LangCode": "<%=LangCode %>" },  
                    dataType: "json",
                    type: "GET",
                    contentType: "application/json; charset=utf-8",
                    beforeSend: function() {
                        $('#dlgCargando').dialog('open');
                    },
                    success: function (json) {
                        $('#dlgCargando').dialog('close');
                        var res = json.d;
                        if(res == 1)
                        {
                            LoadForm($('#IdSubElement').val());
                        }
                        else
                        {
                            $('#dlgInformation').html(json.d); 
                            $('#dlgInformation').dialog('open');
                        }
                    }
                });
            }
        }

        function GenerarPrecios() {
            if(parseInt($('#IdSubElement').val()) != 0){

                $('#GENPR_id_temp').val($('#cbTemporada').val());
                $('#GENPR_id_peri_ini').val($('#cbPeriodoFHD').val());
                $('#GENPR_id_peri_fin').val($('#cbPeriodoFHH').val());

                $.ajax({
                    url: 'Servicio.svc/PutPlantillasGenerarPrecios',
                    data: { "id_plnt": $('#IdSubElement').val(), "Modo" : $('input[name=rbModo]:checked').val()
                    , "id_thab" : $('#cbTipoHabi').val()
                    , "PrecAdultos": $('#txtPRAdultos').val(), "PrecNinos": $('#txtPRNinos').val()
                    , "id_cfag": $('#cbServAgen').val(), "PrecCfag": $('#txtPRConcepto').val()
                    , "id_peri_ini": $('#cbPeriodoFHD').val(), "id_peri_fin": $('#cbPeriodoFHH').val()
                    , "id_ttem": $('#cbTipoTemporada').val()
                    , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                    , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                    , "LangCode": "<%=LangCode %>" },  
                    dataType: "json",
                    type: "GET",
                    contentType: "application/json; charset=utf-8",
                    beforeSend: function() {
                        $('#dlgCargando').dialog('open');
                    },
                    success: function (json) {
                        $('#dlgCargando').dialog('close');
                        var res = json.d;
                        if(res == 1)
                        {
                            LoadForm($('#IdSubElement').val());
                        }
                        else
                        {
                            $('#dlgInformation').html(json.d); 
                            $('#dlgInformation').dialog('open');
                        }
                    }
                });
            }
        }

        function GetPeriodosFecHotelComboD() {
            $.ajax({
                url: 'Servicio.svc/GetPeriodosFecHotelCombo',
                data: { "Modo": 0, "id_temp": $('#cbTemporada').val()
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function() {
                    $('#cbPeriodoFHD').html('');
                    $('#cbPeriodoFHD').prop('disabled', true);
                },
                success: function (json) {
                    $('#cbPeriodoFHD').prop('disabled', false);
                    $('#cbPeriodoFHD').html(json.d);

                    if(parseInt($('#cbTemporada').val()) == parseInt($('#GENPR_id_temp').val()))
                    {
                        $('#cbPeriodoFHD').val($('#GENPR_id_peri_ini').val());
                    }
                }
            });
        }

        function GetPeriodosFecHotelComboH() {
            $.ajax({
                url: 'Servicio.svc/GetPeriodosFecHotelCombo',
                data: { "Modo": 1, "id_temp": $('#cbTemporada').val()
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function() {
                    $('#cbPeriodoFHH').html('');
                    $('#cbPeriodoFHH').prop('disabled', true);
                },
                success: function (json) {
                    $('#cbPeriodoFHH').prop('disabled', false);
                    $('#cbPeriodoFHH').html(json.d);

                    if(parseInt($('#cbTemporada').val()) == parseInt($('#GENPR_id_temp').val()))
                    {
                        $('#cbPeriodoFHH').val($('#GENPR_id_peri_fin').val());
                    }
                }
            });
        }

        function ActualizarContratos() 
        {
            $('#dlgActualizar').dialog('open');
        }

        function ActualizarContratosFin() {
            if(parseInt($('#IdSubElement').val()) != 0){
                $.ajax({
                    url: 'Servicio.svc/PutPlantillasActualizar',
                    data: { "id_plnt": $('#IdSubElement').val(), "id_cont": '0'
                    , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                    , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                    , "LangCode": "<%=LangCode %>" },  
                    dataType: "json",
                    type: "GET",
                    contentType: "application/json; charset=utf-8",
                    beforeSend: function() {
                        $('#dlgCargando').dialog('open');
                    },
                    success: function (json) {
                        $('#dlgCargando').dialog('close');
                        var res = json.d;
                        if(res == 1)
                        {
                            $('#dlgInformation').html('<%=L.LBL("LblGENMSG_DeletedData") %>'); 
                            $('#dlgInformation').dialog('open');
                        }
                        else
                        {
                            $('#dlgInformation').html(json.d); 
                            $('#dlgInformation').dialog('open');
                        }
                    }
                });
            }
        }

        <% /* Función que permite imprimir el listado de elementos seleccionados. */ %>

        function ImprimirListado() {
            window.open('Informe.aspx?r=8&e=' + $('#cbEliminado:checked').val(), '_blank');
        }
        
    </script>
    
    <script type="text/javascript">

        <% /* JS_DOC */ %>

        $(document).ready(function () {

            $("#dlgEliminar").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 167,
                width: 500,
                modal: true
            });

            $("#dlgCargando").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando2").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando3").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando4").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando5").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando6").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando7").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgInformation").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 227,
                width: 500,
                modal: true,
                buttons: {
                    "<%=L.LBL("LblGENAceptar") %>": function () {
                        $(this).dialog("close");
                    }
                }
            });

            $("#dlgActualizar").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 167,
                width: 500,
                modal: true,
                buttons: {
                    "<%=L.LBL("LblGENAceptar") %>": function () {
                        $(this).dialog("close");
                        ActualizarContratosFin();
                    },
                    "<%=L.LBL("LblGENClose") %>": function () {
                        $(this).dialog("close");
                    }
                }
            });

            $("#dlgBuscar").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 250,
                width: 350,
                modal: true,
                buttons: {
                    "<%=L.LBL("LblGENSearch") %>": function () {
                        ResetForm();
                        GetCON();
                        $(this).dialog("close");
                    },
                    "<%=L.LBL("LblGENClose") %>": function () {
                        $(this).dialog("close");
                    }
                }
            });

            $("#dlgDuplicar").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 300,
                width: 450,
                modal: true,
                buttons: {
                    "<%=L.LBL("LblGENDuplicar") %>": function () {
                        DuplicarPlantilla();
                    },
                    "<%=L.LBL("LblGENClose") %>": function () {
                        $(this).dialog("close");
                    }
                }
            });

            $("#dlgObservaciones").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 220,
                width: 500,
                modal: true,
                buttons: {
                    "<%=L.LBL("LblGENAceptar") %>": function () {
                        SaveCON();
                        $(this).dialog("close");
                    },
                    "<%=L.LBL("LblGENCancel") %>": function () {
                        $('#txtobserv').val($('#hidobserv').val());
                        $(this).dialog("close");
                    }
                }
            });

            $("#SevenMenu").accordion("option", "active", 1);

            $('btnEliminar').attr('disabled', true);
            $('btnGuardar').attr('disabled', true);
            $('btnCancelar').attr('disabled', true);

            LoadGridCON();
            LoadGridPA();
            LoadGridPAD();
            LoadGridPD();
            LoadGridPDD();

            RefreshGridCON();

            InitializeComponentsCON();

            BotonDefaultCON();
            BotonDefaultPA();
            BotonDefaultPD();

            $('#PlantillasTabs').tabs();

            <% if(DebugMode){ %>
                $('#Debug').css('display', '');
                $('#Debug').css('display', 'normal');
            <% } %>

            $("#cbMonedaTarifa").change(function() {
                $('input[name=cbFilMoneda]').prop('checked', true);
            });
            $("#cbTemporadaTarifa").change(function() {
                $('input[name=cbFilTemporada]').prop('checked', true);
            });

            $('#tblBtnGenerar2').removeClass('SevenEnlaces');

            GetPeriodosFecHotelComboD();
            GetPeriodosFecHotelComboH();

            $('#Loader').css('height', '0px');

        });
    </script>

    <style type="text/css">
        
        .actRow td 
        {
            background-color: #F5F5F5; 
        }
        
        .inactRow td 
        {
            background-color: #DEDEDE; 
        }
        
    </style>

    <% } catch { } %>

</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="cpPrincipal" runat="server">

    <% try{ %>

    <div id="SevenBreadcrumb" class="ui-state-default">
        <table width="100%" style="white-space: nowrap;">
            <tr>
                <td>
                    <div class="SevenEnlaces" onclick="window.location.href='Menu.aspx#M2';" style="cursor: pointer;">
                        <table>
                            <tr>
                                <td>
                                    <img src="img/application-icon-large.png" />
                                </td>
                                <td>
                                    <%=L.LBL("LblGENMenuTactil") %>
                                </td>
                            </tr>
                        </table>
                    </div>
                </td>
                <td>&nbsp;</td>
                <td>
                    <a href="Inicio.aspx"><%=L.LBL("LblGENInicio") %></a>
                    <img src="img/arrow.png" alt="" />
                    <a href="PlantillasTarifas.aspx"><%=L.TIT("PlantillasTarifas") %> [1.5]</a>
                </td>
                <td width="100%"></td>
                <td>
                    <%=L.LBL("LblGENLanguage") %>
                </td>
                <td>
                    <!-- #include file="LanguageCombo.html" -->
                </td>
            </tr>
        </table>
    </div>
            
    <div id="SevenPrincipal">
                
        <div id="SevenMedio">
                    
            <div id="SevenInterno" style="width: 700px;">

                <div id="Loader" style="width: 2000px; height: 4000px;"></div>

                <% /* DLG_VAR */ %>

                <div id="dlgEliminar" title="<%=L.LBL("LblGENDelete") %>" style="text-align: center;padding-top: 25px">
                    <span class="ui-icon ui-icon-alert" style="float:left; margin:0 7px 20px 0;"></span>¿Desea eliminar este elemento?
                </div>

                <div id="dlgInformation" title="<%=L.LBL("LblGENInformation") %>" style="text-align: center;padding-top: 25px">
                    
                </div>

                <div id="dlgCargando" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center;padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando2" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center;padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando3" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center;padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando4" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center;padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando5" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center;padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando6" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center;padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando7" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center;padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgObservaciones" title="<%=L.LBL("LblGENObservations") %>" style="text-align: center;padding-top: 25px">
                    <input type="hidden" id="hidobserv" value="" />
                    <textarea id="txtobserv" cols="60" rows="5" ></textarea>
                </div>

                <div id="dlgActualizar" title="<%=L.LBL("LblGENInformation") %>" style="text-align: center;padding-top: 25px">
                    <%=L.MSG("ActualizarContratos") %>
                </div>


                <% /* DLG_DUP */ %>

                <div id="dlgDuplicar" title="<%=L.LBL("LblFDKSDuplicarPlantilla") %>" style="text-align: center;padding-top: 25px">
                    <table style="text-align: center;">
                        <tr>
                            <td>
                                <%=L.LBL("LblFDKSPlantillaOrigen") %>:
                                <%=cbPlantillasDup %>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <br />
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <fieldset>
                                    <legend><b><%=L.LBL("LblFDKSPlantillaDestino") %></b></legend>
                                    <table style="text-align: left;">
                                        <tr>
                                            <td>
                                                <%=L.LBL("LblGENCode") %>
                                            </td>
                                            <td>
                                                <%=L.LBL("LblGENDescription")%>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td>
                                                <input type="text" id="txtDupCodigo" value="" size="10" />
                                            </td>
                                            <td>
                                                <input type="text" id="txtDupDescripcion" value="" size="30" />
                                            </td>
                                        </tr>
                                    </table>
                                </fieldset>
                            </td>
                        </tr>
                    </table>
                </div>

                <% /* DLG_BUSCAR */ %>

                <div id="dlgBuscar" title="<%=L.LBL("LblGENFilterBy") %>" style="text-align: center;padding-top: 25px">
                    <table style="text-align: left;">
                        <tr>
                            <td>
                                <input type="checkbox" name="cbFilCodigo" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblGENCode") %>:
                            </td>
                            <td>
                                <input type="text" id="txtFilCodigo" value="" onchange="$('input[name=cbFilCodigo]').prop('checked', true);" />
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <input type="checkbox" name="cbFilDescripcion" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblGENDescription") %>:
                            </td>
                            <td>
                                <input type="text" id="txtFilDescripcion" value="" onchange="$('input[name=cbFilDescripcion]').prop('checked', true);" />
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <input type="checkbox" name="cbFilMoneda" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblGENMoney") %>:
                            </td>
                            <td>
                                <%=cbMonedasPlantillas %>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <input type="checkbox" name="cbFilTemporada" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblFDKSTemporada") %>:
                            </td>
                            <td>
                                <%=cbTemporadasPlantillas %>
                            </td>
                        </tr>
                    </table>
                </div>

                <% /* TIT */ %>

                <table>
                    <tr>
                        <td>
                            <span class="SevenTitulo"><%=L.TIT("PlantillasTarifas") %> [1.5]</span>
                        </td>
                        <td>&nbsp;&nbsp;&nbsp;</td>
                        <td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <input type="checkbox" id="cbEliminado" onchange="BotonDefaultCON();RefreshGridCON();" value="1" /> <%=L.LBL("LblGENShowDeleted") %>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>
                        <td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <a href="#" onclick="ImprimirListado();" id="A2" ><img src="img/printer.png" /> <%=L.LBL("LblGENPrint") %></a>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>
                        <td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <a href="#" onclick="window.open('http://mysevenmanuales.jimdo.com/front-desk-parametros/1-5-cod_plnts/', '_blank');" id="A1" ><img src="img/question.png" /> <%=L.LBL("LblGENHelp") %></a>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>
                    </tr>
                </table>

                <% 
                    if (CorrectoIns)
                    {    
                %>

                    <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_SavedData") %></p>

                <%  } %>

                <% 
                    if (CorrectoMod)
                    {    
                %>

                    <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_UpdatedData") %></p>

                <%  } %>

                <% 
                    if (CorrectoEli)
                    {    
                %>

                    <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_DeletedData") %></p>

                <%  } %>

                <% 
                    if (!String.IsNullOrEmpty(ErrorMsg))
                    {    
                %>

                    <p class="SevenMsgError"><%=ErrorMsg %></p>

                <%  } %>

                <br />

                <% /* HH */ %>

                <div id="HiddenHive">
                    
                </div>

                <div id="HIDCON">

                </div>

                <div id="Debug" style="display: none;">
                    <fieldset style="width: 100%;">
                        <legend><b>DEBUG MODE</b></legend>
                        <table>
                            <tr>
                                <td>PLNT:</td>
                                <td><input type="text" id="IdSubElement" value="0" size="10" /></td>
                                <td>PA:</td>
                                <td><input type="text" id="IdSubElement3" value="0" size="10" /></td>
                                <td>PD:</td>
                                <td><input type="text" id="IdSubElement4" value="0" size="10"/></td>
                                <td>PDD:</td>
                                <td><input type="text" id="IdSubElement5" value="0" size="10"/></td>
                            </tr>
                        </table>
                    </fieldset>
                </div>

                <% /* B01 */ %>
                            
                <table style="width: 100%;">
                    <tr>
                        <td style="width: 20%;">

                            <table id="jqgCON"></table>
                            <div id="PaginadorCON" ></div>

                        </td>
                        <td style="width: 80%;">

                            <fieldset>
                                <legend><b><%=L.LBL("LblGENDatos") %>: <span id="TitSubElement"></span></b></legend>

                                <table style="width: 100%;">
                                    <tr>
	                                    <td>
		                                    <%=L.LBL("LblGENCode") %>:
	                                    </td>
                                        <td>
		                                    <%=L.LBL("LblGENDescription") %>:
	                                    </td>
                                    </tr>
                                    <tr>
	                                    <td>
		                                    <input type="text" id="txtcod_plnt" name="txtcod_plnt" value="" size="20"/>
	                                    </td>
	                                    <td>
		                                    <input type="text" id="txtdesc_plnt" name="txtdesc_plnt" value="" size="40"/>
	                                    </td>
                                        <td style="width: 100%;"></td>
                                    </tr>
                                </table>
                                <table>
                                    <tr>
	                                    <td>
		                                    <%=L.LBL("LblFDKSTemporada") %>:
	                                    </td>
	                                    <td>
		                                    <%=L.LBL("LblGENMoney") %>:
	                                    </td>
                                        <td>
                                            <%=L.LBL("LblGENDirect") %>
                                        </td>
                                    </tr>
                                    <tr>
	                                    <td>
		                                    <%=cbTemporadas %>
	                                    </td>
	                                    <td>
		                                    <%=cbMonedas %>
	                                    </td>
	                                    <td style="text-align: center;">
		                                    <input type="checkbox" id="cbDirecto" name="cbDirecto" value="1" />
	                                    </td>
                                        <td>
		                                    <b><%=L.LBL("LblFDKSMostrarTemporadasAct") %></b>:
	                                    </td>
	                                    <td>
		                                    <input type="checkbox" id="cbTempActivas" name="cbTempActivas" value="1" checked="checked"
                                                onchange="RefreshGridCR();RefreshGridPAD();RefreshGridPDD();" />
	                                    </td>
                                    </tr>
                                </table>

                                <br />

                                <fieldset>
                                    <legend><b><%=L.LBL("LblFDKSAsistConfigPrecios") %></b></legend>

                                    <table>
                                        <tr>
                                            <td>
                                                <div style="white-space: nowrap;">
                                                    <input type="radio" name="rbModo" value="0" checked="checked" />
                                                    <%=L.LBL("LblGENRoomType") %>:&nbsp;&nbsp;&nbsp;
                                                    <%=cbTipoHabi %>
                                                    <%=L.LBL("LblGENPrice") %>:&nbsp;
                                                    <%=L.LBL("LblGENAdults") %>:&nbsp;&nbsp;&nbsp;
                                                    <input type="text" id="txtPRAdultos" value="" style="width: 35px;" />
                                                    &nbsp;&nbsp;&nbsp;<%=L.LBL("LblGENChildren") %>:&nbsp;&nbsp;&nbsp;
                                                    <input type="text" id="txtPRNinos" value="" style="width: 35px;" />
                                                    <br />
                                                    <hr />
                                                    <input type="radio" name="rbModo" value="1" />
                                                    <%=L.LBL("LblFDKSConcepto") %>:&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                                                    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                                                    <%=cbServAgen %>
                                                    <%=L.LBL("LblGENPrice") %>:&nbsp;
                                                    <input type="text" id="txtPRConcepto" value="" style="width: 35px;" />
                                                    <br />
                                                    <hr />
                                                    <%=L.LBL("LblGENPeriodo") %>:

                                                    <input type="hidden" id="GENPR_id_temp" value="0" />
                                                    <input type="hidden" id="GENPR_id_peri_ini" value="0" />
                                                    <input type="hidden" id="GENPR_id_peri_fin" value="0" />

                                                    <%=L.LBL("LblGENStart") %>
                                                    <select id="cbPeriodoFHD" style="width: 100px;"></select>
                                                    <%=L.LBL("LblGENEnd") %>
                                                    <select id="cbPeriodoFHH" style="width: 100px;"></select>
                                                    <%=L.LBL("LblFDKSTipoTemporada") %>: 
                                                    <%=cbTipoTemporada %>
                                                    <button type="button" id="btnAplicar" onclick="GenerarPrecios();">
                                                        <table id="tblbtnAplicar" style="border-spacing: 0px;">
                                                            <tr>
                                                                <td>
                                                                    <img src="img/wand-magic.png" 
                                                                        alt="<%=L.LBL("LblGENAplicar") %>" />
                                                                </td>
                                                                <td><%=L.LBL("LblGENAplicar") %></td>
                                                            </tr>
                                                        </table>
                                                    </button>
                                                </div>
                                            </td>
                                        </tr>
                                    </table>

                                    

                                </fieldset>

                                <br />

                                <% /* B02 */ %>

                                <div id="PlantillasTabs" style="padding: 0px;">
                                    <ul>
                                        <li>
                                            <a href="#Agencias">
                                                <table>
                                                    <tr>
                                                        <td><img src="img/building.png" /></td>
                                                        <td><span id="PrecAgen" style="font-size: 7pt;"><%=Seven.Front.Settings.L.LBL("LblFDKSPreciosAgencias") %></span></td>
                                                    </tr>
                                                </table>
                                            </a>
                                        </li>
                                        <li>
                                            <a href="#Directos">
                                                <table>
                                                    <tr>
                                                        <td><img src="img/door-open-in.png" /></td>
                                                        <td><span id="PrecDir" style="font-size: 7pt;"><%=Seven.Front.Settings.L.LBL("LblFDKSPreciosCuposDir") %></span></td>
                                                    </tr>
                                                </table>
                                            </a>
                                        </li>
                                    </ul>

                                    <div id="Agencias">

                                        <% /* B03 */ %>

                                        <table style="width: 100%; text-align: center;">
                                            <tr>
                                                <td style="width: 50%;"></td>
                                                <td>
                                                    <b>&nbsp;</b>

                                                    <table id="jqgPA"></table>
                                                    <div id="PaginadorPA" ></div>

                                                </td>
                                                <td style="text-align: left;">
                                                    <input type="hidden" id="FirstLoad3" value="0" />
                                                    
                                                    <b><%=L.LBL("LblFDKSPrecios") %>: <span id="TitSubElement3"></span></b>

                                                    <table id="jqgPAD"></table>
                                                </td>
                                                <td style="width: 50%;"></td>
                                            </tr>
                                            <tr>
                                                <td colspan="4">
                                                    <table width="100%">
                                                        <tr>
                                                            <td colspan="4">
                                                                <table width="100%">
                                                                    <tr>
                                                                        <td>
                                                                            <button type="button" id="btnNuevoPA" onclick="CreatePA();">
                                                                                <table><tr><td><img src="img/document.png" alt="<%=L.LBL("LblGENNew") %>" /></td></tr></table>
                                                                            </button>
                                                                        </td>
                                                                        <td>
                                                                            <button type="button" id="btnEliminarPA" onclick="DeletePA();">
                                                                                <table><tr><td><img id="btnEliminarIconPA" src="img/cross-script.png" alt="<%=L.LBL("LblGENDelete") %>" /></td></tr></table>
                                                                            </button>
                                                                        </td>
                                                                        <td>
                                                                            <button type="button" id="btnGuardarPA" onclick="SavePA();">
                                                                                    <table>
                                                                                        <tr>
                                                                                            <td>
                                                                                                <img src="img/disk.png" alt="<%=L.LBL("LblGENSave") %>" />
                                                                                            </td>
                                                                                        </tr>
                                                                                    </table>
                                                                            </button>
                                                                        </td>
                                                                        <td>
                                                                            <button type="button" id="btnCancelarPA" onclick="CancelPA();">
                                                                                    <table><tr><td><img src="img/arrow-return-180-left.png" alt="<%=L.LBL("LblGENCancel") %>" /></td></tr></table>
                                                                            </button>
                                                                        </td>
                                                                        <td>
                                                                            <button type="button" id="btnGenerarPA" onclick="Generar();">
                                                                                <table id="tblBtnGenerarPA">
                                                                                    <tr><td>
                                                                                    <img src="img/wand-magic.png" 
                                                                                     alt="<%=L.LBL("LblFDKSGenerarUsos") %>" />
                                                                                    </td></tr>
                                                                                </table>
                                                                            </button>
                                                                        </td>
                                                                        <td width="100%"></td>
                                                                    </tr>
                                                                </table>
                                                            </td>
                                                        </tr>
                                                    </table>
                                                </td>
                                            </tr>
                                        </table>

                                    </div>

                                    <div id="Directos">

                                        <% /* B04 */ %>

                                        <table style="width: 100%; text-align: center;">
                                            <tr>
                                                <td style="width: 50%;"></td>
                                                <td>
                                                    <b>&nbsp;</b>

                                                    <table id="jqgPD"></table>
                                                    <div id="PaginadorPD" ></div>

                                                </td>
                                                <td style="text-align: left;">
                                                    <input type="hidden" id="FirstLoad4" value="0" />
                                                    
                                                    <b><%=L.LBL("LblFDKSPrecios") %>: <span id="TitSubElement4"></span></b>

                                                    <table id="jqgPDD"></table>
                                                </td>
                                                <td style="width: 50%;"></td>
                                            </tr>
                                            <tr>
                                                <td colspan="4">

                                                    <table>
                                                        <tr>
                                                            <td colspan="4">
                                                                <table width="100%">
                                                                    <tr>
                                                                        <td width="100%"></td>
                                                                        <td>
                                                                            <button type="button" id="btnNuevoPD" onclick="CreatePD();">
                                                                                <table>
						                                                            <tr>
							                                                            <td>
								                                                            <img src="img/document.png" alt="<%=L.LBL("LblGENNew") %>" />
							                                                            </td>
						                                                            </tr>
                                                                                </table>
                                                                            </button>
                                                                        </td>
                                                                        <td>
                                                                            <button type="button" id="btnEliminarPD" onclick="DeletePD();">
                                                                                <table>
						                                                            <tr>
							                                                            <td>
								                                                            <img id="btnEliminarIconPD" src="img/cross-script.png" alt="<%=L.LBL("LblGENDelete") %>" />
							                                                            </td>
						                                                            </tr>
                                                                                </table>
                                                                            </button>
                                                                        </td>
                                                                        <td>
                                                                            <button type="button" id="btnGuardarPD" onclick="SavePD();">
                                                                                    <table>
                                                                                        <tr>
                                                                                            <td>
                                                                                                <img src="img/disk.png" alt="<%=L.LBL("LblGENSave") %>" />
                                                                                            </td>
                                                                                        </tr>
                                                                                    </table>
                                                                            </button>
                                                                        </td>
                                                                        <td>
                                                                            <button type="button" id="btnCancelarPD" onclick="CancelPD();">
                                                                                    <table>
                                                                                        <tr>
							                                                            <td><img src="img/arrow-return-180-left.png" alt="<%=L.LBL("LblGENCancel") %>" /></td>
                                                                                    </tr>
                                                                                </table>
                                                                        </button>
                                                                        </td>
                                                                        <td>
                                                                            <button type="button" id="btnGenerarPD" onclick="Generar();">
                                                                                <table id="tblBtnGenerarPD">
                                                                                    <tr><td>
                                                                                    <img src="img/wand-magic.png" 
                                                                                     alt="<%=L.LBL("LblFDKSGenerarUsos") %>" />
                                                                                    </td></tr>
                                                                                </table>
                                                                            </button>
                                                                        </td>
                                                                    </tr>
                                                                </table>
                                                            </td>
                                                        </tr>
                                                    </table>

                                                </td>
                                            </tr>
                                        </table>

                                    </div>

                                </div>

                            </fieldset>

                            <table width="100%">
                                <tr>
                                    <td colspan="4">
                                        <table width="100%">
                                            <tr>
                                                <td width="100%"></td>
                                                <td>
                                                    <button type="button" id="bsdataCON" value="Search" onclick="$('#dlgBuscar').dialog('open');" >
                                                        <table>
                                                        <tr><td>
                                                        <img src="img/binocular.png" 
                                                         alt="<%=L.LBL("LblGENSearch") %>" />
                                                        </td></tr>
                                                        </table>
                                                    </button>
                                                </td>
                                                <td>
                                                    <button type="button" id="btnNuevoCON" onclick="CreateCON();">
                                                        <table><tr><td><img src="img/document.png" alt="<%=L.LBL("LblGENNew") %>" /></td></tr></table>
                                                    </button>
                                                </td>
                                                <td>
                                                    <button type="button" id="btnEliminarCON" onclick="DeleteCON();">
                                                        <table><tr><td><img id="btnEliminarIconCON" src="img/cross-script.png" alt="<%=L.LBL("LblGENDelete") %>" /></td></tr></table>
                                                    </button>
                                                </td>
                                                <td>
                                                    <button type="button" id="btnGuardarCON" onclick="SaveCON();">
                                                            <table>
                                                                <tr>
                                                                    <td>
                                                                        <img src="img/disk.png" alt="<%=L.LBL("LblGENSave") %>" />
                                                                    </td>
                                                                </tr>
                                                            </table>
                                                    </button>
                                                </td>
                                                <td>
                                                    <button type="button" id="btnCancelarCON" onclick="CancelCON();">
                                                            <table><tr><td><img src="img/arrow-return-180-left.png" alt="<%=L.LBL("LblGENCancel") %>" /></td></tr></table>
                                                    </button>
                                                </td>
                                                <td>
                                                    <button type="button" id="btnDuplicar" onclick="$('#cbPlantilla').val($('#IdSubElement').val());$('#dlgDuplicar').dialog('open');">
                                                            <table><tr><td><img src="img/seven_duplicar.png" alt="<%=L.LBL("LblGENDuplicar") %>" /></td></tr></table>
                                                    </button>
                                                </td>
                                                <td>
                                                    <button type="button" id="btnActualizar" onclick="ActualizarContratos();">
                                                        <table>
                                                            <tr><td>
                                                            <img src="img/arrow-retweet.png" 
                                                                alt="<%=L.LBL("LblGENActualizar") %>" />
                                                            </td></tr>
                                                        </table>
                                                    </button>
                                                </td>
                                            </tr>
                                        </table>
                                    </td>
                                </tr>
                            </table>

                        </td>
                    </tr>
                </table>
                            
            </div>
                    
        </div>
                
    </div>

    <% } catch { } %>

</asp:Content>

