﻿<% @Import Namespace="Seven.Front.Settings" %>
<% @Import Namespace="Seven.Front.Settings.Globals" %>
<% @Import Namespace="Seven.Front.Settings.Objects" %>
<%@ Page Language="C#" MasterPageFile="Model.Master" AutoEventWireup="true" CodeBehind="RangoHabitaciones.aspx.cs" Inherits="Seven.Front.Settings.RangoHabitaciones" %>

<asp:Content ID="Content1" ContentPlaceHolderID="cpHeader" runat="server">

    <% try{ %>

    <title><%=L.TIT("RangoHabitaciones") %> [3.2]</title>
    
    <script type="text/javascript">

        var ListFindN    =  ['eq','bw','ne','lt','le','gt','ge','ew','cn'];
        var ListFindT    =  ['cn','eq','bw','bn','nc','ew','en'];

        var HeaderTableRangoHabi = <%=L.LBL("LblFDKSRangoHabi") %>

        <% /* Código del jqGrid para Rangos de Habitaciones */ %>

        <% /* Función para cargar los datos del Web Service. */ %>

        function GetRangoHabi() {
            $.ajax({
                url: 'Servicio.svc/GetRangoHabi',
                data: { "Eliminado": $('#cbEliminado:checked').val()
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                success: function (json) {
                    $("#jqgRangoHabi").jqGrid("setGridParam", {datatype: "json", loadonce: true});
                    var thegrid = $("#jqgRangoHabi")[0];
                    thegrid.addJSONData(JSON.parse(json.d));
                    $("#jqgRangoHabi").jqGrid("setGridParam", {datatype: "local", loadonce: true});
                }
            });
        }

        <% /* Función para crear o editar los datos hacia el Web Service. */ %>

        function PutRangoHabi(id, codigo_rango, desc_rango, eliminado) {
            $.ajax({
                url: 'Servicio.svc/PutRangoHabi',
                data: { "id_rango": id, "codigo_rango": codigo_rango, "desc_rango": desc_rango
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function() {
                    $('#dlgCargando').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando').dialog('close');
                    var res = json.d;
                    if(res > 0 || res < 0)
                    {
                        if(id > 0 || id < 0){
                            BotonDefaultRangoHabi();
                            RefreshGridRangoHabi();
                        }
                        else
                        {
                            $('#IdSubElement').val(res);
                            BotonDefaultRangoHabi();
                            RefreshGridRangoHabi();
                        }
                    }
                    else
                    {
                        $('#dlgInformation').html(json.d); 
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función para eliminar los datos hacia el Web Service. */ %>

        function DelRangoHabi(id) {
            $.ajax({
                url: 'Servicio.svc/DelRangoHabi',
                data: { "id_rango": id
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function() {
                    $('#dlgCargando').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando').dialog('close');
                    var res = json.d;
                    if(res == 1)
                    {
                        $('#IdSubElement').val(0);
                        RefreshGrid();
                        RefreshGrid2();

                        BotonDefaultRangoHabi();
                        RefreshGridRangoHabi();
                    }
                    else
                    {
                        $('#dlgInformation').html(json.d); 
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función principal que inicia la carga del jqGrid. Se llama de primero. */ %>

        function LoadGridRangoHabi() {
        
            var lselRangoHabi;
            var colMap = {};
            $("#jqgRangoHabi").jqGrid({
                datatype: 'local',
                height: 125,
                width: 550,
                colNames:  HeaderTableRangoHabi,
                colModel: [
                            { name: 'Id', index: 'Id', width: 1, sorttype: 'int', hidden: true },
                            { name: 'codigo_rango', index: 'codigo_rango', width: 20, editable: true, searchoptions:{sopt:ListFindT} }, 
                            { name: 'desc_rango', index: 'desc_rango', width: 80, editable: true, searchoptions:{sopt:ListFindT} }, 
                            { name: 'Eli', index: 'Eli', width: 5, search:false, hidden: true }
   	                    ],
                onSelectRow: function(id){
                    if(id ){

                        if(isNaN(lselRangoHabi) && !isNaN(id))
                        {
                            $("#jqgRangoHabi").jqGrid('delRowData', lselRangoHabi);
                            //$('#jqgRangoHabi').jqGrid('resetSelection');
                        }

                        if (!isNaN(id)) {
                            $('#jqgRangoHabi').jqGrid('restoreRow', lselRangoHabi);

                            var ret = jQuery("#jqgRangoHabi").jqGrid('getRowData',id); 

                            $('#IdSubElement').val(ret.Id);
                            $('#TitSubElement').html(ret.codigo_rango);

                            RefreshGrid();
                            RefreshGrid2();
                        }
                        else {
                            BotonNuevoRangoHabi();
                        }

                        $('#jqgRangoHabi').jqGrid('editRow', id, true, EventsRangoHabi);
                       
                        lselRangoHabi=id;
                    }
                },
                afterInsertRow: function(id){
                    if(id){
                        if(isNaN(lselRangoHabi))
                        {
                            $("#jqgRangoHabi").jqGrid('delRowData', lselRangoHabi);
                            $('#jqgRangoHabi').jqGrid('resetSelection');
                        }
                        else
                        {
                            $('#jqgRangoHabi').jqGrid('saveRow',lselRangoHabi);
                        }
                    }
                },
                onCellSelect: function(id){
                    if(id){
                        if (!isNaN(id)) {
                            $('#jqgRangoHabi').jqGrid('restoreRow', id);
                        }

                        var ret = jQuery("#jqgRangoHabi").jqGrid('getRowData',id); 
                        var status = ret.Eli;

                        if(status == "True")
                        { 
                            $('#btnEliminarTextRangoHabi').html("<%=L.LBL("LblGENRecover") %>");
                            $('#btnEliminarIconRangoHabi').attr("src", "img/recuperar.png");
                        }
                        else 
                        {   
                            $('#btnEliminarTextRangoHabi').html("<%=L.LBL("LblGENDelete") %>");
                            $('#btnEliminarIconRangoHabi').attr("src", "img/cross-script.png");
                        }

                        $('#jqgRangoHabi').jqGrid('setSelection', id); 

                        BotonSelectRangoHabi();
                    }
                },
                gridComplete: function()
                {  
                    var rows = $("#jqgRangoHabi").getDataIDs(); 
                    for (var i = 0; i < rows.length; i++)
                    { 
                        if (i == 0 && parseInt($('#IdSubElement').val()) == 0) {
                            $('#IdSubElement').val($("#jqgRangoHabi").getCell(rows[i], "Id"));
                        }

                        var status  = $("#jqgRangoHabi").getCell(rows[i],"Eli");

                        if(status == "True")
                        {
                            $("#jqgRangoHabi").jqGrid('setRowData',rows[i],false, 
                            {color:'red',font:'italic' });
                        }
                    }
                    $('#jqgRangoHabi').jqGrid('setSelection', $('#IdSubElement').val());
                    if(parseInt($('#IdSubElement').val()) != 0)
                    {
                        BotonSelect();
                    }
                }, 
                rowNum: 99999999,
                rowTotal: 99999999,
                loadonce: true,
                mtype: "GET",
                rownumbers: false,
                rownumWidth: 40,
                gridview: true,
                //pager: '#PaginadorRangoHabi',
                sortname: 'Id',
                viewrecords: true,
                sortorder: "asc",
                ignoreCase: true, scrollrows : true,
                //multiselect: true,
                //altRows: true,
                //altclass:'ui-widget-header',
                editurl:"Dummy.aspx"
            });

            $("#bsdataRangoHabi").click(function(){ 
                jQuery("#jqgRangoHabi").jqGrid('searchGrid', {multipleSearch:true}); 
            });
        
        }

        function EventsRangoHabi(id) {
            $("#" + id + "_codigo_rango").on('input', function () { BotonGuardarRangoHabi(); });
            $("#" + id + "_desc_rango").on('input', function () { BotonGuardarRangoHabi(); });
        }

        function EventsNewRangoHabi() {
            var selr = jQuery('#jqgRangoHabi').jqGrid('getGridParam', 'selrow');
            $("#" + selr + "_codigo_rango").on('input', function () { BotonGuardarRangoHabi(); });
            $("#" + selr + "_desc_rango").on('input', function () { BotonGuardarRangoHabi(); });
        }

        <% /* Función que permite recargar los datos del grid desde el servidor. */ %>

        function RefreshGridRangoHabi()
        {
            $("#jqgRangoHabi").jqGrid("setGridParam", {datatype: "json", datatype: GetRangoHabi, loadonce: true});
            $("#jqgRangoHabi").trigger("reloadGrid"); 
            $("#jqgRangoHabi").jqGrid("setGridParam", {datatype: "local", loadonce: true});
        }

        <% /* Función para agregar una fila en blanco donde se puede guardar un nuevo registro. */ %>

        function CreateRangoHabi()
        {
            $('#IdSubElement').val(0);
            RefreshGrid();
            RefreshGrid2();

            $("#jqgRangoHabi").jqGrid('addRow',{
                initdata : {'Id': '0'},
                position :"first",
                useDefValues : false,
                useFormatter : false,
                addRowParams : {extraparam:{}}
            });
            BotonNuevoRangoHabi();
            EventsNewRangoHabi();
        }

        <% /* Función que salva los datos modificados en una fila. */ %>

        function SaveRangoHabi(){
	        var id = $("#jqgRangoHabi").jqGrid('getGridParam','selrow');
	        if (id)	{
                PutRangoHabi(id, $('#' + id + '_codigo_rango').val(), $('#' + id + '_desc_rango').val());
	        } 
            else 
            { 
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>"); 
                $('#dlgInformation').dialog('open');
            }
        }

        <% /* Función que elimina un registro. */ %>

        function DeleteRangoHabi(){
	        var id = $("#jqgRangoHabi").jqGrid('getGridParam','selrow');
	        if (id)	{
		        var ret = $("#jqgRangoHabi").jqGrid('getRowData',id);
                DelRangoHabi(id);
                RefreshGridRangoHabi();
	        } 
            else 
            { 
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>"); 
                $('#dlgInformation').dialog('open');
            }
        }

        <% /* Función que cancela la edición de una fila y la devuelve a su estado original. */ %>

        function CancelRangoHabi(){
	        var id = $("#jqgRangoHabi").jqGrid('getGridParam','selrow');
	        if (id)	{
		        $('#jqgRangoHabi').restoreRow(id);
	        } 
            else 
            { 
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>"); 
                $('#dlgInformation').dialog('open');
	        }
            BotonDefaultRangoHabi();
        }

        function BotonDefaultRangoHabi() {
            $('#btnNuevoRangoHabi').button('enable');
            $('#btnEliminarRangoHabi').button('disable');
            $('#btnGuardarRangoHabi').button('disable');
            $('#btnCancelarRangoHabi').button('disable');
        }

        function BotonNuevoRangoHabi() {
            $('#btnNuevoRangoHabi').button('disable');
            $('#btnEliminarRangoHabi').button('disable');
            $('#btnGuardarRangoHabi').button('disable');
            $('#btnCancelarRangoHabi').button('enable');
        }

        function BotonSelectRangoHabi() {
            $('#btnNuevoRangoHabi').button('enable');
            var id = $("#jqgRangoHabi").jqGrid('getGridParam', 'selrow');
            if (!isNaN(id)) {
                $('#btnEliminarRangoHabi').button('enable');
            }
            else {
                $('#btnEliminarRangoHabi').button('disable');
            }
            $('#btnGuardarRangoHabi').button('disable');
            $('#btnCancelarRangoHabi').button('disable');
        }

        function BotonGuardarRangoHabi() {
            $('#btnNuevoRangoHabi').button('disable');
            $('#btnEliminarRangoHabi').button('disable');
            $('#btnGuardarRangoHabi').button('enable');
            $('#btnCancelarRangoHabi').button('enable');
        }

        <% /* Función que permite imprimir el listado de elementos seleccionados. */ %>

        function ImprimirListado() {
	        window.open('Informe.aspx?r=301&e=' + $('#cbEliminado:checked').val(), '_blank');
        }

        var HeaderTable  = <%=L.LBL("LblFDKSRangoHabiDet") %>;

        var ListFindN    =  ['eq','bw','ne','lt','le','gt','ge','ew','cn'];
        var ListFindT    =  ['cn','eq','bw','bn','nc','ew','en'];

        <% /* Código del Grid #1 : Régimen de Alojamiento */ %>

        <% /* Función para cargar los datos del Web Service. */ %>

        function GetData() {
            $.ajax({
                url: 'Servicio.svc/GetRangoHabiDet',
                data: { "Modo": 0, "id_rango": $('#IdSubElement').val()
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                success: function (json) {
                    $("#TablaGrid").jqGrid("setGridParam", {datatype: "json", loadonce: true});
                    var thegrid = $("#TablaGrid")[0];
                    thegrid.addJSONData(JSON.parse(json.d));
                    $("#TablaGrid").jqGrid("setGridParam", {datatype: "local", loadonce: true});
                }
            });
        }

        <% /* Función principal que inicia la carga del jqGrid. Se llama de primero. */ %>

        function LoadGrid() {
        
            var lastsel2;
            var colMap = {};
            $("#TablaGrid").jqGrid({
                datatype: 'local',
                height: 155,
                width: 220,
                colNames: HeaderTable,
                colModel: [
                            { name: 'Id', index: 'Id', width: 1, sorttype: 'int', hidden: true },
   		                    { name: 'Descripcion', index: 'Descripcion', width: 10, editable: false }, 
                            { name: 'Eli', index: 'Eli', width: 3, search:false, hidden: true }
   	                    ],
                onSelectRow: function (id) {
                    if (id /*&& id !== lastsel2*/) {
                        $('#TablaGrid').jqGrid('editRow', id, true);
                        lastsel2 = id;
                    }
                },
                onCellSelect: function (id) {
                    if (id /*&& id !== lastsel2*/) {
                        //$('#TablaGrid').jqGrid('setSelection', id);;
                    }
                },
                gridComplete: function()
                {  
                    var rows = $("#TablaGrid").getDataIDs(); 
                    for (var i = 0; i <= rows.length; i++)
                    { 
                        var elem  = $("#TablaGrid").getCell(rows[i],"Id");
                        var status  = $("#TablaGrid").getCell(rows[i],"Eli");

                        if(parseInt(status) == 1)
                        {
                            $("#TablaGrid").setSelection(elem, true);
                        }
                    }
                }, 
                rowNum: 99999999,
                rowTotal: 99999999,
                loadonce: true,
                mtype: "GET",
                rownumbers: false,
                rownumWidth: 40,
                gridview: true,
                sortname: 'Id',
                viewrecords: true,
                sortorder: "asc",
                ignoreCase: true, scrollrows : true,
                multiselect: true,
                //altRows: true,
                //altclass:'ui-widget-header',
                editurl:"Dummy.aspx"
            });
        
        }

        <% /* Función que permite recargar los datos del grid desde el servidor. */ %>

        function RefreshGrid()
        {
            $("#TablaGrid").jqGrid("setGridParam", {datatype: "json", datatype: GetData, loadonce: true});
            $("#TablaGrid").trigger("reloadGrid"); 
            $("#TablaGrid").jqGrid("setGridParam", {datatype: "local", loadonce: true});
            //$("#TablaGrid").jqGrid('delRowData', 0);
        }

        <% /* Código del Grid #2 : Habitaciones del Rango */ %>

        <% /* Función para cargar los datos del Web Service. */ %>

        function GetData2() {
            $.ajax({
                url: 'Servicio.svc/GetRangoHabiDet',
                data: { "Modo": 1, "id_rango": $('#IdSubElement').val()
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                success: function (json) {
                    $("#TablaGrid2").jqGrid("setGridParam", {datatype: "json", loadonce: true});
                    var thegrid = $("#TablaGrid2")[0];
                    thegrid.addJSONData(JSON.parse(json.d));
                    $("#TablaGrid2").jqGrid("setGridParam", {datatype: "local", loadonce: true});
                }
            });
        }

        <% /* Función principal que inicia la carga del jqGrid. Se llama de primero. */ %>

        function LoadGrid2() {
        
            var lastsel22;
            var colMap = {};
            $("#TablaGrid2").jqGrid({
                datatype: 'local',
                height: 155,
                width: 220,
                colNames: HeaderTable,
                colModel: [
                            { name: 'Id', index: 'Id', width: 1, sorttype: 'int', hidden: true },
   		                    { name: 'Descripcion', index: 'Descripcion', width: 10, editable: false }, 
                            { name: 'Eli', index: 'Eli', width: 3, search:false, hidden: true }
                ],
                onSelectRow: function (id) {
                    if (id /*&& id !== lastsel22*/) {
                        $('#TablaGrid2').jqGrid('editRow', id, true);
                        lastsel22 = id;
                    }
                },
                onCellSelect: function (id) {
                    if (id /*&& id !== lastsel22*/) {
                        //$('#TablaGrid2').jqGrid('setSelection', id);
                    }
                },
                gridComplete: function()
                {  
                    var rows = $("#TablaGrid2").getDataIDs(); 
                    for (var i = 0; i <= rows.length; i++)
                    { 
                        var elem  = $("#TablaGrid2").getCell(rows[i],"Id");
                        var status  = $("#TablaGrid2").getCell(rows[i],"Eli");

                        if(parseInt(status) == 1)
                        {
                            $("#TablaGrid2").setSelection(elem, true);
                        }
                    }
                }, 
                rowNum: 99999999,
                rowTotal: 99999999,
                loadonce: true,
                mtype: "GET",
                rownumbers: false,
                rownumWidth: 40,
                gridview: true,
                sortname: 'Id',
                viewrecords: true,
                sortorder: "asc",
                ignoreCase: true, scrollrows : true,
                multiselect: true,
                //altRows: true,
                //altclass:'ui-widget-header',
                editurl:"Dummy.aspx"
            });
        
        }

        <% /* Función que permite recargar los datos del grid desde el servidor. */ %>

        function RefreshGrid2()
        {
            $("#TablaGrid2").jqGrid("setGridParam", {datatype: "json", datatype: GetData2, loadonce: true});
            $("#TablaGrid2").trigger("reloadGrid"); 
            $("#TablaGrid2").jqGrid("setGridParam", {datatype: "local", loadonce: true});
            //$("#TablaGrid2").jqGrid('delRowData', 0);
        }

        function PutRangoHabiDet(modo) {
            $.ajax({
                url: 'Servicio.svc/PutRangoHabiDet',
                data: { "Modo": modo, "id_rango": $('#IdSubElement').val()
                , "ElementosA": $("#TablaGrid").jqGrid('getGridParam','selarrrow').toString()
                , "ElementosB": $("#TablaGrid2").jqGrid('getGridParam','selarrrow').toString()
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function() {
                    $('#dlgCargando').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando').dialog('close');
                    var res = json.d;
                    if(res == 1)
                    {
                        RefreshGrid();
                        RefreshGrid2();
                    }
                    else
                    {
                        $('#dlgInformation').html(json.d); 
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }
        
    </script>
    
    <script type="text/javascript">

        $(document).ready(function () {

            $("#dlgEliminar").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 200,
                width: 500,
                modal: true,
                buttons:
                {
                    "<%=L.LBL("LblGENAceptar") %>": function ()
                    {
                        $(this).dialog('close');
                    }
                }
            });

            $("#dlgInformation").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 200,
                width: 500,
                modal: true,
                buttons:
                {
                    "<%=L.LBL("LblGENAceptar") %>": function ()
                    {
                        $(this).dialog('close');
                    }
                }
            });

            $("#SevenMenu").accordion("option", "active", 4);

            $('btnEliminar').attr('disabled', true);
            $('btnGuardar').attr('disabled', true);
            $('btnCancelar').attr('disabled', true);

            LoadGridRangoHabi();

            RefreshGridRangoHabi();

            BotonDefaultRangoHabi();

            LoadGrid();
            LoadGrid2();

        });
    </script>

    <% } catch { } %>

</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="cpPrincipal" runat="server">

    <% try{ %>

    <div id="SevenBreadcrumb" class="ui-state-default">
        <table width="100%" style="white-space: nowrap;">
            <tr>
                <td>
                    <div class="SevenEnlaces" onclick="window.location.href='Menu.aspx#M5';" style="cursor: pointer;">
                        <table>
                            <tr>
                                <td>
                                    <img src="img/application-icon-large.png" />
                                </td>
                                <td>
                                    <%=L.LBL("LblGENMenuTactil") %>
                                </td>
                            </tr>
                        </table>
                    </div>
                </td>
                <td>&nbsp;</td>
                <td>
                    <a href="Inicio.aspx"><%=L.LBL("LblGENInicio") %></a>
                    <img src="img/arrow.png" alt="" />
                    <a href="RangoHabitaciones.aspx"><%=L.TIT("RangoHabitaciones") %> [3.2]</a>
                </td>
                <td width="100%"></td>
                <td>
                    <%=L.LBL("LblGENLanguage") %>
                </td>
                <td>
                    <!-- #include file="LanguageCombo.html" -->
                </td>
            </tr>
        </table>
    </div>
            
    <div id="SevenPrincipal">
                
        <div id="SevenMedio">
                    
            <div id="SevenInterno" style="width: 550px;">

                <div id="dlgEliminar" title="<%=L.LBL("LblGENDelete") %>" style="text-align: center;padding-top: 25px">
                    <span class="ui-icon ui-icon-alert" style="float:left; margin:0 7px 20px 0;"></span>¿Desea eliminar este elemento?
                </div>

                <div id="dlgInformation" title="<%=L.LBL("LblGENInformation") %>" style="text-align: center;padding-top: 25px">
                    
                </div>

                <table>
                    <tr>
                        <td>
                            <span class="SevenTitulo"><%=L.TIT("RangoHabitaciones") %> [3.2]</span>
                        </td>
                        <td>&nbsp;&nbsp;&nbsp;</td>
                        <td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <input type="checkbox" id="cbEliminado" onchange="BotonDefaultRangoHabi();RefreshGridRangoHabi();" value="1" /> <%=L.LBL("LblGENShowDeleted") %>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>
                        <td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <a href="#" onclick="ImprimirListado();" id="A2" ><img src="img/printer.png" /> <%=L.LBL("LblGENPrint") %></a>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>
                        <td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <a href="#" onclick="window.open('http://mysevenmanuales.jimdo.com/front-desk-parametros/3-2-rango-de-habitaciones/', '_blank');" id="A1" ><img src="img/question.png" /> <%=L.LBL("LblGENHelp") %></a>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>
                    </tr>
                </table>

                <% 
                    if (CorrectoIns)
                    {    
                %>

                    <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_SavedData") %></p>

                <%  } %>

                <% 
                    if (CorrectoMod)
                    {    
                %>

                    <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_UpdatedData") %></p>

                <%  } %>

                <% 
                    if (CorrectoEli)
                    {    
                %>

                    <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_DeletedData") %></p>

                <%  } %>

                <% 
                    if (!String.IsNullOrEmpty(ErrorMsg))
                    {    
                %>

                    <p class="SevenMsgError"><%=ErrorMsg %></p>

                <%  } %>

                <br />
                            
                <table id="jqgRangoHabi"></table>
                <div id="PaginadorRangoHabi" ></div>

                <table width="100%">
                    <tr>
                        <td colspan="4">
                            <table width="100%">
                                <tr>
                                    <td width="100%"></td>
                                    <td>
                                        <button type="button" id="bsdataRangoHabi" value="Search" >
                                            <table>
                                            <tr><td>
                                            <img src="img/binocular.png" 
                                             alt="<%=L.LBL("LblGENSearch") %>" />
                                            </td><td>
                                            <%=L.LBL("LblGENSearch") %>
                                            </td></tr>
                                            </table>
                                        </button>
                                    </td>
                                    <td>
                                        <button type="button" id="btnNuevoRangoHabi" onclick="CreateRangoHabi();">
                                            <table><tr><td><img src="img/document.png" alt="<%=L.LBL("LblGENNew") %>" /></td><td><%=L.LBL("LblGENNew") %></td></tr></table>
                                        </button>
                                    </td>
                                    <td>
                                        <button type="button" id="btnEliminarRangoHabi" onclick="DeleteRangoHabi();">
                                            <table><tr><td><img id="btnEliminarIconRangoHabi" src="img/cross-script.png" alt="<%=L.LBL("LblGENDelete") %>" /></td><td id="btnEliminarTextRangoHabi"><%=L.LBL("LblGENDelete") %></td></tr></table>
                                        </button>
                                    </td>
                                    <td>
                                        <button type="button" id="btnGuardarRangoHabi" onclick="SaveRangoHabi();">
                                                <table>
                                                    <tr>
                                                        <td>
                                                            <img src="img/disk.png" alt="<%=L.LBL("LblGENSave") %>" />
                                                        </td>
                                                        <td><%=L.LBL("LblGENSave") %></td>
                                                    </tr>
                                                </table>
                                        </button>
                                    </td>
                                    <td>
                                        <button type="button" id="btnCancelarRangoHabi" onclick="CancelRangoHabi();">
                                                <table><tr><td><img src="img/arrow-return-180-left.png" alt="<%=L.LBL("LblGENCancel") %>" /></td><td><%=L.LBL("LblGENCancel") %></td></tr></table>
                                        </button>
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                </table>

                <fieldset>
                    <legend><b><%=L.LBL("LblFDKSFDKHabitaciones") %>: <span id="TitSubElement"></span></b></legend>
                    <input type="hidden" id="IdSubElement" value="0" />

                    <table style="width: 100%;">
                        <tr>
                            <td style="width: 45%;">
                                <table id="TablaGrid"></table>
                            </td>
                            <td style="width: 10%;">
                                <table>
                                    <tr>
                                        <td>
                                            <button type="button" id="btnAgregar" onclick="PutRangoHabiDet(0);">
                                                <table><tr><td><img src="img/arrow.png" alt="" /></td></tr></table>
                                            </button>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <button type="button" id="btnAgregarTodo" onclick="PutRangoHabiDet(1);">
                                                <table><tr><td><img src="img/arrow-stop.png" alt="" /></td></tr></table>
                                            </button>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <button type="button" id="btnQuitar" onclick="PutRangoHabiDet(2);">
                                                <table><tr><td><img src="img/arrow-180.png" alt="" /></td></tr></table>
                                            </button>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <button type="button" id="btnQuitarTodo" onclick="PutRangoHabiDet(3);">
                                                <table><tr><td><img src="img/arrow-stop-180.png" alt="" /></td></tr></table>
                                            </button>
                                        </td>
                                    </tr>
                                </table>
                            </td>
                            <td style="width: 45%;">
                                <table id="TablaGrid2"></table>
                            </td>
                        </tr>
                    </table>
                </fieldset>

                            
            </div>
                    
        </div>
                
    </div>

    <% } catch { } %>

</asp:Content>

