﻿<% @Import Namespace="Seven.Front.Settings" %>
<% @Import Namespace="Seven.Front.Settings.Globals" %>
<% @Import Namespace="Seven.Front.Settings.Objects" %>
<%@ Page Language="C#" MasterPageFile="Model.Master" AutoEventWireup="true" CodeBehind="ServiciosSimplesAgencias.aspx.cs" Inherits="Seven.Front.Settings.ServiciosSimplesAgencias" %>

<asp:Content ID="Content1" ContentPlaceHolderID="cpHeader" runat="server">

    <% try{ %>

    <title><%=L.TIT("ServiciosSimplesAgencias") %></title>
    
    <script type="text/javascript">

        var ListFindN    =  ['eq','bw','ne','lt','le','gt','ge','ew','cn'];
        var ListFindT    =  ['cn','eq','bw','bn','nc','ew','en'];

        var HeaderTable = <%=L.LBL("LblFDKSServiciosSimplesAgencias") %>;

        <% /* Función para cargar los datos del Web Service. */ %>

        function GetData() {
            $.ajax({
                url: 'Servicio.svc/GetServSimplesAgencias',
                data: { "Eliminado": $('#cbEliminado:checked').val()
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                success: function (json) {
                    $("#TablaGrid").jqGrid("setGridParam", {datatype: "json", loadonce: true});
                    var thegrid = $("#TablaGrid")[0];
                    thegrid.addJSONData(JSON.parse(json.d));
                    $("#TablaGrid").jqGrid("setGridParam", {datatype: "local", loadonce: true});
                }
            });
        }

        <% /* Función para crear, editar o eliminar los datos hacia el Web Service. */ %>

        function PutData(id, id_con1, cod_csim, desc_csim, csim_dp, tipo_csim, Porcentual, Valor, eli) {
            $.ajax({
                url: 'Servicio.svc/PutServSimplesAgencias',
                data: { "id_csim": id, "id_con1": id_con1, "cod_csim": cod_csim, "desc_csim": desc_csim, "csim_dp": csim_dp, "tipo_csim": tipo_csim, "Eliminado": eli
                , "Porcentual": Porcentual, "Valor": Valor
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function() {
                    $('#dlgCargando').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando').dialog('close');
                    var res = json.d;
                    if(res == 1)
                    {
                        if(eli == 1){
                            BotonDefault();
                            RefreshGrid();
                        }
                        else if(id > 0 || id < 0){
                            //$("#TablaGrid").jqGrid('saveRow', id);
                            //$('#TablaGrid').jqGrid('editRow', id,true,Events);
                            BotonDefault();
                            RefreshGrid();
                        }
                        else
                        {
                            BotonDefault();
                            RefreshGrid();
                        }
                    }
                    else
                    {
                        $('#dlgInformation').html(json.d); 
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función principal que inicia la carga del jqGrid. Se llama de primero. */ %>

        function LoadGrid() {
        
            var lastsel2;
            var colMap = {};
            $("#TablaGrid").jqGrid({
                datatype: GetData,
                height: 255,
                width: 700,
                colNames: HeaderTable,
                colModel: [
                            { name: 'Id', index: 'Id', width: 0, sorttype: 'int', hidden: true },
   		                    
                            { name: 'cod_csim', index: 'cod_csim', width: 5, editable: true, searchoptions:{sopt:ListFindT} }, 
                            { name: 'desc_csim', index: 'desc_csim', width: 15, editable: true, searchoptions:{sopt:ListFindT} },
                            { name: 'tipo_csim', index: 'tipo_csim', width: 10, editable: true, formatter:'select', stype:'select', edittype:'select', editoptions: { <%=cbTipo %> } },
                            { name: 'id_con1', index: 'id_con1', width: 15, editable: true, formatter:'select', stype:'select', edittype:'select', editoptions: { <%=cbConceptos %> } },  
                            { name: 'csim_dp', index: 'csim_dp', width: 10, editable: true, search:false,
                                edittype: 'checkbox', formatter: 'checkbox', editoptions: { value: 'True:False' }, 
                                formatoptions: { disabled: true } }, 
                            { name: 'Porcentual', index: 'Porcentual', width: 5, editable: true, search:false,
                                edittype: 'checkbox', formatter: 'checkbox', editoptions: { value: 'True:False' }, 
                                formatoptions: { disabled: true } }, 
                            { name: 'Valor', index: 'Valor', width: 10, editable: true, searchoptions:{sopt:ListFindN} },   
                            { name: 'Eli', index: 'Eli', width: 5, search:false, hidden: true }
   	                    ],
                onSelectRow: function (id) {
                    if (id /*&& id !== lastsel2*/) {

                        if (isNaN(lastsel2) && !isNaN(id)) {
                            $("#TablaGrid").jqGrid('delRowData', lastsel2);
                            $('#TablaGrid').jqGrid('resetSelection');
                        }

                        if (!isNaN(id)) {
                            $('#TablaGrid').jqGrid('restoreRow', lastsel2);
                        }
                        else {
                            BotonNuevo();
                        }

                        $('#TablaGrid').jqGrid('editRow', id, true, Events);

                        lastsel2 = id;
                    }
                },
                afterInsertRow: function (id) {
                    if (id /*&& id !== lastsel2*/) {
                        if (isNaN(lastsel2)) {
                            $("#TablaGrid").jqGrid('delRowData', lastsel2);
                            $('#TablaGrid').jqGrid('resetSelection');
                        }
                        else {
                            $('#TablaGrid').jqGrid('saveRow', lastsel2);
                        }
                    }
                },
                onCellSelect: function (id) {
                    if (id /*&& id !== lastsel2*/) {

                        var ret = jQuery("#TablaGrid").jqGrid('getRowData', id);
                        var status = ret.Eli;

                        if (status == "True") {
                            $('#btnEliminarText').html("<%=L.LBL("LblGENRecover") %>");
                            $('#btnEliminarIcon').attr("src", "img/recuperar.png");
                        }
                        else {
                            $('#btnEliminarText').html("<%=L.LBL("LblGENDelete") %>");
                            $('#btnEliminarIcon').attr("src", "img/cross-script.png");
                        }

                        $('#TablaGrid').jqGrid('setSelection', id);
                    }
                    BotonSelect();
                },
                gridComplete: function()
                {  
                    var rows = $("#TablaGrid").getDataIDs(); 
                    for (var i = 0; i < rows.length; i++)
                    { 
                        var status  = $("#TablaGrid").getCell(rows[i],"Eli");

                        if(status == "True")
                        {
                            $("#TablaGrid").jqGrid('setRowData',rows[i],false, 
                            //{color:'black',background:'rgb(230,230,250)',font:'italic' });
                            {color:'red',font:'italic' });
                        }
                    }
                }, 
                rowNum: 99999999,
                rowTotal: 99999999,
                loadonce: true,
                mtype: "GET",
                rownumbers: false,
                rownumWidth: 40,
                gridview: true,
                //pager: '#Paginador',
                sortname: 'Desc',
                viewrecords: true,
                sortorder: "asc",
                ignoreCase: true, scrollrows : true,
                //multiselect: true,
                //altRows: true,
                //altclass:'ui-widget-header',
                editurl:"Dummy.aspx"
            });

            $("#bsdata").click(function(){ 
                jQuery("#TablaGrid").jqGrid('searchGrid', {multipleSearch:true}); 
            });
        
        }

        function Events(id) {
            $("#" + id + "_cod_csim").on('input', function () { BotonGuardar(); });
            $("#" + id + "_desc_csim").on('input', function () { BotonGuardar(); });
            $("#" + id + "_tipo_csim").on('change', function () { BotonGuardar(); });
            $("#" + id + "_id_con1").on('change', function () { BotonGuardar(); });
            $("#" + id + "_csim_dp").on('change', function () { BotonGuardar(); });
            $("#" + id + "_Porcentual").on('change', function () { BotonGuardar(); });
            $("#" + id + "_Valor").on('input', function () { BotonGuardar(); });
        }

        function EventsNew() {
            var selr = jQuery('#TablaGrid').jqGrid('getGridParam', 'selrow');
            $("#" + selr + "_cod_csim").on('input', function () { BotonGuardar(); });
            $("#" + selr + "_desc_csim").on('input', function () { BotonGuardar(); });
            $("#" + selr + "_tipo_csim").on('change', function () { BotonGuardar(); });
            $("#" + selr + "_id_con1").on('change', function () { BotonGuardar(); });
            $("#" + selr + "_csim_dp").on('change', function () { BotonGuardar(); });
            $("#" + selr + "_Porcentual").on('change', function () { BotonGuardar(); });
            $("#" + selr + "_Valor").on('input', function () { BotonGuardar(); });
        }

        <% /* Función que permite recargar los datos del grid desde el servidor. */ %>

        function RefreshGrid()
        {
            $("#TablaGrid").jqGrid("setGridParam", {datatype: "json", datatype: GetData, loadonce: true});
            $("#TablaGrid").trigger("reloadGrid"); 
            $("#TablaGrid").jqGrid("setGridParam", {datatype: "local", loadonce: true});
            //$("#TablaGrid").jqGrid('delRowData', 0);
        }

        <% /* Función para agregar una fila en blanco donde se puede guardar un nuevo registro. */ %>

        function CreateElement()
        {
            $("#TablaGrid").jqGrid('addRow',{
                //rowID : "0",
                initdata : {'Id': '0'},
                position :"first",
                useDefValues : false,
                useFormatter : false,
                addRowParams : {extraparam:{}}
            });
            BotonNuevo();
            EventsNew();
        }

        <% /* Función que salva los datos modificados en una fila. */ %>

        function SaveElement(){
	        var id = $("#TablaGrid").jqGrid('getGridParam','selrow');
	        if (id)	{
		        //var ret = $("#TablaGrid").jqGrid('getRowData',id);
                PutData(id, $('#' + id + '_id_con1').val(), $('#' + id + '_cod_csim').val(), $('#' + id + '_desc_csim').val()
                    , $('#' + id + '_csim_dp:checked').val(), $('#' + id + '_tipo_csim').val()
                    , $('#' + id + '_Porcentual:checked').val(), $('#' + id + '_Valor').val(), 0);
	        } 
            else 
            { 
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>"); 
                $('#dlgInformation').dialog('open');
            }
        }

        <% /* Función que elimina un registro. */ %>

        function DeleteElement(){
	        var id = $("#TablaGrid").jqGrid('getGridParam','selrow');
	        if (id)	{
		        var ret = $("#TablaGrid").jqGrid('getRowData',id);
                PutData(id, $('#' + id + '_id_con1').val(), $('#' + id + '_cod_csim').val(), $('#' + id + '_desc_csim').val()
                    , $('#' + id + '_csim_dp').val(), $('#' + id + '_tipo_csim').val()
                    , $('#' + id + '_Porcentual').val(), $('#' + id + '_Valor').val(), 1);
                RefreshGrid();
	        } 
            else 
            { 
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>"); 
                $('#dlgInformation').dialog('open');
            }
        }

        <% /* Función que cancela la edición de una fila y la devuelve a su estado original. */ %>

        function CancelElement(){
	        var id = $("#TablaGrid").jqGrid('getGridParam','selrow');
	        if (id)	{
		        $('#TablaGrid').restoreRow(id);
	        } 
            else 
            { 
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>"); 
                $('#dlgInformation').dialog('open');
	        }
            BotonDefault();
        }

        function BotonDefault() {
            $('#btnNuevo').button('enable');
            $('#btnEliminar').button('disable');
            $('#btnGuardar').button('disable');
            $('#btnCancelar').button('disable');
        }

        function BotonNuevo() {
            $('#btnNuevo').button('disable');
            $('#btnEliminar').button('disable');
            $('#btnGuardar').button('disable');
            $('#btnCancelar').button('enable');
        }

        function BotonSelect() {
            $('#btnNuevo').button('enable');
            var id = $("#TablaGrid").jqGrid('getGridParam', 'selrow');
            if (!isNaN(id)) {
                $('#btnEliminar').button('enable');
            }
            else {
                $('#btnEliminar').button('disable');
            }
            $('#btnGuardar').button('disable');
            $('#btnCancelar').button('disable');
        }

        function BotonGuardar() {
            $('#btnNuevo').button('disable');
            $('#btnEliminar').button('disable');
            $('#btnGuardar').button('enable');
            $('#btnCancelar').button('enable');
        }

        <% /* Función que permite imprimir el listado de elementos seleccionados. */ %>

        function ImprimirListado() {
	        window.open('Informe.aspx?r=103&e=' + $('#cbEliminado:checked').val(), '_blank');
        }
        
    </script>
    
    <script type="text/javascript">

        $(document).ready(function () {

            $("#dlgEliminar").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 200,
                width: 500,
                modal: true,
                buttons:
                {
                    "<%=L.LBL("LblGENAceptar") %>": function ()
                    {
                        $(this).dialog('close');
                    }
                }
            });

            $("#dlgInformation").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 200,
                width: 500,
                modal: true,
                buttons:
                {
                    "<%=L.LBL("LblGENAceptar") %>": function ()
                    {
                        $(this).dialog('close');
                    }
                }
            });

            $("#SevenMenu").accordion("option", "active", 2);

            $('btnEliminar').attr('disabled', true);
            $('btnGuardar').attr('disabled', true);
            $('btnCancelar').attr('disabled', true);

            LoadGrid();

            BotonDefault();

        });
    </script>

    <% } catch { } %>

</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="cpPrincipal" runat="server">

    <% try{ %>

    <div id="SevenBreadcrumb" class="ui-state-default">
        <table width="100%" style="white-space: nowrap;">
            <tr>
                <td>
                    <div class="SevenEnlaces" onclick="window.location.href='Menu.aspx#M3';" style="cursor: pointer;">
                        <table>
                            <tr>
                                <td>
                                    <img src="img/application-icon-large.png" />
                                </td>
                                <td>
                                    <%=L.LBL("LblGENMenuTactil") %>
                                </td>
                            </tr>
                        </table>
                    </div>
                </td>
                <td>&nbsp;</td>
                <td>
                    <a href="Inicio.aspx"><%=L.LBL("LblGENInicio") %></a>
                    <img src="img/arrow.png" alt="" />
                    <a href="ServiciosSimplesAgencias.aspx"><%=L.TIT("ServiciosSimplesAgencias") %></a>
                </td>
                <td width="100%"></td>
                <td>
                    <%=L.LBL("LblGENLanguage") %>
                </td>
                <td>
                    <!-- #include file="LanguageCombo.html" -->
                </td>
            </tr>
        </table>
    </div>
            
    <div id="SevenPrincipal">
                
        <div id="SevenMedio">
                    
            <div id="SevenInterno" style="width: 700px;">

                <div id="dlgEliminar" title="<%=L.LBL("LblGENDelete") %>" style="text-align: center;padding-top: 25px">
                    <span class="ui-icon ui-icon-alert" style="float:left; margin:0 7px 20px 0;"></span>¿Desea eliminar este elemento?
                </div>

                <div id="dlgInformation" title="<%=L.LBL("LblGENInformation") %>" style="text-align: center;padding-top: 25px">
                    
                </div>

                <table>
                    <tr>
                        <td>
                            <span class="SevenTitulo"><%=L.TIT("ServiciosSimplesAgencias") %></span>
                        </td>
                        <td>&nbsp;&nbsp;&nbsp;</td>
                        <td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <input type="checkbox" id="cbEliminado" onchange="BotonDefault();RefreshGrid();" value="1" /> <%=L.LBL("LblGENShowDeleted") %>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>
                        <td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <a href="#" onclick="ImprimirListado();" id="A2" ><img src="img/printer.png" /> <%=L.LBL("LblGENPrint") %></a>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>
                        <%--<td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <a href="Ayuda/HLPServiciosSimplesAgencias.aspx" id="A1" ><img src="img/question.png" /> <%=L.LBL("LblGENHelp") %></a>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>--%>
                    </tr>
                </table>

                <% 
                    if (CorrectoIns)
                    {    
                %>

                    <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_SavedData") %></p>

                <%  } %>

                <% 
                    if (CorrectoMod)
                    {    
                %>

                    <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_UpdatedData") %></p>

                <%  } %>

                <% 
                    if (CorrectoEli)
                    {    
                %>

                    <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_DeletedData") %></p>

                <%  } %>

                <% 
                    if (!String.IsNullOrEmpty(ErrorMsg))
                    {    
                %>

                    <p class="SevenMsgError"><%=ErrorMsg %></p>

                <%  } %>

                <br />
                            
                <table id="TablaGrid"></table>
                <div id="Paginador" ></div>

                <table width="100%">
                    <tr>
                        <td colspan="4">
                            <table width="100%">
                                <tr>
                                    <td width="100%"></td>
                                    <td>
                                        <button type="button" id="bsdata" value="Search" >
                                            <table>
                                            <tr><td>
                                            <img src="img/binocular.png" 
                                             alt="<%=L.LBL("LblGENSearch") %>" />
                                            </td><td>
                                            <%=L.LBL("LblGENSearch") %>
                                            </td></tr>
                                            </table>
                                        </button>
                                    </td>
                                    <td>
                                        <button type="button" id="btnNuevo" onclick="CreateElement();">
                                            <table><tr><td><img src="img/document.png" alt="<%=L.LBL("LblGENNew") %>" /></td><td><%=L.LBL("LblGENNew") %></td></tr></table>
                                        </button>
                                    </td>
                                    <td>
                                        <button type="button" id="btnEliminar" onclick="DeleteElement();">
                                            <table><tr><td><img id="btnEliminarIcon" src="img/cross-script.png" alt="<%=L.LBL("LblGENDelete") %>" /></td><td id="btnEliminarText"><%=L.LBL("LblGENDelete") %></td></tr></table>
                                        </button>
                                    </td>
                                    <td>
                                        <button type="button" id="btnGuardar" onclick="SaveElement();">
                                                <table>
                                                    <tr>
                                                        <td>
                                                            <img src="img/disk.png" alt="<%=L.LBL("LblGENSave") %>" />
                                                        </td>
                                                        <td><%=L.LBL("LblGENSave") %></td>
                                                    </tr>
                                                </table>
                                        </button>
                                    </td>
                                    <td>
                                        <button type="button" id="btnCancelar" onclick="CancelElement();">
                                                <table><tr><td><img src="img/arrow-return-180-left.png" alt="<%=L.LBL("LblGENCancel") %>" /></td><td><%=L.LBL("LblGENCancel") %></td></tr></table>
                                        </button>
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                </table>
                            
            </div>
                    
        </div>
                
    </div>

    <% } catch { } %>

</asp:Content>

