﻿<% @Import Namespace="Seven.Front.Settings" %>
<% @Import Namespace="Seven.Front.Settings.Globals" %>
<% @Import Namespace="Seven.Front.Settings.Objects" %>
<%@ Page Language="C#" MasterPageFile="Model.Master" AutoEventWireup="true" CodeBehind="TipoFolios.aspx.cs" Inherits="Seven.Front.Settings.TipoFolios" %>

<asp:Content ID="Content1" ContentPlaceHolderID="cpHeader" runat="server">

    <% try{ %>

    <title><%=L.TIT("TipoFolios") %> [4.3]</title>
    
    <script type="text/javascript">

        var ListFindN    =  ['eq','bw','ne','lt','le','gt','ge','ew','cn'];
        var ListFindT = ['cn', 'eq', 'bw', 'bn', 'nc', 'ew', 'en'];

        var HeaderTableTF = <%=L.LBL("LblFDKSTipoFolios") %>;
        var HeaderTableTFImpu = <%=L.LBL("LblFDKSTipoFoliosImpu") %>;

        <% /* Código del jqGrid para Tipos de Folios */ %>

        <% /* Función para cargar los datos del Web Service. */ %>

        function GetTF() {
            $.ajax({
                url: 'Servicio.svc/GetTipoFolios',
                data: {
                    "Eliminado": $('#cbEliminado:checked').val()
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>"
                },
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                success: function (json) {
                    $("#jqgTF").jqGrid("setGridParam", { datatype: "json", loadonce: true });
                    var thegrid = $("#jqgTF")[0];
                    thegrid.addJSONData(JSON.parse(json.d));
                    $("#jqgTF").jqGrid("setGridParam", { datatype: "local", loadonce: true });
                }
            });
        }

        <% /* Función para crear o editar los datos hacia el Web Service. */ %>

        function PutTF(id, cod_tipo, desc_tipo, cuenta_casa, limite_credito, numero_credito, inactiva_si_factura, id_mone, id_cuenta, id_dcto, eliminado) {
            $.ajax({
                url: 'Servicio.svc/PutTipoFolios',
                data: {
                    "id_tipo": id, "cod_tipo": cod_tipo, "desc_tipo": desc_tipo, "cuenta_casa": cuenta_casa, "limite_credito": limite_credito
                    , "numero_credito": numero_credito, "inactiva_si_factura": inactiva_si_factura
                    , "id_mone": $('#cbMoneda').val(), "id_cuenta": $('#cbCuenta').val(), "id_dcto": $('#cbDescuento').val()
                    , "eliminado": eliminado
                    , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                    , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                    , "LangCode": "<%=LangCode %>"
                },
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function () {
                    $('#dlgCargando').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando').dialog('close');
                    var res = json.d;
                    if (res > 0 || res < 0) {
                        if (id > 0 || id < 0) {
                            BotonDefaultTF();
                            RefreshGridTF();
                        }
                        else {
                            $('#IdSubElement').val(res);
                            BotonDefaultTF();
                            RefreshGridTF();
                        }
                    }
                    else {
                        $('#dlgInformation').html(json.d);
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función para eliminar los datos hacia el Web Service. */ %>

        function DelTF(id) {
            $.ajax({
                url: 'Servicio.svc/DelTipoFolios',
                data: {
                    "id_tipo": id
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>"
                },
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function () {
                    $('#dlgCargando').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando').dialog('close');
                    var res = json.d;
                    if (res == 1) {
                        $('#IdSubElement').val(0);
                        $('#TitSubElement').html("");

                        $('#cbMoneda').val(0);
                        $('#cbDescuento').val(0);
                        $('#cbCuenta').val(0);

                        RefreshGridTFImpu();

                        BotonDefaultTF();
                        RefreshGridTF();
                    }
                    else {
                        $('#dlgInformation').html(json.d);
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función principal que inicia la carga del jqGrid. Se llama de primero. */ %>

        function LoadGridTF() {

            var lselTF;
            var colMap = {};
            $("#jqgTF").jqGrid({
                datatype: 'local',
                height: 255,
                width: 700,
                colNames: HeaderTableTF,
                colModel: [
                            { name: 'Id', index: 'Id', width: 1, sorttype: 'int', hidden: true },
                            { name: 'cod_tipo', index: 'cod_tipo', width: 10, editable: true, searchoptions: { sopt: ListFindN } },
                            { name: 'desc_tipo', index: 'desc_tipo', width: 30, editable: true, searchoptions: { sopt: ListFindT } },
                            { name: 'cuenta_casa', index: 'cuenta_casa', width: 15, editable: true, search: false, 
                                edittype: 'checkbox', formatter: 'checkbox', editoptions: { value: 'True:False' }, 
                                formatoptions: { disabled: true } }, 
                            { name: 'limite_credito', index: 'limite_credito', width: 10, editable: true, searchoptions: { sopt: ListFindN } },
                            { name: 'numero_credito', index: 'numero_credito', width: 10, editable: true, searchoptions: { sopt: ListFindN } },
                            { name: 'inactiva_si_factura', index: 'inactiva_si_factura', width: 10, editable: true, search: false, 
                                edittype: 'checkbox', formatter: 'checkbox', editoptions: { value: 'True:False' }, 
                                formatoptions: { disabled: true } }, 
                            { name: 'id_mone', index: 'id_mone', width: 10, editable: true, search: false, hidden: true },
                            { name: 'id_cuenta', index: 'id_cuenta', width: 10, editable: true, search: false, hidden: true },
                            { name: 'id_dcto', index: 'id_dcto', width: 10, editable: true, search: false, hidden: true },
                            { name: 'Eli', index: 'Eli', width: 5, search: false, hidden: true }
                ],
                onSelectRow: function (id) {
                    if (id) {

                        if (isNaN(lselTF) && !isNaN(id)) {
                            $("#jqgTF").jqGrid('delRowData', lselTF);
                            //$('#jqgTF').jqGrid('resetSelection');
                        }

                        if (!isNaN(id)) {
                            $('#jqgTF').jqGrid('restoreRow', lselTF);

                            var ret = jQuery("#jqgTF").jqGrid('getRowData', id);

                            $('#IdSubElement').val(id);
                            $('#TitSubElement').html(ret.cod_tipo + " - " + ret.desc_tipo);

                            $('#cbMoneda').val(ret.id_mone);
                            $('#cbDescuento').val(ret.id_dcto);
                            $('#cbCuenta').val(ret.id_cuenta);

                            RefreshGridTFImpu();
                        }
                        else {
                            BotonNuevoTF();
                        }

                        $('#jqgTF').jqGrid('saveRow', lselTF);
                        $('#jqgTF').jqGrid('editRow', id, true, EventsTF);

                        lselTF = id;
                    }
                },
                afterInsertRow: function (id) {
                    if (id) {
                        if (isNaN(lselTF)) {
                            $("#jqgTF").jqGrid('delRowData', lselTF);
                            //$('#jqgTF').jqGrid('resetSelection');
                        }
                        else {
                            $('#jqgTF').jqGrid('saveRow', lselTF);
                        }
                    }
                },
                onCellSelect: function (id) {
                    if (id) {
                        if (!isNaN(id)) {
                            $('#jqgTF').jqGrid('restoreRow', id);
                        }

                        var ret = jQuery("#jqgTF").jqGrid('getRowData', id);
                        var status = ret.Eli;

                        if (status == "True") {
                            $('#btnEliminarTextTF').html("<%=L.LBL("LblGENRecover") %>");
                            $('#btnEliminarIconTF').attr("src", "img/recuperar.png");
                        }
                        else {
                            $('#btnEliminarTextTF').html("<%=L.LBL("LblGENDelete") %>");
                            $('#btnEliminarIconTF').attr("src", "img/cross-script.png");
                        }

                        $('#jqgTF').jqGrid('setSelection', id);

                        BotonSelectTF();
                    }
                },
                gridComplete: function () {
                    var rows = $("#jqgTF").getDataIDs();
                    for (var i = 0; i < rows.length; i++) {
                        if (i == 0 && parseInt($('#IdSubElement').val()) == 0) {
                            $('#IdSubElement').val($("#jqgTF").getCell(rows[i], "Id"));
                        }

                        var status = $("#jqgTF").getCell(rows[i], "Eli");

                        if (status == "True") {
                            $("#jqgTF").jqGrid('setRowData', rows[i], false,
                            { color: 'red', font: 'italic' });
                        }
                    }
                    $('#jqgTF').jqGrid('setSelection', $('#IdSubElement').val());
                    if(parseInt($('#IdSubElement').val()) != 0)
                    {
                        BotonSelectTF();
                    }
                },
                rowNum: 99999999,
                rowTotal: 99999999,
                loadonce: true,
                mtype: "GET",
                rownumbers: false,
                rownumWidth: 40,
                gridview: true,
                //pager: '#PaginadorTF',
                sortname: 'Id',
                viewrecords: true,
                sortorder: "asc",
                ignoreCase: true, scrollrows : true,
                //multiselect: true,
                //altRows: true,
                //altclass:'ui-widget-header',
                editurl: "Dummy.aspx"
            });

            $("#bsdataTF").click(function () {
                jQuery("#jqgTF").jqGrid('searchGrid', { multipleSearch: true });
            });

        }

        function InitializeComponents() {
            $("#cbMoneda").on('change', function () { BotonGuardarTF(); });
            $("#cbDescuento").on('change', function () { BotonGuardarTF(); });
            $("#cbCuenta").on('change', function () { BotonGuardarTF(); });
        }

        function EventsTF(id) {
            $("#" + id + "_cod_tipo").on('input', function () { BotonGuardarTF(); });
            $("#" + id + "_desc_tipo").on('input', function () { BotonGuardarTF(); });
            $("#" + id + "_cuenta_casa").on('change', function () { BotonGuardarTF(); });
            $("#" + id + "_limite_credito").on('input', function () { BotonGuardarTF(); });
            $("#" + id + "_numero_credito").on('change', function () { BotonGuardarTF(); });
            $("#" + id + "_inactiva_si_factura").on('change', function () { BotonGuardarTF(); });
            $("#" + id + "_id_mone").on('change', function () { BotonGuardarTF(); });
            $("#" + id + "_id_cuenta").on('change', function () { BotonGuardarTF(); });
            $("#" + id + "_id_dcto").on('change', function () { BotonGuardarTF(); });
            $("#" + id + "_eliminado").on('change', function () { BotonGuardarTF(); });

            $("#" + id + "_cod_tipo").prop("disabled", true);
            $("#" + id + "_cuenta_casa").prop("disabled", true);
            $("#" + id + "_numero_credito").prop("disabled", true);

            $("#cbMoneda").prop("disabled", true);
        }

        function EventsNewTF() {
            var selr = jQuery('#jqgTF').jqGrid('getGridParam', 'selrow');
            $("#" + selr + "_cod_tipo").on('input', function () { BotonGuardarTF(); });
            $("#" + selr + "_desc_tipo").on('input', function () { BotonGuardarTF(); });
            $("#" + selr + "_cuenta_casa").on('change', function () { BotonGuardarTF(); });
            $("#" + selr + "_limite_credito").on('input', function () { BotonGuardarTF(); });
            $("#" + selr + "_numero_credito").on('change', function () { BotonGuardarTF(); });
            $("#" + selr + "_inactiva_si_factura").on('change', function () { BotonGuardarTF(); });
            $("#" + selr + "_id_mone").on('change', function () { BotonGuardarTF(); });
            $("#" + selr + "_id_cuenta").on('change', function () { BotonGuardarTF(); });
            $("#" + selr + "_id_dcto").on('change', function () { BotonGuardarTF(); });
            $("#" + selr + "_eliminado").on('change', function () { BotonGuardarTF(); });

            $("#" + selr + "_numero_credito").prop("disabled", true);

            $("#cbMoneda").prop("disabled", false);
        }

        <% /* Función que permite recargar los datos del grid desde el servidor. */ %>

        function RefreshGridTF() {
            $("#jqgTF").jqGrid("setGridParam", { datatype: "json", datatype: GetTF, loadonce: true });
            $("#jqgTF").trigger("reloadGrid");
            $("#jqgTF").jqGrid("setGridParam", { datatype: "local", loadonce: true });
        }

        <% /* Función para agregar una fila en blanco donde se puede guardar un nuevo registro. */ %>

        function CreateTF() {
            $("#jqgTF").jqGrid('addRow', {
                initdata: { 'Id': '0', 'limite_credito': '0', 'numero_credito': '1' },
                position: "first",
                useDefValues: false,
                useFormatter: false,
                addRowParams: { extraparam: {} }
            });

            $('#IdSubElement').val(0);
            $('#TitSubElement').html("");

            $('#cbMoneda').val(0);
            $('#cbDescuento').val(0);
            $('#cbCuenta').val(0);

            RefreshGridTFImpu();

            BotonNuevoTF();
            EventsNewTF();
        }

        <% /* Función que salva los datos modificados en una fila. */ %>

        function SaveTF() {
            var id = $("#jqgTF").jqGrid('getGridParam', 'selrow');
            if (id) {
                PutTF(id, $('#' + id + '_cod_tipo').val(), $('#' + id + '_desc_tipo').val(), $('#' + id + '_cuenta_casa:checked').val()
                    , $('#' + id + '_limite_credito').val(), $('#' + id + '_numero_credito').val(), $('#' + id + '_inactiva_si_factura:checked').val()
                    , $('#' + id + '_id_mone').val(), $('#' + id + '_id_cuenta').val(), $('#' + id + '_id_dcto').val()
                    , $('#' + id + '_eliminado').val());
            }
            else {
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>");
	            $('#dlgInformation').dialog('open');
	        }
        }

        <% /* Función que elimina un registro. */ %>

        function DeleteTF() {
            var id = $("#jqgTF").jqGrid('getGridParam', 'selrow');
            if (id) {
                var ret = $("#jqgTF").jqGrid('getRowData', id);
                DelTF(id);
                RefreshGridTF();
            }
            else {
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>");
	            $('#dlgInformation').dialog('open');
	        }
        }

        <% /* Función que cancela la edición de una fila y la devuelve a su estado original. */ %>

        function CancelTF() {
            var id = $("#jqgTF").jqGrid('getGridParam', 'selrow');
            if (id) {
                $('#jqgTF').restoreRow(id);

                if(!isNaN(id))
                {
                    var ret = $("#jqgTF").jqGrid('getRowData', id);

                    $('#IdSubElement').val(id);
                    $('#TitSubElement').html(ret.cod_tipo + " - " + ret.desc_tipo);

                    $('#cbMoneda').val(ret.id_mone);
                    $('#cbDescuento').val(ret.id_dcto);
                    $('#cbCuenta').val(ret.id_cuenta);
                }
            }
            else {
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>");
	            $('#dlgInformation').dialog('open');
	        }
            BotonDefaultTF();
        }

        function BotonDefaultTF() {
            $('#btnNuevoTF').button('enable');
            $('#btnEliminarTF').button('disable');
            $('#btnGuardarTF').button('disable');
            $('#btnCancelarTF').button('disable');
        }

        function BotonNuevoTF() {
            $('#btnNuevoTF').button('disable');
            $('#btnEliminarTF').button('disable');
            $('#btnGuardarTF').button('disable');
            $('#btnCancelarTF').button('enable');
        }

        function BotonSelectTF() {
            $('#btnNuevoTF').button('enable');
            var id = $("#jqgTF").jqGrid('getGridParam', 'selrow');
            if (!isNaN(id)) {
                $('#btnEliminarTF').button('enable');
            }
            else {
                $('#btnEliminarTF').button('disable');
            }
            $('#btnGuardarTF').button('disable');
            $('#btnCancelarTF').button('disable');
        }

        function BotonGuardarTF() {
            $('#btnNuevoTF').button('disable');
            $('#btnEliminarTF').button('disable');
            $('#btnGuardarTF').button('enable');
            $('#btnCancelarTF').button('enable');
        }

        <% /* Código del jqGrid para Impuestos del Tipo de Folio */ %>

        <% /* Función para cargar los datos del Web Service. */ %>

        function GetTFImpu() {
            $.ajax({
                url: 'Servicio.svc/GetTipoFoliosImpuestos',
                data: { "id_tipo": $('#IdSubElement').val()
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                success: function (json) {
                    $("#jqgTFImpu").jqGrid("setGridParam", {datatype: "json", loadonce: true});
                    var thegrid = $("#jqgTFImpu")[0];
                    thegrid.addJSONData(JSON.parse(json.d));
                    $("#jqgTFImpu").jqGrid("setGridParam", {datatype: "local", loadonce: true});
                }
            });
        }

        <% /* Función para crear o editar los datos hacia el Web Service. */ %>

        function PutTFImpu(id, id_tipo, id_impu, eliminado) {
            $.ajax({
                url: 'Servicio.svc/PutTipoFoliosImpuestos',
                data: { "id_tipo": $('#IdSubElement').val(), "id_impu": id_impu, "eliminado": eliminado
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function() {
                    $('#dlgCargando').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando').dialog('close');
                    var res = json.d;
                    if(res == 1)
                    {
                        if(id > 0 || id < 0){
                            //$("#jqgTFImpu").jqGrid('saveRow', id);
                            //$('#jqgTFImpu').jqGrid('editRow', id, true, EventsTFImpu);
                            //BotonSelectTFImpu();
                            BotonDefaultTFImpu();
                            RefreshGridTFImpu();
                        }
                        else
                        {
                            BotonDefaultTFImpu();
                            RefreshGridTFImpu();
                        }
                    }
                    else
                    {
                        $('#dlgInformation').html(json.d); 
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función para eliminar los datos hacia el Web Service. */ %>

        function DelTFImpu(id, id_impu) {
            $.ajax({
                url: 'Servicio.svc/DelTipoFoliosImpuestos',
                data: { "id_tipo": $('#IdSubElement').val(), "id_impu": id_impu
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function() {
                    $('#dlgCargando').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando').dialog('close');
                    var res = json.d;
                    if(res == 1)
                    {
                        BotonDefaultTFImpu();
                        RefreshGridTFImpu();
                    }
                    else
                    {
                        $('#dlgInformation').html(json.d); 
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función principal que inicia la carga del jqGrid. Se llama de primero. */ %>

        function LoadGridTFImpu() {
        
            var lselTFImpu;
            var colMap = {};
            $("#jqgTFImpu").jqGrid({
                datatype: 'local',
                height: 70,
                width: 320,
                colNames:  HeaderTableTFImpu,
                colModel: [
                            { name: 'Id', index: 'Id', width: 1, sorttype: 'int', hidden: true },
                            { name: 'id_tipo', index: 'id_tipo', width: 10, editable: true, search:false, hidden: true }, 
                            { name: 'id_impu', index: 'id_impu', width: 10, editable: true, formatter:'select', stype:'select', edittype:'select', editoptions: { <%=cbImpuestos %> } }, 
                            { name: 'Eli', index: 'Eli', width: 5, search:false, hidden: true }
                ],
                onSelectRow: function(id){
                    if(id ){

                        if(isNaN(lselTFImpu) && !isNaN(id))
                        {
                            $("#jqgTFImpu").jqGrid('delRowData', lselTFImpu);
                            $('#jqgTFImpu').jqGrid('resetSelection');
                        }

                        $('#jqgTFImpu').jqGrid('restoreRow',lselTFImpu);
                        $('#jqgTFImpu').jqGrid('editRow', id, true, EventsTFImpu);
                       
                        lselTFImpu=id;
                    }
                },
                afterInsertRow: function(id){
                    if(id){
                        if(isNaN(lselTFImpu))
                        {
                            $("#jqgTFImpu").jqGrid('delRowData', lselTFImpu);
                            $('#jqgTFImpu').jqGrid('resetSelection');
                        }
                        else
                        {
                            $('#jqgTFImpu').jqGrid('saveRow',lselTFImpu);
                        }
                    }
                },
                onCellSelect: function(id){
                    if(id){

                        var ret = jQuery("#jqgTFImpu").jqGrid('getRowData',id); 
                        var status = ret.Eli;

                        if(status == "True")
                        { 
                            $('#btnEliminarTextTFImpu').html("<%=L.LBL("LblGENRecover") %>");
                            $('#btnEliminarIconTFImpu').attr("src", "img/recuperar.png");
                        }
                        else 
                        {   
                            $('#btnEliminarTextTFImpu').html("<%=L.LBL("LblGENDelete") %>");
                            $('#btnEliminarIconTFImpu').attr("src", "img/cross-script.png");
                        }

                        $('#jqgTFImpu').jqGrid('setSelection', id); 

                        BotonSelectTFImpu();
                    }
                },
                gridComplete: function()
                {  
                    var rows = $("#jqgTFImpu").getDataIDs(); 
                    for (var i = 0; i < rows.length; i++)
                    { 
                        var status  = $("#jqgTFImpu").getCell(rows[i],"Eli");

                        if(status == "True")
                        {
                            $("#jqgTFImpu").jqGrid('setRowData',rows[i],false, 
                            {color:'red',font:'italic' });
                        }
                    }
                }, 
                rowNum: 99999999,
                rowTotal: 99999999,
                loadonce: true,
                mtype: "GET",
                rownumbers: false,
                rownumWidth: 40,
                gridview: true,
                //pager: '#PaginadorTFImpu',
                sortname: 'Id',
                viewrecords: true,
                sortorder: "asc",
                ignoreCase: true, scrollrows : true,
                //multiselect: true,
                //altRows: true,
                //altclass:'ui-widget-header',
                editurl:"Dummy.aspx"
            });

            $("#bsdataTFImpu").click(function(){ 
                jQuery("#jqgTFImpu").jqGrid('searchGrid', {multipleSearch:true}); 
            });
        
        }

        function EventsTFImpu(id) {
            $("#" + id + "_id_tipo").on('change', function () { BotonGuardarTFImpu(); });
            $("#" + id + "_id_impu").on('change', function () { BotonGuardarTFImpu(); });
            $("#" + id + "_eliminado").on('change', function () { BotonGuardarTFImpu(); });
        }

        function EventsNewTFImpu() {
            var selr = jQuery('#jqgTFImpu').jqGrid('getGridParam', 'selrow');
            $("#" + selr + "_id_tipo").on('change', function () { BotonGuardarTFImpu(); });
            $("#" + selr + "_id_impu").on('change', function () { BotonGuardarTFImpu(); });
            $("#" + selr + "_eliminado").on('change', function () { BotonGuardarTFImpu(); });
        }

        <% /* Función que permite recargar los datos del grid desde el servidor. */ %>

        function RefreshGridTFImpu()
        {
            $("#jqgTFImpu").jqGrid("setGridParam", {datatype: "json", datatype: GetTFImpu, loadonce: true});
            $("#jqgTFImpu").trigger("reloadGrid"); 
            $("#jqgTFImpu").jqGrid("setGridParam", {datatype: "local", loadonce: true});
        }

        <% /* Función para agregar una fila en blanco donde se puede guardar un nuevo registro. */ %>

        function CreateTFImpu()
        {
            $("#jqgTFImpu").jqGrid('addRow',{
                initdata : {'Id': '0'},
                position :"first",
                useDefValues : false,
                useFormatter : false,
                addRowParams : {extraparam:{}}
            });
            BotonGuardarTFImpu();
            EventsNewTFImpu();
        }

        <% /* Función que salva los datos modificados en una fila. */ %>

        function SaveTFImpu(){
            var id = $("#jqgTFImpu").jqGrid('getGridParam','selrow');
            if (id)	{
                PutTFImpu(id, $('#' + id + '_id_tipo').val(), $('#' + id + '_id_impu').val(), $('#' + id + '_eliminado').val());
            } 
            else 
            { 
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>"); 
	            $('#dlgInformation').dialog('open');
	        }
        }

        <% /* Función que elimina un registro. */ %>

        function DeleteTFImpu(){
            var id = $("#jqgTFImpu").jqGrid('getGridParam','selrow');
            if (id)	{
                var ret = $("#jqgTFImpu").jqGrid('getRowData',id);
                DelTFImpu(id, $('#' + id + '_id_impu').val());
                RefreshGridTFImpu();
            } 
            else 
            { 
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>"); 
	            $('#dlgInformation').dialog('open');
	        }
        }

        <% /* Función que cancela la edición de una fila y la devuelve a su estado original. */ %>

        function CancelTFImpu(){
            var id = $("#jqgTFImpu").jqGrid('getGridParam','selrow');
            if (id)	{
                $('#jqgTFImpu').restoreRow(id);
            } 
            else 
            { 
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>"); 
	            $('#dlgInformation').dialog('open');
	        }
            BotonDefaultTFImpu();
        }

        function BotonDefaultTFImpu() {
            $('#btnNuevoTFImpu').button('enable');
            $('#btnEliminarTFImpu').button('disable');
            $('#btnGuardarTFImpu').button('disable');
            $('#btnCancelarTFImpu').button('disable');
        }

        function BotonNuevoTFImpu() {
            $('#btnNuevoTFImpu').button('disable');
            $('#btnEliminarTFImpu').button('disable');
            $('#btnGuardarTFImpu').button('disable');
            $('#btnCancelarTFImpu').button('enable');
        }

        function BotonSelectTFImpu() {
            $('#btnNuevoTFImpu').button('enable');
            var id = $("#jqgTFImpu").jqGrid('getGridParam', 'selrow');
            if (!isNaN(id)) {
                $('#btnEliminarTFImpu').button('enable');
            }
            else {
                $('#btnEliminarTFImpu').button('disable');
            }
            $('#btnGuardarTFImpu').button('disable');
            $('#btnCancelarTFImpu').button('disable');
        }

        function BotonGuardarTFImpu() {
            $('#btnNuevoTFImpu').button('disable');
            $('#btnEliminarTFImpu').button('disable');
            $('#btnGuardarTFImpu').button('enable');
            $('#btnCancelarTFImpu').button('enable');
        }

        <% /* Función que permite imprimir el listado de elementos seleccionados. */ %>

        function ImprimirListado() {
            window.open('Informe.aspx?r=403&e=' + $('#cbEliminado:checked').val(), '_blank');
        }
        
    </script>
    
    <script type="text/javascript">

        $(document).ready(function () {

            $("#dlgEliminar").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 200,
                width: 500,
                modal: true,
                buttons:
                {
                    "<%=L.LBL("LblGENAceptar") %>": function ()
                    {
                        $(this).dialog('close');
                    }
                }
            });

            $("#dlgInformation").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 200,
                width: 500,
                modal: true,
                buttons:
                {
                    "<%=L.LBL("LblGENAceptar") %>": function ()
                    {
                        $(this).dialog('close');
                    }
                }
            });

            $("#SevenMenu").accordion("option", "active", 5);

            $('btnEliminar').attr('disabled', true);
            $('btnGuardar').attr('disabled', true);
            $('btnCancelar').attr('disabled', true);

            LoadGridTF();
            LoadGridTFImpu();

            RefreshGridTF();

            InitializeComponents();

            BotonDefaultTF();
            BotonDefaultTFImpu();

        });
    </script>

    <% } catch { } %>

</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="cpPrincipal" runat="server">

    <% try{ %>

    <div id="SevenBreadcrumb" class="ui-state-default">
        <table width="100%" style="white-space: nowrap;">
            <tr>
                <td>
                    <div class="SevenEnlaces" onclick="window.location.href='Menu.aspx#M6';" style="cursor: pointer;">
                        <table>
                            <tr>
                                <td>
                                    <img src="img/application-icon-large.png" />
                                </td>
                                <td>
                                    <%=L.LBL("LblGENMenuTactil") %>
                                </td>
                            </tr>
                        </table>
                    </div>
                </td>
                <td>&nbsp;</td>
                <td>
                    <a href="Inicio.aspx"><%=L.LBL("LblGENInicio") %></a>
                    <img src="img/arrow.png" alt="" />
                    <a href="TipoFolios.aspx"><%=L.TIT("TipoFolios") %> [4.3]</a>
                </td>
                <td width="100%"></td>
                <td>
                    <%=L.LBL("LblGENLanguage") %>
                </td>
                <td>
                    <!-- #include file="LanguageCombo.html" -->
                </td>
            </tr>
        </table>
    </div>
            
    <div id="SevenPrincipal">
                
        <div id="SevenMedio">
                    
            <div id="SevenInterno" style="width: 700px;">

                <div id="dlgEliminar" title="<%=L.LBL("LblGENDelete") %>" style="text-align: center;padding-top: 25px">
                    <span class="ui-icon ui-icon-alert" style="float:left; margin:0 7px 20px 0;"></span>¿Desea eliminar este elemento?
                </div>

                <div id="dlgInformation" title="<%=L.LBL("LblGENInformation") %>" style="text-align: center;padding-top: 25px">
                    
                </div>

                <table>
                    <tr>
                        <td>
                            <span class="SevenTitulo"><%=L.TIT("TipoFolios") %> [4.3]</span>
                        </td>
                        <td>&nbsp;&nbsp;&nbsp;</td>
                        <td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <input type="checkbox" id="cbEliminado" onchange="BotonDefaultTF();RefreshGridTF();" value="1" /> <%=L.LBL("LblGENShowDeleted") %>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>
                        <td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <a href="#" onclick="ImprimirListado();" id="A2" ><img src="img/printer.png" /> <%=L.LBL("LblGENPrint") %></a>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>
                        <td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <a href="#" onclick="window.open('http://mysevenmanuales.jimdo.com/front-desk-parametros/4-3-tipos-de-folios-externos/', '_blank');" id="A1" ><img src="img/question.png" /> <%=L.LBL("LblGENHelp") %></a>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>
                    </tr>
                </table>

                <% 
                    if (CorrectoIns)
                    {    
                %>

                    <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_SavedData") %></p>

                <%  } %>

                <% 
                    if (CorrectoMod)
                    {    
                %>

                    <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_UpdatedData") %></p>

                <%  } %>

                <% 
                    if (CorrectoEli)
                    {    
                %>

                    <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_DeletedData") %></p>

                <%  } %>

                <% 
                    if (!String.IsNullOrEmpty(ErrorMsg))
                    {    
                %>

                    <p class="SevenMsgError"><%=ErrorMsg %></p>

                <%  } %>

                <br />
                            
                <table id="jqgTF"></table>
                <div id="PaginadorTF" ></div>

                <br />

                <fieldset>
                    <input type="hidden" id="IdSubElement" value="0"/>
                    <legend><b><%=L.LBL("LblGENDatos") %>: <span id="TitSubElement"></span></b></legend>

                    <table style="width: 100%;">
                        <tr>
                            <td style="width: 50%;">
                                <table style="width: 100%;">
                                    <tr>
                                        <td>
                                            <%=L.LBL("LblGENMoney") %>:
                                        </td>
                                        <td>
                                            <%=cbMoneda %>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <%=L.LBL("LblFDKSDescuento") %>:
                                        </td>
                                        <td>
                                            <%=cbDescuento %>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <%=L.LBL("LblGENAccount") %>:
                                        </td>
                                        <td>
                                            <select name="cbCuenta" id="cbCuenta" onchange="" style="width: 240px;">
                                                <option value="0">-</option>
                                                <%
                                                    foreach (System.Data.DataRow dr in CuentasFDK.Rows)
                                                    {
                                                        Response.Write(Utils.GetSelectOption(dr[0].ToString(), dr[1].ToString() + " - " + dr[2].ToString(), false));
                                                    }
                                                %>
                                            </select>
                                        </td>
                                    </tr>
                                </table>
                            </td>
                            <td style="width: 50%;">
                                <table width="100%">
                                    <tr>
                                        <td>
                                            <table id="jqgTFImpu"></table>
                                            <div id="PaginadorTFImpu" ></div>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <table width="100%">
                                                <tr>
                                                    <td width="100%"></td>
                                                    <td>
                                                        <button type="button" id="btnNuevoTFImpu" onclick="CreateTFImpu();">
                                                            <table><tr><td><img src="img/document.png" alt="<%=L.LBL("LblGENNew") %>" /></td></tr></table>
                                                        </button>
                                                    </td>
                                                    <td>
                                                        <button type="button" id="btnEliminarTFImpu" onclick="DeleteTFImpu();">
                                                            <table><tr><td><img id="btnEliminarIconTFImpu" src="img/cross-script.png" alt="<%=L.LBL("LblGENDelete") %>" /></td></tr></table>
                                                        </button>
                                                    </td>
                                                    <td>
                                                        <button type="button" id="btnGuardarTFImpu" onclick="SaveTFImpu();">
                                                                <table>
                                                                    <tr>
                                                                        <td>
                                                                            <img src="img/disk.png" alt="<%=L.LBL("LblGENSave") %>" />
                                                                        </td>
                                                                    </tr>
                                                                </table>
                                                        </button>
                                                    </td>
                                                    <td>
                                                        <button type="button" id="btnCancelarTFImpu" onclick="CancelTFImpu();">
                                                                <table><tr><td><img src="img/arrow-return-180-left.png" alt="<%=L.LBL("LblGENCancel") %>" /></td></tr></table>
                                                        </button>
                                                    </td>
                                                </tr>
                                            </table>
                                        </td>
                                    </tr>
                                </table>
                            </td>
                        </tr>
                    </table>
                

                    

                </fieldset>

                <table width="100%">
                    <tr>
                        <td colspan="4">
                            <table width="100%">
                                <tr>
                                    <td width="100%"></td>
                                    <td>
                                        <button type="button" id="bsdataTF" value="Search" >
                                            <table>
                                            <tr><td>
                                            <img src="img/binocular.png" 
                                             alt="<%=L.LBL("LblGENSearch") %>" />
                                            </td><td>
                                            <%=L.LBL("LblGENSearch") %>
                                            </td></tr>
                                            </table>
                                        </button>
                                    </td>
                                    <td>
                                        <button type="button" id="btnNuevoTF" onclick="CreateTF();">
                                            <table><tr><td><img src="img/document.png" alt="<%=L.LBL("LblGENNew") %>" /></td><td><%=L.LBL("LblGENNew") %></td></tr></table>
                                        </button>
                                    </td>
                                    <td>
                                        <button type="button" id="btnEliminarTF" onclick="DeleteTF();">
                                            <table><tr><td><img id="btnEliminarIconTF" src="img/cross-script.png" alt="<%=L.LBL("LblGENDelete") %>" /></td><td id="btnEliminarTextTF"><%=L.LBL("LblGENDelete") %></td></tr></table>
                                        </button>
                                    </td>
                                    <td>
                                        <button type="button" id="btnGuardarTF" onclick="SaveTF();">
                                                <table>
                                                    <tr>
                                                        <td>
                                                            <img src="img/disk.png" alt="<%=L.LBL("LblGENSave") %>" />
                                                        </td>
                                                        <td><%=L.LBL("LblGENSave") %></td>
                                                    </tr>
                                                </table>
                                        </button>
                                    </td>
                                    <td>
                                        <button type="button" id="btnCancelarTF" onclick="CancelTF();">
                                                <table><tr><td><img src="img/arrow-return-180-left.png" alt="<%=L.LBL("LblGENCancel") %>" /></td><td><%=L.LBL("LblGENCancel") %></td></tr></table>
                                        </button>
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                </table>
                            
            </div>
                    
        </div>
                
    </div>

    <% } catch { } %>

</asp:Content>

